(define-module (glicid packages golang)
 #:use-module (guix build-system go)
 #:use-module (guix download)
 #:use-module (guix git-download)
 #:use-module ((guix licenses) #:prefix license:)
 #:use-module (guix packages)
)

(define-public go-github-com-creack-pty-1.1.17
  (package
    (name "go-github-com-creack-pty")
    (version "1.1.17")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/creack/pty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "09lcq5bw1dwppxjia05sj4fy7gbk62vishfz1bgrbd1r06i57mjf"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/creack/pty"))
    (home-page "https://github.com/creack/pty")
    (synopsis "pty")
    (description
      "Package pty provides functions for working with Unix terminals.")
    (license license:expat)))

(define-public go-github-com-davecgh-go-spew-1.1.0
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0d4jfmak5p6lb7n2r6yvf5p1zcw0l8j74kn55ghvr7zr7b7axm6c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-pmezard-go-difflib-1.0.0
  (package
    (name "go-github-com-pmezard-go-difflib")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pmezard/go-difflib")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0c1cn55m4rypmscgf0rrb88pn58j3ysvc2d0432dp3c6fqg6cnzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pmezard/go-difflib"))
    (home-page "https://github.com/pmezard/go-difflib")
    (synopsis "go-difflib")
    (description
      "Go-difflib is a partial port of python 3 difflib package.  Its main goal was to
make unified and context diff available in pure Go, mostly for testing purposes.")
    (license license:bsd-3)))

(define-public go-github-com-stretchr-objx-0.1.0
  (package
    (name "go-github-com-stretchr-objx")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/objx")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19ynspzjdynbi85xw06mh8ad5j0qa1vryvxjgvbnyrr8rbm4vd8w"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/objx"))
    (home-page "https://github.com/stretchr/objx")
    (synopsis "Objx")
    (description
      "Objx - Go package for dealing with maps, slices, JSON and other data.")
    (license license:expat)))

(define-public go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405
  (package
    (name "go-gopkg-in-check-v1")
    (version "0.0.0-20161208181325-20d25e280405")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k1m83ji9l1a7ng8a7v40psbymxasmssbrrhpdv2wl4rhs0nc3np"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c
  (package
    (name "go-gopkg-in-yaml-v3")
    (version "3.0.0-20200313102051-9f266ea9e77c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v3")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1bbai3lzb50m0x2vwsdbagrbhvfylj9k1m32hgbqwldqx4p9ay35"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v3" #:unpack-path "gopkg.in/yaml.v3"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v3")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.6.1
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.6.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yhiqqzjvi63pf01rgzx68gqkkvjx03fvl5wk30br5l6s81s090l"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c"
         ,go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c)
        ("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-github-com-netflix-go-expect-0.0.0-20220104043353-73e0943537d2
  (package
    (name "go-github-com-netflix-go-expect")
    (version "0.0.0-20220104043353-73e0943537d2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/Netflix/go-expect")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0zkvhnc4ii6ygvcsj54ng0kql26rnny7l3hy1w61g88mxjsww1b9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/Netflix/go-expect"))
    (propagated-inputs
      `(("go-github-com-stretchr-testify-1.6.1"
         ,go-github-com-stretchr-testify-1.6.1)
        ("go-github-com-creack-pty-1.1.17" ,go-github-com-creack-pty-1.1.17)))
    (home-page "https://github.com/Netflix/go-expect")
    (synopsis "go-expect")
    (description
      "Package expect provides an expect-like interface to automate control of
applications.  It is unlike expect in that it does not spawn or manage process
lifecycle.  This package only focuses on expecting output and sending input
through it's psuedoterminal.")
    (license license:asl2.0)))

(define-public go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20180917221912-90fa682c2a6e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03ic2xsy51jw9749wl7gszdbz99iijbd2bckgygl6cm9w5m364ak"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.3
  (package
    (name "go-golang-org-x-text")
    (version "0.3.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19pihqm3phyndmiw6i42pdv6z1rbvlqlsnhsyqf9gsnn0qnmqqlh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e"
         ,go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e)))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20210226172049-e18ecbb05110
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20210226172049-e18ecbb05110")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1vlq8mdscp7yfaa1lmyv03y5m4c2d67ydg2q1i6smkrxghn3zn3q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.3" ,go-golang-org-x-text-0.3.3)
        ("go-golang-org-x-term-0.0.0-20201126162022-7de9c90e9dd1"
         ,go-golang-org-x-term-0.0.0-20201126162022-7de9c90e9dd1)
        ("go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68"
         ,go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20201119102817-f84b799fce68")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1dvhqian5byzkcg1bnqzygqa6ccc6krc2q7j12pp1vhl3y7znnsg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-term-0.0.0-20201126162022-7de9c90e9dd1
  (package
    (name "go-golang-org-x-term")
    (version "0.0.0-20201126162022-7de9c90e9dd1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/term")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ba252xmv6qsvf1w1gcy98mngrj0vd4inbjw0lsklqvva65nljna"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/term"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68"
         ,go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68)))
    (home-page "https://golang.org/x/term")
    (synopsis "Go terminal/console support")
    (description
      "Package term provides support functions for dealing with terminals, as commonly
found on UNIX systems.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20210322153248-0c34fe9e7dc2
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20210322153248-0c34fe9e7dc2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "021szs1czc0xg4chpays7i05dvkax9s8mns314ab01r887kchqxq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-term-0.0.0-20201126162022-7de9c90e9dd1"
         ,go-golang-org-x-term-0.0.0-20201126162022-7de9c90e9dd1)
        ("go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68"
         ,go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68)
        ("go-golang-org-x-net-0.0.0-20210226172049-e18ecbb05110"
         ,go-golang-org-x-net-0.0.0-20210226172049-e18ecbb05110)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-github-com-protonmail-go-crypto-0.0.0-20220113124808-70ae35bab23f
  (package
    (name "go-github-com-protonmail-go-crypto")
    (version "0.0.0-20220113124808-70ae35bab23f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/ProtonMail/go-crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0dpalb7cd2xs0hji80zv378vf8gx4ph7b8xdd05kvbskyw67fb7n"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/ProtonMail/go-crypto"))
    (propagated-inputs
      `(("go-golang-org-x-crypto-0.0.0-20210322153248-0c34fe9e7dc2"
         ,go-golang-org-x-crypto-0.0.0-20210322153248-0c34fe9e7dc2)))
    (home-page "https://github.com/ProtonMail/go-crypto")
    (synopsis #f)
    (description
      "This module is backwards compatible with x/crypto/openpgp, so you can simply
replace all imports of @code{golang.org/x/crypto/openpgp} with
@code{github.com/ProtonMail/go-crypto/openpgp}.")
    (license license:bsd-3)))

(define-public go-github-com-docker-distribution-2.7.1+incompatible
  (package
    (name "go-github-com-docker-distribution")
    (version "2.7.1+incompatible")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/distribution/distribution")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1nx8b5a68rn81alp8wkkw6qd5v32mgf0fk23mxm60zdf63qk1nzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/docker/distribution"))
    (home-page "https://github.com/docker/distribution")
    (synopsis "Distribution")
    (description
      "Package distribution will define the interfaces for the components of docker
distribution.  The goal is to allow users to reliably package, ship and store
content related to docker images.")
    (license license:asl2.0)))

(define-public go-github-com-docker-libtrust-0.0.0-20160708172513-aabc10ec26b7
  (package
    (name "go-github-com-docker-libtrust")
    (version "0.0.0-20160708172513-aabc10ec26b7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/docker/libtrust")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1lwslbggzc2b0c4wxl5pn6i2nfgz5jz8f7s7vnid9mrlsk59h7s1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/docker/libtrust"))
    (home-page "https://github.com/docker/libtrust")
    (synopsis "libtrust")
    (description
      "Package libtrust provides an interface for managing authentication and
authorization using public key cryptography.  Authentication is handled using
the identity attached to the public key and verified through TLS x509
certificates, a key challenge, or signature.  Authorization and access control
is managed through a trust graph distributed between both remote trust servers
and locally cached and managed data.")
    (license license:asl2.0)))

(define-public go-github-com-gorilla-mux-1.7.4
  (package
    (name "go-github-com-gorilla-mux")
    (version "1.7.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/gorilla/mux")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1d0sy1paa055ic84sp3766s9pa24q008hf77dc842vrgvn8p3wmh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/gorilla/mux"))
    (home-page "https://github.com/gorilla/mux")
    (synopsis "gorilla/mux")
    (description "Package mux implements a request router and dispatcher.")
    (license license:bsd-3)))

(define-public go-github-com-davecgh-go-spew-1.1.1
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hka6hmyvp701adzag2g26cxdj47g21x6jz4sc6jjz1mn59d474y"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-konsorten-go-windows-terminal-sequences-1.0.1
  (package
    (name "go-github-com-konsorten-go-windows-terminal-sequences")
    (version "1.0.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/konsorten/go-windows-terminal-sequences")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1lchgf27n276vma6iyxa0v1xds68n2g8lih5lavqnx5x6q5pw2ip"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "github.com/konsorten/go-windows-terminal-sequences"))
    (home-page "https://github.com/konsorten/go-windows-terminal-sequences")
    (synopsis "Windows Terminal Sequences")
    (description
      "This library allow for enabling Windows terminal color support for Go.")
    (license license:expat)))

(define-public go-github-com-pmezard-go-difflib-1.0.0
  (package
    (name "go-github-com-pmezard-go-difflib")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pmezard/go-difflib")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0c1cn55m4rypmscgf0rrb88pn58j3ysvc2d0432dp3c6fqg6cnzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pmezard/go-difflib"))
    (home-page "https://github.com/pmezard/go-difflib")
    (synopsis "go-difflib")
    (description
      "Go-difflib is a partial port of python 3 difflib package.  Its main goal was to
make unified and context diff available in pure Go, mostly for testing purposes.")
    (license license:bsd-3)))

(define-public go-github-com-stretchr-objx-0.1.1
  (package
    (name "go-github-com-stretchr-objx")
    (version "0.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/objx")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0iph0qmpyqg4kwv8jsx6a56a7hhqq8swrazv40ycxk9rzr0s8yls"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/objx"))
    (home-page "https://github.com/stretchr/objx")
    (synopsis "Objx")
    (description
      "Objx - Go package for dealing with maps, slices, JSON and other data.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.2.2
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0dlszlshlxbmmfxj5hlwgv3r22x0y1af45gn1vd198nvvs3pnvfs"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20190422165155-953cdadca894
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190422165155-953cdadca894")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0gkha4whk8xkcv3isigbs250akag99isxnd3v9xmy0kl3g88hxy1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-sirupsen-logrus-1.4.2
  (package
    (name "go-github-com-sirupsen-logrus")
    (version "1.4.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sirupsen/logrus")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "087k2lxrr9p9dh68yw71d05h5g9p5v26zbwd6j7lghinjfaw334x"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sirupsen/logrus"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190422165155-953cdadca894"
         ,go-golang-org-x-sys-0.0.0-20190422165155-953cdadca894)
        ("go-github-com-stretchr-testify-1.2.2"
         ,go-github-com-stretchr-testify-1.2.2)
        ("go-github-com-stretchr-objx-0.1.1"
         ,go-github-com-stretchr-objx-0.1.1)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-konsorten-go-windows-terminal-sequences-1.0.1"
         ,go-github-com-konsorten-go-windows-terminal-sequences-1.0.1)
        ("go-github-com-davecgh-go-spew-1.1.1"
         ,go-github-com-davecgh-go-spew-1.1.1)))
    (home-page "https://github.com/sirupsen/logrus")
    (synopsis "Logrus")
    (description
      "Package logrus is a structured logger for Go, completely API compatible with the
standard library logger.")
    (license license:expat)))

(define-public go-github-com-adigunhammedolalekan-registry-auth-0.0.0-20200730122110-8cde180a3a60
  (package
    (name "go-github-com-adigunhammedolalekan-registry-auth")
    (version "0.0.0-20200730122110-8cde180a3a60")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/adigunhammedolalekan/registry-auth")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0855a5c0ifi6q2ghb6gax0kwwra5j7pd2lplq4wp8r83dnv4vwj0"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "github.com/adigunhammedolalekan/registry-auth"))
    (propagated-inputs
      `(("go-github-com-sirupsen-logrus-1.4.2"
         ,go-github-com-sirupsen-logrus-1.4.2)
        ("go-github-com-gorilla-mux-1.7.4" ,go-github-com-gorilla-mux-1.7.4)
        ("go-github-com-docker-libtrust-0.0.0-20160708172513-aabc10ec26b7"
         ,go-github-com-docker-libtrust-0.0.0-20160708172513-aabc10ec26b7)
        ("go-github-com-docker-distribution-2.7.1+incompatible"
         ,go-github-com-docker-distribution-2.7.1+incompatible)))
    (home-page "https://github.com/adigunhammedolalekan/registry-auth")
    (synopsis "registry-auth")
    (description
      "a package to implements docker registry token authentication server as described
here
[https://github.com/docker/distribution/blob/1b9ab303a477ded9bdd3fc97e9119fa8f9e58fca/docs/spec/auth/index.md]")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.3.0
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0wjchp2c8xbgcbbq32w3kvblk6q6yn533g78nxl6iskq6y95lxsy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-github-com-tj-assert-0.0.0-20171129193455-018094318fb0
  (package
    (name "go-github-com-tj-assert")
    (version "0.0.0-20171129193455-018094318fb0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/assert")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "15ika7izp5hkd10dm30apwfvpm0d1yl2rnxs6896q0svz9zvi2z3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/assert"))
    (home-page "https://github.com/tj/assert")
    (synopsis "assert")
    (description
      "Package assert implements the same assertions as the `assert` package but stops
test execution when a test fails.")
    (license license:expat)))

(define-public go-github-com-apex-logs-1.0.0
  (package
    (name "go-github-com-apex-logs")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/apex/logs")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1kysjp3s8718p02ngpr60gnjjspv0a69biksfjqa1540svrbi850"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/apex/logs"))
    (propagated-inputs
      `(("go-github-com-tj-assert-0.0.0-20171129193455-018094318fb0"
         ,go-github-com-tj-assert-0.0.0-20171129193455-018094318fb0)
        ("go-github-com-stretchr-testify-1.3.0"
         ,go-github-com-stretchr-testify-1.3.0)))
    (home-page "https://github.com/apex/logs")
    (synopsis "Example")
    (description "Go client for @url{https://apex.sh/logs/,Apex Logs}.")
    (license license:expat)))

(define-public go-github-com-aphistic-golf-0.0.0-20180712155816-02c07f170c5a
  (package
    (name "go-github-com-aphistic-golf")
    (version "0.0.0-20180712155816-02c07f170c5a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/aphistic/golf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1qixab9bb29wqbr4nc5j3g25hq1j7am93f181rkj7a4qacncx763"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/aphistic/golf"))
    (home-page "https://github.com/aphistic/golf")
    (synopsis "golf")
    (description
      "This package provides logging capabilities using the GELF
(@url{https://www.graylog.org/resources/gelf-2/,https://www.graylog.org/resources/gelf-2/})
log format")
    (license license:expat)))

(define-public go-github-com-mattn-go-isatty-0.0.5
  (package
    (name "go-github-com-mattn-go-isatty")
    (version "0.0.5")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-isatty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "114d5xm8rfxplzd7nxz97gfngb4bhqy102szl084d1afcxsvm4aa"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-isatty"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223"
         ,go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223)))
    (home-page "https://github.com/mattn/go-isatty")
    (synopsis "go-isatty")
    (description "Package isatty implements interface to isatty")
    (license license:expat)))

(define-public go-github-com-mattn-go-colorable-0.1.1
  (package
    (name "go-github-com-mattn-go-colorable")
    (version "0.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-colorable")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0l640974j804c1yyjfgyxqlsivz0yrzmbql4mhcw2azryigkp08p"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-colorable"))
    (propagated-inputs
      `(("go-github-com-mattn-go-isatty-0.0.5"
         ,go-github-com-mattn-go-isatty-0.0.5)))
    (home-page "https://github.com/mattn/go-colorable")
    (synopsis "go-colorable")
    (description "Colorable writer for windows.")
    (license license:expat)))

(define-public go-github-com-mgutz-ansi-0.0.0-20170206155736-9520e82c474b
  (package
    (name "go-github-com-mgutz-ansi")
    (version "0.0.0-20170206155736-9520e82c474b")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mgutz/ansi")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "00bz22314j26736w1f0q4jy9d9dfaml17vn890n5zqy3cmvmww1j"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mgutz/ansi"))
    (home-page "https://github.com/mgutz/ansi")
    (synopsis "ansi")
    (description
      "Package ansi is a small, fast library to create ANSI colored strings and codes.")
    (license license:expat)))

(define-public go-github-com-fsnotify-fsnotify-1.4.7
  (package
    (name "go-github-com-fsnotify-fsnotify")
    (version "1.4.7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/fsnotify/fsnotify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/fsnotify/fsnotify"))
    (home-page "https://github.com/fsnotify/fsnotify")
    (synopsis "File system notifications for Go")
    (description
      "Package fsnotify provides a platform-independent interface for file system
notifications.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.2.0
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0kf4b59rcbb1cchfny2dm9jyznp8ri2hsb14n8iak1q8986xa0ab"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-github-com-hpcloud-tail-1.0.0
  (package
    (name "go-github-com-hpcloud-tail")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/hpcloud/tail")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1njpzc0pi1acg5zx9y6vj9xi6ksbsc5d387rd6904hy6rh2m6kn0"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/hpcloud/tail"))
    (home-page "https://github.com/hpcloud/tail")
    (synopsis "Go package for tail-ing files")
    (description
      "This package provides a Go package striving to emulate the features of the BSD
@code{tail} program.")
    (license license:expat)))

(define-public go-github-com-onsi-ginkgo-1.6.0
  (package
    (name "go-github-com-onsi-ginkgo")
    (version "1.6.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/onsi/ginkgo")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0x0gc89vgq38xhgmi2h22bhr73cf2gmk42g89nz89k8dgg9hhr25"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/onsi/ginkgo"))
    (home-page "https://github.com/onsi/ginkgo")
    (synopsis "Ginkgo 2.0 Release Candidate is available!")
    (description "Ginkgo is a BDD-style testing framework for Golang")
    (license license:expat)))

(define-public go-golang-org-x-net-0.0.0-20180906233101-161cd47e91fd
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20180906233101-161cd47e91fd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0254ld010iijygbzykib2vags1dc0wlmcmhgh4jl8iny159lhbcv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20180314180146-1d60e4601c6f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "046jlanz2lkxq1r57x9bl6s4cvfqaic6p2xybsj8mq1120jv4rs6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20180909124046-d0be0721c37e
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20180909124046-d0be0721c37e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "081wyvfnlf842dqg03raxfz6lldlxpmyh1prix9lmrrm65arxb12"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-gopkg-in-fsnotify-v1-1.4.7
  (package
    (name "go-gopkg-in-fsnotify-v1")
    (version "1.4.7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/fsnotify.v1")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path
        "gopkg.in/fsnotify.v1"
        #:unpack-path
        "gopkg.in/fsnotify.v1"))
    (home-page "https://gopkg.in/fsnotify.v1")
    (synopsis "File system notifications for Go")
    (description
      "Package fsnotify provides a platform-independent interface for file system
notifications.")
    (license license:bsd-3)))

(define-public go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7
  (package
    (name "go-gopkg-in-tomb-v1")
    (version "1.0.0-20141024135613-dd632973f1e7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/tomb.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1lqmq1ag7s4b3gc3ddvr792c5xb5k6sfn0cchr3i2s7f1c231zjv"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/tomb.v1" #:unpack-path "gopkg.in/tomb.v1"))
    (home-page "https://gopkg.in/tomb.v1")
    (synopsis "Installation and usage")
    (description
      "The tomb package offers a conventional API for clean goroutine termination.")
    (license license:bsd-3)))

(define-public go-gopkg-in-yaml-v2-2.2.1
  (package
    (name "go-gopkg-in-yaml-v2")
    (version "2.2.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0dwjrs2lp2gdlscs7bsrmyc5yf6mm4fvgw71bzr9mv2qrd2q73s1"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v2" #:unpack-path "gopkg.in/yaml.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v2")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:asl2.0)))

(define-public go-github-com-onsi-gomega-1.5.0
  (package
    (name "go-github-com-onsi-gomega")
    (version "1.5.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/onsi/gomega")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1n7i4hksdgv410m43v2sw14bl5vy59dkp6nlw5l76nibbh37syr9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/onsi/gomega"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v2-2.2.1" ,go-gopkg-in-yaml-v2-2.2.1)
        ("go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7"
         ,go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7)
        ("go-gopkg-in-fsnotify-v1-1.4.7" ,go-gopkg-in-fsnotify-v1-1.4.7)
        ("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20180909124046-d0be0721c37e"
         ,go-golang-org-x-sys-0.0.0-20180909124046-d0be0721c37e)
        ("go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f"
         ,go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f)
        ("go-golang-org-x-net-0.0.0-20180906233101-161cd47e91fd"
         ,go-golang-org-x-net-0.0.0-20180906233101-161cd47e91fd)
        ("go-github-com-onsi-ginkgo-1.6.0" ,go-github-com-onsi-ginkgo-1.6.0)
        ("go-github-com-hpcloud-tail-1.0.0" ,go-github-com-hpcloud-tail-1.0.0)
        ("go-github-com-golang-protobuf-1.2.0"
         ,go-github-com-golang-protobuf-1.2.0)
        ("go-github-com-fsnotify-fsnotify-1.4.7"
         ,go-github-com-fsnotify-fsnotify-1.4.7)))
    (home-page "https://github.com/onsi/gomega")
    (synopsis ": a BDD Testing Framework for Golang")
    (description
      "Gomega is the Ginkgo BDD-style testing framework's preferred matcher library.")
    (license license:expat)))

(define-public go-github-com-sergi-go-diff-1.0.0
  (package
    (name "go-github-com-sergi-go-diff")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sergi/go-diff")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0swiazj8wphs2zmk1qgq75xza6m19snif94h2m6fi8dqkwqdl7c7"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sergi/go-diff"))
    (home-page "https://github.com/sergi/go-diff")
    (synopsis "go-diff")
    (description
      "go-diff offers algorithms to perform operations required for synchronizing plain
text:")
    (license license:expat)))

(define-public go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190404232315-eb5bcb51f2a3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "17k4g8krxbl84gzcs275b7gsh66dzm15fdxivjnx9xz8q84l4kby"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190412213103-97732733099d
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190412213103-97732733099d")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "118hkp01i4z1f5h6hcjm0ff2ngqhrzj1f7731n0kw8dr6hvbx0sw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20190426145343-a29dc8fdc734
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20190426145343-a29dc8fdc734")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "07f0jj4haqs0ywc1akk1qjwn5msl2j0pry1rxjkkbfcq4r6ihc1p"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190412213103-97732733099d"
         ,go-golang-org-x-sys-0.0.0-20190412213103-97732733099d)
        ("go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3"
         ,go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-github-com-aphistic-sweet-0.2.0
  (package
    (name "go-github-com-aphistic-sweet")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/aphistic/sweet")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1bb4qagfxf6byqn2yx0vq24xfvisz3ah4w6bvqclc8cklvfngw43"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/aphistic/sweet"))
    (propagated-inputs
      `(("go-golang-org-x-crypto-0.0.0-20190426145343-a29dc8fdc734"
         ,go-golang-org-x-crypto-0.0.0-20190426145343-a29dc8fdc734)
        ("go-github-com-sergi-go-diff-1.0.0"
         ,go-github-com-sergi-go-diff-1.0.0)
        ("go-github-com-onsi-gomega-1.5.0" ,go-github-com-onsi-gomega-1.5.0)
        ("go-github-com-mgutz-ansi-0.0.0-20170206155736-9520e82c474b"
         ,go-github-com-mgutz-ansi-0.0.0-20170206155736-9520e82c474b)
        ("go-github-com-mattn-go-colorable-0.1.1"
         ,go-github-com-mattn-go-colorable-0.1.1)))
    (home-page "https://github.com/aphistic/sweet")
    (synopsis "sweet")
    (description
      "Sweet is a pluggable test runner capable of hooking into standard Go tests.  It
attempts to provide access to the standard Go test tool as close as possible
while adding support for test suites and plugins that can hook into test results
to add additional functionality.")
    (license license:expat)))

(define-public go-github-com-jmespath-go-jmespath-0.0.0-20180206201540-c2b33e8439af
  (package
    (name "go-github-com-jmespath-go-jmespath")
    (version "0.0.0-20180206201540-c2b33e8439af")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/jmespath/go-jmespath")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1r6w7ydx8ydryxk3sfhzsk8m6f1nsik9jg3i1zhi69v4kfl4d5cz"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/jmespath/go-jmespath"))
    (home-page "https://github.com/jmespath/go-jmespath")
    (synopsis "go-jmespath - A JMESPath implementation in Go")
    (description
      "go-jmespath is a GO implementation of JMESPath, which is a query language for
JSON.  It will take a JSON document and transform it into another JSON document
through a JMESPath expression.")
    (license license:asl2.0)))

(define-public go-github-com-aws-aws-sdk-go-1.20.6
  (package
    (name "go-github-com-aws-aws-sdk-go")
    (version "1.20.6")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/aws/aws-sdk-go")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "016vy5s9finyfgh08j7rvn2pnwymdgj2ydr59w57pysnri87mdwx"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/aws/aws-sdk-go"))
    (propagated-inputs
      `(("go-github-com-jmespath-go-jmespath-0.0.0-20180206201540-c2b33e8439af"
         ,go-github-com-jmespath-go-jmespath-0.0.0-20180206201540-c2b33e8439af)))
    (home-page "https://github.com/aws/aws-sdk-go")
    (synopsis "AWS SDK for Go")
    (description
      "Package sdk is the official AWS SDK for the Go programming language.")
    (license license:asl2.0)))

(define-public go-github-com-aybabtme-rgbterm-0.0.0-20170906152045-cc83f3b3ce59
  (package
    (name "go-github-com-aybabtme-rgbterm")
    (version "0.0.0-20170906152045-cc83f3b3ce59")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/aybabtme/rgbterm")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0wvmxvjn64968ikvnxrflb1x8rlcwzpfl53fzbxff2axbx9lq50q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/aybabtme/rgbterm"))
    (home-page "https://github.com/aybabtme/rgbterm")
    (synopsis "RGB terminal")
    (description
      "Package rgbterm colorizes bytes and strings using RGB colors, for a full range
of pretty terminal strings.")
    (license license:expat)))

(define-public go-github-com-fatih-color-1.7.0
  (package
    (name "go-github-com-fatih-color")
    (version "1.7.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/fatih/color")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0v8msvg38r8d1iiq2i5r4xyfx0invhc941kjrsg5gzwvagv55inv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/fatih/color"))
    (home-page "https://github.com/fatih/color")
    (synopsis "color")
    (description
      "Package color is an ANSI color package to output colorized or SGR defined output
to the standard output.  The API can be used in several way, pick one that suits
you.")
    (license license:expat)))

(define-public go-github-com-kr-logfmt-0.0.0-20140226030751-b84e30acd515
  (package
    (name "go-github-com-kr-logfmt")
    (version "0.0.0-20140226030751-b84e30acd515")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/logfmt")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "02ldzxgznrfdzvghfraslhgp19la1fczcbzh7wm2zdc6lmpd1qq9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/logfmt"))
    (home-page "https://github.com/kr/logfmt")
    (synopsis #f)
    (description "Package implements the decoding of logfmt key-value pairs.")
    (license license:expat)))

(define-public go-github-com-go-logfmt-logfmt-0.4.0
  (package
    (name "go-github-com-go-logfmt-logfmt")
    (version "0.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/go-logfmt/logfmt")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "06smxc112xmixz78nyvk3b2hmc7wasf2sl5vxj1xz62kqcq9lzm9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/go-logfmt/logfmt"))
    (propagated-inputs
      `(("go-github-com-kr-logfmt-0.0.0-20140226030751-b84e30acd515"
         ,go-github-com-kr-logfmt-0.0.0-20140226030751-b84e30acd515)))
    (home-page "https://github.com/go-logfmt/logfmt")
    (synopsis "logfmt")
    (description
      "Package logfmt implements utilities to marshal and unmarshal data in the logfmt
format.  The logfmt format records key/value pairs in a way that balances
readability for humans and simplicity of computer parsing.  It is most commonly
used as a more human friendly alternative to JSON for structured logging.")
    (license license:expat)))

(define-public go-github-com-golang-protobuf-1.3.1
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.3.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "15am4s4646qy6iv0g3kkqq52rzykqjhm4bf08dk0fy2r58knpsyl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-github-com-google-uuid-1.1.1
  (package
    (name "go-github-com-google-uuid")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/uuid")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hfxcf9frkb57k6q0rdkrmnfs78ms21r1qfk9fhlqga2yh5xg8zb"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/uuid"))
    (home-page "https://github.com/google/uuid")
    (synopsis "uuid")
    (description "Package uuid generates and inspects UUIDs.")
    (license license:bsd-3)))

(define-public go-github-com-jpillora-backoff-0.0.0-20180909062703-3050d21c67d7
  (package
    (name "go-github-com-jpillora-backoff")
    (version "0.0.0-20180909062703-3050d21c67d7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/jpillora/backoff")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1nxapdx9xg5gwiscfhq7m0w14hj4gaxb4avmgf1mx9zd3jnw9jxv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/jpillora/backoff"))
    (home-page "https://github.com/jpillora/backoff")
    (synopsis "Backoff")
    (description
      "Package backoff provides an exponential-backoff implementation.")
    (license license:expat)))

(define-public go-github-com-kr-pty-1.1.1
  (package
    (name "go-github-com-kr-pty")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0383f0mb9kqjvncqrfpidsf8y6ns5zlrc91c6a74xpyxjwvzl2y6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pty"))
    (home-page "https://github.com/kr/pty")
    (synopsis "pty")
    (description
      "Package pty is a wrapper for github.com/creack/pty, which provides functions for
working with Unix terminals.")
    (license license:expat)))

(define-public go-github-com-kr-text-0.1.0
  (package
    (name "go-github-com-kr-text")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1gm5bsl01apvc84bw06hasawyqm4q84vx1pm32wr9jnd7a8vjgj1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/text"))
    (propagated-inputs
      `(("go-github-com-kr-pty-1.1.1" ,go-github-com-kr-pty-1.1.1)))
    (home-page "https://github.com/kr/text")
    (synopsis #f)
    (description
      "Package text provides rudimentary functions for manipulating text in paragraphs.")
    (license license:expat)))

(define-public go-github-com-kr-pretty-0.2.0
  (package
    (name "go-github-com-kr-pretty")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pretty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ywbfzz1h3a3qd8rpkiqwi1dm4w8ls9ijb4x1b7567grns9f0vnp"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pretty"))
    (propagated-inputs
      `(("go-github-com-kr-text-0.1.0" ,go-github-com-kr-text-0.1.0)))
    (home-page "https://github.com/kr/pretty")
    (synopsis #f)
    (description
      "Package pretty provides pretty-printing for Go values.  This is useful during
debugging, to avoid wrapping long output lines in the terminal.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190222072716-a9d3bda3a223")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1w45zc13xrjzl19s1sx74r5mg3lf2z2nm13wygcdq5r5pyjlhdz9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-mattn-go-isatty-0.0.8
  (package
    (name "go-github-com-mattn-go-isatty")
    (version "0.0.8")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-isatty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0rqfh1rj6f5wm8p2ky7inm8g10152p7w6n2cli17kf9gad797i8h"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-isatty"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223"
         ,go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223)))
    (home-page "https://github.com/mattn/go-isatty")
    (synopsis "go-isatty")
    (description "Package isatty implements interface to isatty")
    (license license:expat)))

(define-public go-github-com-mattn-go-colorable-0.1.2
  (package
    (name "go-github-com-mattn-go-colorable")
    (version "0.1.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-colorable")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0512jm3wmzkkn7d99x9wflyqf48n5ri3npy1fqkq6l6adc5mni3n"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-colorable"))
    (propagated-inputs
      `(("go-github-com-mattn-go-isatty-0.0.8"
         ,go-github-com-mattn-go-isatty-0.0.8)))
    (home-page "https://github.com/mattn/go-colorable")
    (synopsis "go-colorable")
    (description "Colorable writer for windows.")
    (license license:expat)))

(define-public go-github-com-pkg-errors-0.8.1
  (package
    (name "go-github-com-pkg-errors")
    (version "0.8.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pkg/errors")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0g5qcb4d4fd96midz0zdk8b9kz8xkzwfa8kr1cliqbg8sxsy5vd1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pkg/errors"))
    (home-page "https://github.com/pkg/errors")
    (synopsis "errors")
    (description "Package errors provides simple error handling primitives.")
    (license license:bsd-2)))

(define-public go-github-com-rogpeppe-fastuuid-1.1.0
  (package
    (name "go-github-com-rogpeppe-fastuuid")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/rogpeppe/fastuuid")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1jlif5pxyz3md02ij93kd2y2j1zz0ajc9k8azvn83vv6l3r5c1zg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/rogpeppe/fastuuid"))
    (home-page "https://github.com/rogpeppe/fastuuid")
    (synopsis "fastuuid")
    (description
      "Package fastuuid provides fast UUID generation of 192 bit universally unique
identifiers.")
    (license license:bsd-3)))

(define-public go-github-com-smartystreets-go-aws-auth-0.0.0-20180515143844-0c1422d1fdb9
  (package
    (name "go-github-com-smartystreets-go-aws-auth")
    (version "0.0.0-20180515143844-0c1422d1fdb9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/smarty-archives/go-aws-auth")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0krfdpgn3gfii1z9fi8ydfw0wwfqyvp6w3rji7w92m528zkjl93d"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/smartystreets/go-aws-auth"))
    (home-page "https://github.com/smartystreets/go-aws-auth")
    (synopsis "go-aws-auth")
    (description
      "Package awsauth implements AWS request signing using Signed Signature Version 2,
Signed Signature Version 3, and Signed Signature Version 4.  Supports S3 and
STS.")
    (license license:expat)))

(define-public go-github-com-smartystreets-assertions-1.0.0
  (package
    (name "go-github-com-smartystreets-assertions")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/smartystreets/assertions")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1188hs39zvil41sdnxs83h1hp319lfyc5n2rvd1xnhz1dh5qjjh4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/smartystreets/assertions"))
    (home-page "https://github.com/smartystreets/assertions")
    (synopsis #f)
    (description
      "Package assertions contains the implementations for all assertions which are
referenced in goconvey's `convey` package
(github.com/smartystreets/goconvey/convey) and gunit
(github.com/smartystreets/gunit) for use with the So(...) method.  They can also
be used in traditional Go test functions and even in applications.")
    (license license:expat)))

(define-public go-github-com-smartystreets-gunit-1.0.0
  (package
    (name "go-github-com-smartystreets-gunit")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/smartystreets/gunit")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "11d09rl5qqpj36a311pjj8w5jkj83d5b8gdcsx8f1zn4j924sm5d"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/smartystreets/gunit"))
    (propagated-inputs
      `(("go-github-com-smartystreets-assertions-1.0.0"
         ,go-github-com-smartystreets-assertions-1.0.0)))
    (home-page "https://github.com/smartystreets/gunit")
    (synopsis "gunit")
    (description
      "Package gunit provides \"testing\" package hooks and convenience functions for
writing tests in an xUnit style.  See the README file and the examples folder
for examples.")
    (license license:expat)))

(define-public go-github-com-davecgh-go-spew-1.1.1
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hka6hmyvp701adzag2g26cxdj47g21x6jz4sc6jjz1mn59d474y"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-davecgh-go-spew-1.1.0
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0d4jfmak5p6lb7n2r6yvf5p1zcw0l8j74kn55ghvr7zr7b7axm6c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-pmezard-go-difflib-1.0.0
  (package
    (name "go-github-com-pmezard-go-difflib")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pmezard/go-difflib")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0c1cn55m4rypmscgf0rrb88pn58j3ysvc2d0432dp3c6fqg6cnzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pmezard/go-difflib"))
    (home-page "https://github.com/pmezard/go-difflib")
    (synopsis "go-difflib")
    (description
      "Go-difflib is a partial port of python 3 difflib package.  Its main goal was to
make unified and context diff available in pure Go, mostly for testing purposes.")
    (license license:bsd-3)))

(define-public go-github-com-stretchr-objx-0.1.0
  (package
    (name "go-github-com-stretchr-objx")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/objx")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19ynspzjdynbi85xw06mh8ad5j0qa1vryvxjgvbnyrr8rbm4vd8w"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/objx"))
    (home-page "https://github.com/stretchr/objx")
    (synopsis "Objx")
    (description
      "Objx - Go package for dealing with maps, slices, JSON and other data.")
    (license license:expat)))

(define-public go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c
  (package
    (name "go-gopkg-in-yaml-v3")
    (version "3.0.0-20200313102051-9f266ea9e77c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v3")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1bbai3lzb50m0x2vwsdbagrbhvfylj9k1m32hgbqwldqx4p9ay35"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v3" #:unpack-path "gopkg.in/yaml.v3"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v3")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.6.1
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.6.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yhiqqzjvi63pf01rgzx68gqkkvjx03fvl5wk30br5l6s81s090l"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c"
         ,go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c)
        ("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-gopkg-in-yaml-v3-3.0.0-20200605160147-a5ece683394c
  (package
    (name "go-gopkg-in-yaml-v3")
    (version "3.0.0-20200605160147-a5ece683394c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v3")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03cm7c3p5fh0aa8vnxv5010dgqqr268ivb480ix1salxx3396w68"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v3" #:unpack-path "gopkg.in/yaml.v3"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v3")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:expat)))

(define-public go-github-com-tj-assert-0.0.3
  (package
    (name "go-github-com-tj-assert")
    (version "0.0.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/assert")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1j5swk3fjq1h5fpqkipddz2ccnbidr7qrpm5dpdaflg9q5jnc673"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/assert"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v3-3.0.0-20200605160147-a5ece683394c"
         ,go-gopkg-in-yaml-v3-3.0.0-20200605160147-a5ece683394c)
        ("go-github-com-stretchr-testify-1.6.1"
         ,go-github-com-stretchr-testify-1.6.1)
        ("go-github-com-davecgh-go-spew-1.1.1"
         ,go-github-com-davecgh-go-spew-1.1.1)))
    (home-page "https://github.com/tj/assert")
    (synopsis "assert")
    (description
      "Package assert implements the same assertions as the `assert` package but stops
test execution when a test fails.")
    (license license:expat)))

(define-public go-github-com-tj-go-buffer-1.1.0
  (package
    (name "go-github-com-tj-go-buffer")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/go-buffer")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1qdxpa069pjjbzh217aadpzz1aq1n6h32lhp60yjcpi7hr4q8fxx"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/go-buffer"))
    (propagated-inputs
      `(("go-github-com-tj-assert-0.0.3" ,go-github-com-tj-assert-0.0.3)))
    (home-page "https://github.com/tj/go-buffer")
    (synopsis "Buffer")
    (description
      "Package buffer provides a generic buffer or batching mechanism for flushing
entries at a given size or interval, useful for cases such as batching log
events.")
    (license license:expat)))

(define-public go-github-com-tj-go-elastic-0.0.0-20171221160941-36157cbbebc2
  (package
    (name "go-github-com-tj-go-elastic")
    (version "0.0.0-20171221160941-36157cbbebc2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/go-elastic")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1r94vc4hbfvqvjz74n4mvsw4dy3vbyzlivb90kyn8vn76a4wqk69"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/go-elastic"))
    (home-page "https://github.com/tj/go-elastic")
    (synopsis "go-elastic")
    (description
      "Package elastic provides an Elasticsearch client with AWS sigv4 support.")
    (license license:expat)))

(define-public go-github-com-tj-go-kinesis-0.0.0-20171128231115-08b17f58cb1b
  (package
    (name "go-github-com-tj-go-kinesis")
    (version "0.0.0-20171128231115-08b17f58cb1b")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/go-kinesis")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "108c6p5j6rhhc2cnc2v5368yfsw73y6lzlvz02vpvvjph8rhmld4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/go-kinesis"))
    (home-page "https://github.com/tj/go-kinesis")
    (synopsis "go-kinesis")
    (description
      "Package kinesis implements a batch producer built on top of the official AWS
SDK.")
    (license license:expat)))

(define-public go-github-com-tj-go-spin-1.1.0
  (package
    (name "go-github-com-tj-go-spin")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/go-spin")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "11xr67991m5pwsy1dira3iwd0sr55vmn1cyjwmlqziw4bwpym64s"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/go-spin"))
    (home-page "https://github.com/tj/go-spin")
    (synopsis #f)
    (description #f)
    (license #f)))

(define-public go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20190308221718-c2843e01d9a2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "01xgxbj5r79nmisdvpq48zfy8pzaaj90bn6ngd4nf33j9ar1dp8r"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190215142949-d0b11bdaac8a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18yfsmw622l7gc5sqriv5qmck6903vvhivpzp8i3xfy3z33dybdl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.0
  (package
    (name "go-golang-org-x-text")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r6x6zjzhr8ksqlpiwm5gdd7s209kwk5p4lw54xjvz10cs3qlq19"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190620200207-3b0461eec859")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0l00c8l0a8xnv6qdpwfzxxsr58jggacgzdrwiprrfx2xqm37b6d5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20180917221912-90fa682c2a6e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03ic2xsy51jw9749wl7gszdbz99iijbd2bckgygl6cm9w5m364ak"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.2
  (package
    (name "go-golang-org-x-text")
    (version "0.3.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0flv9idw0jm5nm8lx25xqanbkqgfiym6619w575p7nrdh0riqwqh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e"
         ,go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e)))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-gopkg-in-check-v1-1.0.0-20190902080502-41f04d3bba15
  (package
    (name "go-gopkg-in-check-v1")
    (version "1.0.0-20190902080502-41f04d3bba15")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0vfk9czmlxmp6wndq8k17rhnjxal764mxfhrccza7nwlia760pjy"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405
  (package
    (name "go-gopkg-in-check-v1")
    (version "0.0.0-20161208181325-20d25e280405")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k1m83ji9l1a7ng8a7v40psbymxasmssbrrhpdv2wl4rhs0nc3np"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-yaml-v2-2.2.2
  (package
    (name "go-gopkg-in-yaml-v2")
    (version "2.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "01wj12jzsdqlnidpyjssmj0r4yavlqy7dwrg7adqd8dicjc4ncsa"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v2" #:unpack-path "gopkg.in/yaml.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v2")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:asl2.0)))

(define-public go-github-com-apex-log-1.9.0
  (package
    (name "go-github-com-apex-log")
    (version "1.9.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/apex/log")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ibqkncnb8wcwilg2kyfyl5541g69rg551iy6m61q6iwdn5vfhi2"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/apex/log"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v2-2.2.2" ,go-gopkg-in-yaml-v2-2.2.2)
        ("go-gopkg-in-check-v1-1.0.0-20190902080502-41f04d3bba15"
         ,go-gopkg-in-check-v1-1.0.0-20190902080502-41f04d3bba15)
        ("go-golang-org-x-text-0.3.2" ,go-golang-org-x-text-0.3.2)
        ("go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859"
         ,go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859)
        ("go-github-com-tj-go-spin-1.1.0" ,go-github-com-tj-go-spin-1.1.0)
        ("go-github-com-tj-go-kinesis-0.0.0-20171128231115-08b17f58cb1b"
         ,go-github-com-tj-go-kinesis-0.0.0-20171128231115-08b17f58cb1b)
        ("go-github-com-tj-go-elastic-0.0.0-20171221160941-36157cbbebc2"
         ,go-github-com-tj-go-elastic-0.0.0-20171221160941-36157cbbebc2)
        ("go-github-com-tj-go-buffer-1.1.0" ,go-github-com-tj-go-buffer-1.1.0)
        ("go-github-com-tj-assert-0.0.3" ,go-github-com-tj-assert-0.0.3)
        ("go-github-com-stretchr-testify-1.6.1"
         ,go-github-com-stretchr-testify-1.6.1)
        ("go-github-com-smartystreets-gunit-1.0.0"
         ,go-github-com-smartystreets-gunit-1.0.0)
        ("go-github-com-smartystreets-go-aws-auth-0.0.0-20180515143844-0c1422d1fdb9"
         ,go-github-com-smartystreets-go-aws-auth-0.0.0-20180515143844-0c1422d1fdb9)
        ("go-github-com-rogpeppe-fastuuid-1.1.0"
         ,go-github-com-rogpeppe-fastuuid-1.1.0)
        ("go-github-com-pkg-errors-0.8.1" ,go-github-com-pkg-errors-0.8.1)
        ("go-github-com-mattn-go-colorable-0.1.2"
         ,go-github-com-mattn-go-colorable-0.1.2)
        ("go-github-com-kr-pretty-0.2.0" ,go-github-com-kr-pretty-0.2.0)
        ("go-github-com-jpillora-backoff-0.0.0-20180909062703-3050d21c67d7"
         ,go-github-com-jpillora-backoff-0.0.0-20180909062703-3050d21c67d7)
        ("go-github-com-google-uuid-1.1.1" ,go-github-com-google-uuid-1.1.1)
        ("go-github-com-golang-protobuf-1.3.1"
         ,go-github-com-golang-protobuf-1.3.1)
        ("go-github-com-go-logfmt-logfmt-0.4.0"
         ,go-github-com-go-logfmt-logfmt-0.4.0)
        ("go-github-com-fatih-color-1.7.0" ,go-github-com-fatih-color-1.7.0)
        ("go-github-com-aybabtme-rgbterm-0.0.0-20170906152045-cc83f3b3ce59"
         ,go-github-com-aybabtme-rgbterm-0.0.0-20170906152045-cc83f3b3ce59)
        ("go-github-com-aws-aws-sdk-go-1.20.6"
         ,go-github-com-aws-aws-sdk-go-1.20.6)
        ("go-github-com-aphistic-sweet-0.2.0"
         ,go-github-com-aphistic-sweet-0.2.0)
        ("go-github-com-aphistic-golf-0.0.0-20180712155816-02c07f170c5a"
         ,go-github-com-aphistic-golf-0.0.0-20180712155816-02c07f170c5a)
        ("go-github-com-apex-logs-1.0.0" ,go-github-com-apex-logs-1.0.0)))
    (home-page "https://github.com/apex/log")
    (synopsis "Handlers")
    (description
      "Package log implements a simple structured logging API designed with few
assumptions.  Designed for centralized logging solutions such as Kinesis which
require encoding and decoding before fanning-out to handlers.")
    (license license:expat)))

(define-public go-github-com-sylabs-json-resp-0.8.0
  (package
    (name "go-github-com-sylabs-json-resp")
    (version "0.8.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sylabs/json-resp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ygr4mavaj1pp78hkkphhn3ydd923n3klwnx8x7v4ajqzx4cx4id"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sylabs/json-resp"))
    (home-page "https://github.com/sylabs/json-resp")
    (synopsis "JSON Response")
    (description
      "The @code{json-resp} package contains a small set of functions that are used to
marshall and unmarshall response data and errors in JSON format.")
    (license license:bsd-3)))

(define-public go-github-com-apptainer-container-key-client-0.7.2
  (package
    (name "go-github-com-apptainer-container-key-client")
    (version "0.7.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/apptainer/container-key-client")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0f4bb1k8pi37alzgzvjw23ynp54752qwgnr9gim3vc061qcjx377"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/apptainer/container-key-client"))
    (propagated-inputs
      `(("go-github-com-sylabs-json-resp-0.8.0"
         ,go-github-com-sylabs-json-resp-0.8.0)))
    (home-page "https://github.com/apptainer/container-key-client")
    (synopsis "Container Key Client")
    (description
      "This project provides a Go client to Apptainer for key storage and retrieval
using the HKP protocol.  Forked from
@url{https://github.com/sylabs/scs-key-client,sylabs/scs-key-client}.")
    (license license:bsd-3)))

(define-public go-github-com-blang-semver-v4-4.0.0
  (package
    (name "go-github-com-blang-semver-v4")
    (version "4.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/blang/semver")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "14h9ys4n4kx9cbj42lkdf4i5k3nkll6sd62jcvl7cs565v6fiknz"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/blang/semver/v4"))
    (home-page "https://github.com/blang/semver")
    (synopsis #f)
    (description #f)
    (license license:expat)))

(define-public go-github-com-go-log-log-0.2.0
  (package
    (name "go-github-com-go-log-log")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/go-log/log")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1idnqv4yvkmdh3wcsgvhcpak9z6ix8dsifdjq5kfbbnskdq5rmvg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/go-log/log"))
    (home-page "https://github.com/go-log/log")
    (synopsis "Log")
    (description "Package log provides a log interface")
    (license license:expat)))

(define-public go-github-com-stretchr-objx-0.1.0
  (package
    (name "go-github-com-stretchr-objx")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/objx")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19ynspzjdynbi85xw06mh8ad5j0qa1vryvxjgvbnyrr8rbm4vd8w"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/objx"))
    (home-page "https://github.com/stretchr/objx")
    (synopsis "Objx")
    (description
      "Objx - Go package for dealing with maps, slices, JSON and other data.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.7.0
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.7.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ixgjsvafr3513pz3r6pmgk074s2dxkll0dadvl25gkf30rkmh10"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c"
         ,go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c)
        ("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-github-com-sylabs-json-resp-0.8.0
  (package
    (name "go-github-com-sylabs-json-resp")
    (version "0.8.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sylabs/json-resp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ygr4mavaj1pp78hkkphhn3ydd923n3klwnx8x7v4ajqzx4cx4id"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sylabs/json-resp"))
    (home-page "https://github.com/sylabs/json-resp")
    (synopsis "JSON Response")
    (description
      "The @code{json-resp} package contains a small set of functions that are used to
marshall and unmarshall response data and errors in JSON format.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20200317015054-43a5402ce75a
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20200317015054-43a5402ce75a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0j6zrrb81qjr1926kkwmn0di9a0jn8qyjd9dw614rfkihxgq1vsm"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-github-com-davecgh-go-spew-1.1.0
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0d4jfmak5p6lb7n2r6yvf5p1zcw0l8j74kn55ghvr7zr7b7axm6c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-pmezard-go-difflib-1.0.0
  (package
    (name "go-github-com-pmezard-go-difflib")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pmezard/go-difflib")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0c1cn55m4rypmscgf0rrb88pn58j3ysvc2d0432dp3c6fqg6cnzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pmezard/go-difflib"))
    (home-page "https://github.com/pmezard/go-difflib")
    (synopsis "go-difflib")
    (description
      "Go-difflib is a partial port of python 3 difflib package.  Its main goal was to
make unified and context diff available in pure Go, mostly for testing purposes.")
    (license license:bsd-3)))

(define-public go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405
  (package
    (name "go-gopkg-in-check-v1")
    (version "0.0.0-20161208181325-20d25e280405")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k1m83ji9l1a7ng8a7v40psbymxasmssbrrhpdv2wl4rhs0nc3np"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c
  (package
    (name "go-gopkg-in-yaml-v3")
    (version "3.0.0-20200313102051-9f266ea9e77c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v3")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1bbai3lzb50m0x2vwsdbagrbhvfylj9k1m32hgbqwldqx4p9ay35"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v3" #:unpack-path "gopkg.in/yaml.v3"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v3")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:expat)))

(define-public go-github-com-apptainer-container-library-client-1.2.2
  (package
    (name "go-github-com-apptainer-container-library-client")
    (version "1.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/apptainer/container-library-client")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1f6pxzk0k9jf9612kjw6jlmrs8yzqqrvhjwfxwri1q1d4i410a0h"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "github.com/apptainer/container-library-client"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c"
         ,go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)
        ("go-golang-org-x-sync-0.0.0-20200317015054-43a5402ce75a"
         ,go-golang-org-x-sync-0.0.0-20200317015054-43a5402ce75a)
        ("go-github-com-sylabs-json-resp-0.8.0"
         ,go-github-com-sylabs-json-resp-0.8.0)
        ("go-github-com-stretchr-testify-1.7.0"
         ,go-github-com-stretchr-testify-1.7.0)
        ("go-github-com-go-log-log-0.2.0" ,go-github-com-go-log-log-0.2.0)
        ("go-github-com-blang-semver-v4-4.0.0"
         ,go-github-com-blang-semver-v4-4.0.0)))
    (home-page "https://github.com/apptainer/container-library-client")
    (synopsis "Container Library Client")
    (description
      "This project provides a Go client to Apptainer for the container library.
Forked from
@url{https://github.com/sylabs/scs-library-client,sylabs/scs-library-client}.")
    (license license:bsd-3)))

(define-public go-github-com-blang-semver-v4-4.0.0
  (package
    (name "go-github-com-blang-semver-v4")
    (version "4.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/blang/semver")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "14h9ys4n4kx9cbj42lkdf4i5k3nkll6sd62jcvl7cs565v6fiknz"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/blang/semver/v4"))
    (home-page "https://github.com/blang/semver")
    (synopsis #f)
    (description #f)
    (license license:expat)))

(define-public go-github-com-buger-jsonparser-1.1.1
  (package
    (name "go-github-com-buger-jsonparser")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/buger/jsonparser")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0qv2lsh2biwxn927941gqiv5pqg7n4v58j0i536pjp7pr17pq7dp"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/buger/jsonparser"))
    (home-page "https://github.com/buger/jsonparser")
    (synopsis
      "Alternative JSON parser for Go (10x times faster standard library)")
    (description
      "It does not require you to know the structure of the payload (eg.  create
structs), and allows accessing fields by providing the path to them.  It is up
to @strong{10 times faster} than standard @code{encoding/json} package
(depending on payload size and usage), @strong{allocates no memory}.  See
benchmarks below.")
    (license license:expat)))

(define-public go-github-com-cenkalti-backoff-v4-4.1.2
  (package
    (name "go-github-com-cenkalti-backoff-v4")
    (version "4.1.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/cenkalti/backoff")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "08c28226q612i1pv83161y57qh16631vpc51ai9f76qfrzsy946z"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/cenkalti/backoff/v4"))
    (home-page "https://github.com/cenkalti/backoff")
    (synopsis "Exponential Backoff")
    (description
      "Package backoff implements backoff algorithms for retrying operations.")
    (license license:expat)))

(define-public go-github-com-kr-pretty-0.2.1
  (package
    (name "go-github-com-kr-pretty")
    (version "0.2.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pretty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0vzfz06y9q8gs2nxx0kys0591vzp78k0fvpb8digi5n15h3b25hy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pretty"))
    (propagated-inputs
      `(("go-github-com-kr-text-0.1.0" ,go-github-com-kr-text-0.1.0)))
    (home-page "https://github.com/kr/pretty")
    (synopsis #f)
    (description
      "Package pretty provides pretty-printing for Go values.  This is useful during
debugging, to avoid wrapping long output lines in the terminal.")
    (license license:expat)))

(define-public go-github-com-frankban-quicktest-1.11.3
  (package
    (name "go-github-com-frankban-quicktest")
    (version "1.11.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/frankban/quicktest")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0d5njmwkfq2809vlimnlvy8ir6kln0c4cgdwr680fwsclpbr43qs"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/frankban/quicktest"))
    (propagated-inputs
      `(("go-github-com-kr-pretty-0.2.1" ,go-github-com-kr-pretty-0.2.1)
        ("go-github-com-google-go-cmp-0.5.4"
         ,go-github-com-google-go-cmp-0.5.4)))
    (home-page "https://github.com/frankban/quicktest")
    (synopsis "quicktest")
    (description
      "Package quicktest provides a collection of Go helpers for writing tests.")
    (license license:expat)))

(define-public go-github-com-google-go-cmp-0.5.4
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.5.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ld9pwb6l22g75g1zpa691l7q9ki7pjgpcqhwgdfr3va1zisr5ci"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543"
         ,go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543)))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20210124154548-22da62e12c0c
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20210124154548-22da62e12c0c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "17gp3dl75wq3x7j9z1pqgcyvjhvy9jaln1wbscy57al3whdsjp07"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-cilium-ebpf-0.4.0
  (package
    (name "go-github-com-cilium-ebpf")
    (version "0.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/cilium/ebpf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1j33vfz8mxnqadkd17l0y3ll71gph3ndm8hwrwbwnf5px7bfv9yl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/cilium/ebpf"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20210124154548-22da62e12c0c"
         ,go-golang-org-x-sys-0.0.0-20210124154548-22da62e12c0c)
        ("go-github-com-google-go-cmp-0.5.4"
         ,go-github-com-google-go-cmp-0.5.4)
        ("go-github-com-frankban-quicktest-1.11.3"
         ,go-github-com-frankban-quicktest-1.11.3)))
    (home-page "https://github.com/cilium/ebpf")
    (synopsis "eBPF")
    (description "Package ebpf is a toolkit for working with eBPF programs.")
    (license license:expat)))

(define-public go-github-com-coreos-go-systemd-v22-22.3.2
  (package
    (name "go-github-com-coreos-go-systemd-v22")
    (version "22.3.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/coreos/go-systemd")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ndi86b8va84ha93njqgafypz4di7yxfd5r5kf1r0s3y3ghcjajq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/coreos/go-systemd/v22"))
    (propagated-inputs
      `(("go-github-com-godbus-dbus-v5-5.0.4"
         ,go-github-com-godbus-dbus-v5-5.0.4)))
    (home-page "https://github.com/coreos/go-systemd")
    (synopsis "go-systemd")
    (description "Go bindings to systemd.  The project has several packages:")
    (license license:asl2.0)))

(define-public go-github-com-cpuguy83-go-md2man-v2-2.0.0
  (package
    (name "go-github-com-cpuguy83-go-md2man-v2")
    (version "2.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/cpuguy83/go-md2man")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r1f7v475dxxgzqci1mxfliwadcrk86ippflx9n411325l4g3ghv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/cpuguy83/go-md2man/v2"))
    (propagated-inputs
      `(("go-github-com-shurcool-sanitized-anchor-name-1.0.0"
         ,go-github-com-shurcool-sanitized-anchor-name-1.0.0)
        ("go-github-com-russross-blackfriday-v2-2.0.1"
         ,go-github-com-russross-blackfriday-v2-2.0.1)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)))
    (home-page "https://github.com/cpuguy83/go-md2man")
    (synopsis "go-md2man")
    (description "Converts markdown into roff (man pages).")
    (license license:expat)))

(define-public go-github-com-docker-go-units-0.4.0
  (package
    (name "go-github-com-docker-go-units")
    (version "0.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/docker/go-units")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k8gja8ql4pqg5rzmqvka42vjfs6rzablak87whcnqba6qxpimvz"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/docker/go-units"))
    (home-page "https://github.com/docker/go-units")
    (synopsis "Introduction")
    (description
      "Package units provides helper function to parse and print size and time units in
human-readable format.")
    (license license:asl2.0)))

(define-public go-github-com-godbus-dbus-v5-5.0.4
  (package
    (name "go-github-com-godbus-dbus-v5")
    (version "5.0.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/godbus/dbus")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0znax8kskb5gmp5fj75w56bc9p7b22wrdswzlh4d04sprlc471yi"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/godbus/dbus/v5"))
    (home-page "https://github.com/godbus/dbus")
    (synopsis "dbus")
    (description
      "Package dbus implements bindings to the D-Bus message bus system.")
    (license license:bsd-2)))

(define-public go-github-com-yuin-goldmark-1.1.27
  (package
    (name "go-github-com-yuin-goldmark")
    (version "1.1.27")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/yuin/goldmark")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1872cqnii0kwiqcy81yin0idvjy5mdy4zlzz0csb319lcjs3b923"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/yuin/goldmark"))
    (home-page "https://github.com/yuin/goldmark")
    (synopsis "goldmark")
    (description
      "Package goldmark implements functions to convert markdown text to a desired
format.")
    (license license:expat)))

(define-public go-golang-org-x-mod-0.2.0
  (package
    (name "go-golang-org-x-mod")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/mod")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1fp6885dclq77mh73v7i54v2b9llpv4di193zc8vmsbbkkc483cl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/mod"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898"
         ,go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898)
        ("go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e"
         ,go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e)
        ("go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550"
         ,go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550)))
    (home-page "https://golang.org/x/mod")
    (synopsis "mod")
    (description
      "This repository holds packages for writing tools that work directly with Go
module mechanics.  That is, it is for direct manipulation of Go modules
themselves.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20200226121028-0de0cce0169b
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20200226121028-0de0cce0169b")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1db7s5kbzyh2zd5lpv05n7hp8wbwdvgk0wpiwrlnig94mkr0y5aq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20190911185100-cd5d95a43a6e
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20190911185100-cd5d95a43a6e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1nqkyz2y1qvqcma52ijh02s8aiqmkfb95j08f6zcjhbga3ds6hds"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20191204190536-9bdfabe68543")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yjfi1bk9xb81lqn85nnm13zz725wazvrx3b50hx19qmwg7a4b0c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20200619180055-7c47624df98f
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20200619180055-7c47624df98f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1fhzwd32j7w9g3algq0zj8g7ivx3f0mn9nx9mj046wdscryn49mk"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543"
         ,go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543)
        ("go-golang-org-x-sync-0.0.0-20190911185100-cd5d95a43a6e"
         ,go-golang-org-x-sync-0.0.0-20190911185100-cd5d95a43a6e)
        ("go-golang-org-x-net-0.0.0-20200226121028-0de0cce0169b"
         ,go-golang-org-x-net-0.0.0-20200226121028-0de0cce0169b)
        ("go-golang-org-x-mod-0.2.0" ,go-golang-org-x-mod-0.2.0)
        ("go-github-com-yuin-goldmark-1.1.27"
         ,go-github-com-yuin-goldmark-1.1.27)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-github-com-kisielk-errcheck-1.5.0
  (package
    (name "go-github-com-kisielk-errcheck")
    (version "1.5.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kisielk/errcheck")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ci3jz2px74pfmr42jv7dpx7fdzx08vai4czp9fkiyb0gcaiqsk6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kisielk/errcheck"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20200619180055-7c47624df98f"
         ,go-golang-org-x-tools-0.0.0-20200619180055-7c47624df98f)))
    (home-page "https://github.com/kisielk/errcheck")
    (synopsis "errcheck")
    (description
      "errcheck is a program for checking for unchecked errors in go programs.")
    (license license:expat)))

(define-public go-github-com-kisielk-gotool-1.0.0
  (package
    (name "go-github-com-kisielk-gotool")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kisielk/gotool")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "14af2pa0ssyp8bp2mvdw184s5wcysk6akil3wzxmr05wwy951iwn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kisielk/gotool"))
    (home-page "https://github.com/kisielk/gotool")
    (synopsis "gotool")
    (description
      "Package gotool contains utility functions used to implement the standard
\"cmd/go\" tool, provided as a convenience to developers who want to write tools
with similar semantics.")
    (license license:expat)))

(define-public go-github-com-yuin-goldmark-1.2.1
  (package
    (name "go-github-com-yuin-goldmark")
    (version "1.2.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/yuin/goldmark")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "12rsnsf65drcp0jfw2jl9w589vsn3pxdk1zh3v9q908iigngrcmy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/yuin/goldmark"))
    (home-page "https://github.com/yuin/goldmark")
    (synopsis "goldmark")
    (description
      "Package goldmark implements functions to convert markdown text to a desired
format.")
    (license license:expat)))

(define-public go-golang-org-x-mod-0.3.0
  (package
    (name "go-golang-org-x-mod")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/mod")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ldgbx2zpprbsfn6p8pfgs4nn87gwbfcv2z0fa7n8alwsq2yw78q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/mod"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898"
         ,go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898)
        ("go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e"
         ,go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e)
        ("go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550"
         ,go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550)))
    (home-page "https://golang.org/x/mod")
    (synopsis "mod")
    (description
      "This repository holds packages for writing tools that work directly with Go
module mechanics.  That is, it is for direct manipulation of Go modules
themselves.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20200622213623-75b288015ac9
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20200622213623-75b288015ac9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18vlncvvs11ds3zaaziqjlg5s2vcwi3496nn6qv7p0dp94j5pwa2"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190412213103-97732733099d"
         ,go-golang-org-x-sys-0.0.0-20190412213103-97732733099d)
        ("go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3"
         ,go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20200930185726-fdedc70b468f
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200930185726-fdedc70b468f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1njlfhjbvi4lxvjbq8zswrb0y0q4jd2p6x51h1q6vmyzi9af6869"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20201021035429-f5854403a974
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20201021035429-f5854403a974")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1vw63zpmhi337f3gc432x3wkib4j2ia8dy7if31wxwb9dgqvy222"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.3" ,go-golang-org-x-text-0.3.3)
        ("go-golang-org-x-sys-0.0.0-20200930185726-fdedc70b468f"
         ,go-golang-org-x-sys-0.0.0-20200930185726-fdedc70b468f)
        ("go-golang-org-x-crypto-0.0.0-20200622213623-75b288015ac9"
         ,go-golang-org-x-crypto-0.0.0-20200622213623-75b288015ac9)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20201020160332-67f06af15bc9
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20201020160332-67f06af15bc9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "093p4panc808ak5bamzz7m9nb0xxib7778jpnr6f0xkz1n4fzyw5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20210106214847-113979e3529a
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20210106214847-113979e3529a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0pq1a7hkamqdwsajyfrb27s56cvxz5838krsgyqz346s2djwdrzl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20200804184101-5ec99f83aff1"
         ,go-golang-org-x-xerrors-0.0.0-20200804184101-5ec99f83aff1)
        ("go-golang-org-x-sync-0.0.0-20201020160332-67f06af15bc9"
         ,go-golang-org-x-sync-0.0.0-20201020160332-67f06af15bc9)
        ("go-golang-org-x-net-0.0.0-20201021035429-f5854403a974"
         ,go-golang-org-x-net-0.0.0-20201021035429-f5854403a974)
        ("go-golang-org-x-mod-0.3.0" ,go-golang-org-x-mod-0.3.0)
        ("go-github-com-yuin-goldmark-1.2.1"
         ,go-github-com-yuin-goldmark-1.2.1)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-github-com-gogo-protobuf-1.3.2
  (package
    (name "go-github-com-gogo-protobuf")
    (version "1.3.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/gogo/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0dfv1bhx5zhb5bsj5sj757nkacf2swp1ajpcyj9d0b37n602m18a"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/gogo/protobuf"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20210106214847-113979e3529a"
         ,go-golang-org-x-tools-0.0.0-20210106214847-113979e3529a)
        ("go-github-com-kisielk-gotool-1.0.0"
         ,go-github-com-kisielk-gotool-1.0.0)
        ("go-github-com-kisielk-errcheck-1.5.0"
         ,go-github-com-kisielk-errcheck-1.5.0)))
    (home-page "https://github.com/gogo/protobuf")
    (synopsis "Protocol Buffers for Go with Gadgets")
    (description
      "gogoprotobuf is a fork of
@url{https://github.com/golang/protobuf,golang/protobuf} with extra code
generation features.")
    (license license:bsd-3)))

(define-public go-github-com-opencontainers-runtime-spec-1.0.2
  (package
    (name "go-github-com-opencontainers-runtime-spec")
    (version "1.0.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/runtime-spec")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19w981vcmd5lp2hy0630x6ayb8zz17n2vxqm2py5mg945xflcizg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/runtime-spec"))
    (home-page "https://github.com/opencontainers/runtime-spec")
    (synopsis "Open Container Initiative Runtime Specification")
    (description
      "The @url{https://www.opencontainers.org,Open Container Initiative} develops
specifications for standards on Operating System process and application
containers.")
    (license license:asl2.0)))

(define-public go-github-com-davecgh-go-spew-1.1.1
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hka6hmyvp701adzag2g26cxdj47g21x6jz4sc6jjz1mn59d474y"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-stretchr-testify-1.2.2
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0dlszlshlxbmmfxj5hlwgv3r22x0y1af45gn1vd198nvvs3pnvfs"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20191026070338-33540a1f6037")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0fjcv0vzvi6za0b4xmnk3932pr9f9gczzf03y0kgq3ry9rqg169y"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-sirupsen-logrus-1.8.1
  (package
    (name "go-github-com-sirupsen-logrus")
    (version "1.8.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sirupsen/logrus")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0rvqzic2zz7fpxyizmqxwmhv1m52ii9bgxnqa6km8wsa0l08wh42"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sirupsen/logrus"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037"
         ,go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037)
        ("go-github-com-stretchr-testify-1.2.2"
         ,go-github-com-stretchr-testify-1.2.2)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.1"
         ,go-github-com-davecgh-go-spew-1.1.1)))
    (home-page "https://github.com/sirupsen/logrus")
    (synopsis "Logrus")
    (description
      "Package logrus is a structured logger for Go, completely API compatible with the
standard library logger.")
    (license license:expat)))

(define-public go-github-com-burntsushi-toml-0.3.1
  (package
    (name "go-github-com-burntsushi-toml")
    (version "0.3.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/BurntSushi/toml")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1fjdwwfzyzllgiwydknf1pwjvy49qxfsczqx5gz3y0izs7as99j6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/BurntSushi/toml"))
    (home-page "https://github.com/BurntSushi/toml")
    (synopsis "Testing")
    (description
      "Package toml implements decoding and encoding of TOML files.")
    (license license:expat)))

(define-public go-github-com-russross-blackfriday-v2-2.0.1
  (package
    (name "go-github-com-russross-blackfriday-v2")
    (version "2.0.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/russross/blackfriday")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0nlz7isdd4rgnwzs68499hlwicxz34j2k2a0b8jy0y7ycd2bcr5j"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/russross/blackfriday/v2"))
    (home-page "https://github.com/russross/blackfriday")
    (synopsis "Blackfriday")
    (description "Package blackfriday is a markdown processor.")
    (license license:bsd-2)))

(define-public go-github-com-shurcool-sanitized-anchor-name-1.0.0
  (package
    (name "go-github-com-shurcool-sanitized-anchor-name")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/shurcooL/sanitized_anchor_name")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1gv9p2nr46z80dnfjsklc6zxbgk96349sdsxjz05f3z6wb6m5l8f"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/shurcooL/sanitized_anchor_name"))
    (home-page "https://github.com/shurcooL/sanitized_anchor_name")
    (synopsis "sanitized_anchor_name")
    (description
      "Package sanitized_anchor_name provides a func to create sanitized anchor names.")
    (license license:expat)))

(define-public go-github-com-cpuguy83-go-md2man-v2-2.0.0-20190314233015-f79a8a8ca69d
  (package
    (name "go-github-com-cpuguy83-go-md2man-v2")
    (version "2.0.0-20190314233015-f79a8a8ca69d")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/cpuguy83/go-md2man")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r1f7v475dxxgzqci1mxfliwadcrk86ippflx9n411325l4g3ghv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/cpuguy83/go-md2man/v2"))
    (propagated-inputs
      `(("go-github-com-shurcool-sanitized-anchor-name-1.0.0"
         ,go-github-com-shurcool-sanitized-anchor-name-1.0.0)
        ("go-github-com-russross-blackfriday-v2-2.0.1"
         ,go-github-com-russross-blackfriday-v2-2.0.1)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)))
    (home-page "https://github.com/cpuguy83/go-md2man")
    (synopsis "go-md2man")
    (description "Converts markdown into roff (man pages).")
    (license license:expat)))

(define-public go-gopkg-in-yaml-v2-2.2.2
  (package
    (name "go-gopkg-in-yaml-v2")
    (version "2.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "01wj12jzsdqlnidpyjssmj0r4yavlqy7dwrg7adqd8dicjc4ncsa"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v2" #:unpack-path "gopkg.in/yaml.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v2")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:asl2.0)))

(define-public go-github-com-urfave-cli-1.22.2
  (package
    (name "go-github-com-urfave-cli")
    (version "1.22.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/urfave/cli")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "10mcnvi5qmn00vpyk6si8gjka7p654wr9hac4zc9w5h3ickhvbdc"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/urfave/cli"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v2-2.2.2" ,go-gopkg-in-yaml-v2-2.2.2)
        ("go-github-com-cpuguy83-go-md2man-v2-2.0.0-20190314233015-f79a8a8ca69d"
         ,go-github-com-cpuguy83-go-md2man-v2-2.0.0-20190314233015-f79a8a8ca69d)
        ("go-github-com-burntsushi-toml-0.3.1"
         ,go-github-com-burntsushi-toml-0.3.1)))
    (home-page "https://github.com/urfave/cli")
    (synopsis "cli")
    (description
      "Package cli provides a minimal framework for creating and organizing command
line Go applications.  cli is designed to be easy to understand and write, the
most simple cli application can be written as follows:")
    (license license:expat)))

(define-public go-github-com-kr-pty-1.1.1
  (package
    (name "go-github-com-kr-pty")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0383f0mb9kqjvncqrfpidsf8y6ns5zlrc91c6a74xpyxjwvzl2y6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pty"))
    (home-page "https://github.com/kr/pty")
    (synopsis "pty")
    (description
      "Package pty is a wrapper for github.com/creack/pty, which provides functions for
working with Unix terminals.")
    (license license:expat)))

(define-public go-github-com-kr-text-0.1.0
  (package
    (name "go-github-com-kr-text")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1gm5bsl01apvc84bw06hasawyqm4q84vx1pm32wr9jnd7a8vjgj1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/text"))
    (propagated-inputs
      `(("go-github-com-kr-pty-1.1.1" ,go-github-com-kr-pty-1.1.1)))
    (home-page "https://github.com/kr/text")
    (synopsis #f)
    (description
      "Package text provides rudimentary functions for manipulating text in paragraphs.")
    (license license:expat)))

(define-public go-github-com-kr-pretty-0.1.0
  (package
    (name "go-github-com-kr-pretty")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pretty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18m4pwg2abd0j9cn5v3k2ksk9ig4vlwxmlw9rrglanziv9l967qp"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pretty"))
    (propagated-inputs
      `(("go-github-com-kr-text-0.1.0" ,go-github-com-kr-text-0.1.0)))
    (home-page "https://github.com/kr/pretty")
    (synopsis #f)
    (description
      "Package pretty provides pretty-printing for Go values.  This is useful during
debugging, to avoid wrapping long output lines in the terminal.")
    (license license:expat)))

(define-public go-github-com-davecgh-go-spew-1.1.0
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0d4jfmak5p6lb7n2r6yvf5p1zcw0l8j74kn55ghvr7zr7b7axm6c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-pmezard-go-difflib-1.0.0
  (package
    (name "go-github-com-pmezard-go-difflib")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pmezard/go-difflib")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0c1cn55m4rypmscgf0rrb88pn58j3ysvc2d0432dp3c6fqg6cnzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pmezard/go-difflib"))
    (home-page "https://github.com/pmezard/go-difflib")
    (synopsis "go-difflib")
    (description
      "Go-difflib is a partial port of python 3 difflib package.  Its main goal was to
make unified and context diff available in pure Go, mostly for testing purposes.")
    (license license:bsd-3)))

(define-public go-github-com-stretchr-objx-0.1.0
  (package
    (name "go-github-com-stretchr-objx")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/objx")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19ynspzjdynbi85xw06mh8ad5j0qa1vryvxjgvbnyrr8rbm4vd8w"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/objx"))
    (home-page "https://github.com/stretchr/objx")
    (synopsis "Objx")
    (description
      "Objx - Go package for dealing with maps, slices, JSON and other data.")
    (license license:expat)))

(define-public go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405
  (package
    (name "go-gopkg-in-check-v1")
    (version "0.0.0-20161208181325-20d25e280405")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k1m83ji9l1a7ng8a7v40psbymxasmssbrrhpdv2wl4rhs0nc3np"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c
  (package
    (name "go-gopkg-in-yaml-v3")
    (version "3.0.0-20200313102051-9f266ea9e77c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v3")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1bbai3lzb50m0x2vwsdbagrbhvfylj9k1m32hgbqwldqx4p9ay35"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v3" #:unpack-path "gopkg.in/yaml.v3"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v3")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.7.0
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.7.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ixgjsvafr3513pz3r6pmgk074s2dxkll0dadvl25gkf30rkmh10"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c"
         ,go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c)
        ("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-golang-org-x-net-0.0.0-20190311183353-d8887717615a
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190311183353-d8887717615a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1wfm6ngxjyj7v5a2dqib6lw8bb2rdnf1kl48diykxjrsddn0s163"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20190311212946-11955173bddd
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20190311212946-11955173bddd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hlkai67w167wiyivkzd1fgqrnyxkb94l2c6kr51jwcscizfyfn3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-golang-org-x-net-0.0.0-20190311183353-d8887717615a"
         ,go-golang-org-x-net-0.0.0-20190311183353-d8887717615a)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-lint-0.0.0-20190930215403-16217165b5de
  (package
    (name "go-golang-org-x-lint")
    (version "0.0.0-20190930215403-16217165b5de")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/lint")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0jhwmwc0vykcmf164na0pnadl8gv7184b6pf3xayknwmzdw6vd7h"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/lint"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20190311212946-11955173bddd"
         ,go-golang-org-x-tools-0.0.0-20190311212946-11955173bddd)))
    (home-page "https://golang.org/x/lint")
    (synopsis "Installation")
    (description "Package lint contains a linter for Go source code.")
    (license license:bsd-3)))

(define-public go-github-com-yuin-goldmark-1.3.5
  (package
    (name "go-github-com-yuin-goldmark")
    (version "1.3.5")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/yuin/goldmark")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "08rrhfji92hixiv3v0wvamwcy56f90wsw84w7lyvad7g90kbsknx"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/yuin/goldmark"))
    (home-page "https://github.com/yuin/goldmark")
    (synopsis "goldmark")
    (description
      "Package goldmark implements functions to convert markdown text to a desired
format.")
    (license license:expat)))

(define-public go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190404232315-eb5bcb51f2a3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "17k4g8krxbl84gzcs275b7gsh66dzm15fdxivjnx9xz8q84l4kby"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190412213103-97732733099d
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190412213103-97732733099d")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "118hkp01i4z1f5h6hcjm0ff2ngqhrzj1f7731n0kw8dr6hvbx0sw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20191011191535-87dc89f01550")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0z4i1m2yn3f31ci7wvcm2rxkx2yiv7a78mfzklncmsz2k97rlh2g"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190412213103-97732733099d"
         ,go-golang-org-x-sys-0.0.0-20190412213103-97732733099d)
        ("go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3"
         ,go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20190308221718-c2843e01d9a2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "01xgxbj5r79nmisdvpq48zfy8pzaaj90bn6ngd4nf33j9ar1dp8r"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190215142949-d0b11bdaac8a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18yfsmw622l7gc5sqriv5qmck6903vvhivpzp8i3xfy3z33dybdl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.0
  (package
    (name "go-golang-org-x-text")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r6x6zjzhr8ksqlpiwm5gdd7s209kwk5p4lw54xjvz10cs3qlq19"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190620200207-3b0461eec859")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0l00c8l0a8xnv6qdpwfzxxsr58jggacgzdrwiprrfx2xqm37b6d5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20190423024810-112230192c58
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20190423024810-112230192c58")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "05i2k43j2d0llq768hg5pf3hb2yhfzp9la1w5wp0rsnnzblr0lfn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-xerrors-0.0.0-20190717185122-a985d3407aa7
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20190717185122-a985d3407aa7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "00wzr5w8aadipgc3rkk8f11i41znskfj9ix5nhhaxyg7isrslgcj"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20191119224855-298f0cb1881e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0l4pqwib2wnfnix6nvxl0yrq87ipi7ff1rz6z5bxfzy9dki1nzmv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20190717185122-a985d3407aa7"
         ,go-golang-org-x-xerrors-0.0.0-20190717185122-a985d3407aa7)
        ("go-golang-org-x-sync-0.0.0-20190423024810-112230192c58"
         ,go-golang-org-x-sync-0.0.0-20190423024810-112230192c58)
        ("go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859"
         ,go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20191011141410-1b5146add898")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0w2akj91krxjag0xdhsg78470888nicc5ismc2ap9jqpss6v1zih"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-golang-org-x-mod-0.4.2
  (package
    (name "go-golang-org-x-mod")
    (version "0.4.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/mod")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0z1p17i291z2k6va08i80ljyzyij2b6qsz78lnz0wi8zsnkfdz43"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/mod"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898"
         ,go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898)
        ("go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e"
         ,go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e)
        ("go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550"
         ,go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550)))
    (home-page "https://golang.org/x/mod")
    (synopsis "mod")
    (description
      "This repository holds packages for writing tools that work directly with Go
module mechanics.  That is, it is for direct manipulation of Go modules
themselves.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20210330210617-4fbd30eecc44
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20210330210617-4fbd30eecc44")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "02mmymbm7wb3vdp3z9hm8p0f45708fybyd38qm8qxzwm19zqnp56"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20201119102817-f84b799fce68")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1dvhqian5byzkcg1bnqzygqa6ccc6krc2q7j12pp1vhl3y7znnsg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-term-0.0.0-20201126162022-7de9c90e9dd1
  (package
    (name "go-golang-org-x-term")
    (version "0.0.0-20201126162022-7de9c90e9dd1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/term")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ba252xmv6qsvf1w1gcy98mngrj0vd4inbjw0lsklqvva65nljna"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/term"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68"
         ,go-golang-org-x-sys-0.0.0-20201119102817-f84b799fce68)))
    (home-page "https://golang.org/x/term")
    (synopsis "Go terminal/console support")
    (description
      "Package term provides support functions for dealing with terminals, as commonly
found on UNIX systems.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20180917221912-90fa682c2a6e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03ic2xsy51jw9749wl7gszdbz99iijbd2bckgygl6cm9w5m364ak"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.3
  (package
    (name "go-golang-org-x-text")
    (version "0.3.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19pihqm3phyndmiw6i42pdv6z1rbvlqlsnhsyqf9gsnn0qnmqqlh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e"
         ,go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e)))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20210405180319-a5a99cb37ef4
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20210405180319-a5a99cb37ef4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0z90hpmxdw9i8vfhd6vf7hd63c86f1128qfb5f3y4kinvlpjy3rl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.3" ,go-golang-org-x-text-0.3.3)
        ("go-golang-org-x-term-0.0.0-20201126162022-7de9c90e9dd1"
         ,go-golang-org-x-term-0.0.0-20201126162022-7de9c90e9dd1)
        ("go-golang-org-x-sys-0.0.0-20210330210617-4fbd30eecc44"
         ,go-golang-org-x-sys-0.0.0-20210330210617-4fbd30eecc44)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20210220032951-036812b2e83c
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20210220032951-036812b2e83c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1gl202py3s4gl6arkaxlf8qa6f0jyyg2f95m6f89qnfmr416h85b"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-xerrors-0.0.0-20200804184101-5ec99f83aff1
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20200804184101-5ec99f83aff1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1dbzc3gmf2haazpv7cgmv97rq40g2xzwbglc17vas8dwhgwgwrzb"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.1.5
  (package
    (name "go-golang-org-x-tools")
    (version "0.1.5")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1wzbbcja1q0gn8ahxvzvpl4nzj2icwmc0pppgipmx5rdnngqw80l"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20200804184101-5ec99f83aff1"
         ,go-golang-org-x-xerrors-0.0.0-20200804184101-5ec99f83aff1)
        ("go-golang-org-x-sys-0.0.0-20210510120138-977fb7262007"
         ,go-golang-org-x-sys-0.0.0-20210510120138-977fb7262007)
        ("go-golang-org-x-sync-0.0.0-20210220032951-036812b2e83c"
         ,go-golang-org-x-sync-0.0.0-20210220032951-036812b2e83c)
        ("go-golang-org-x-net-0.0.0-20210405180319-a5a99cb37ef4"
         ,go-golang-org-x-net-0.0.0-20210405180319-a5a99cb37ef4)
        ("go-golang-org-x-mod-0.4.2" ,go-golang-org-x-mod-0.4.2)
        ("go-github-com-yuin-goldmark-1.3.5"
         ,go-github-com-yuin-goldmark-1.3.5)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-gopkg-in-check-v1-1.0.0-20180628173108-788fd7840127
  (package
    (name "go-gopkg-in-check-v1")
    (version "1.0.0-20180628173108-788fd7840127")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0v3bim0j375z81zrpr5qv42knqs0y2qv2vkjiqi5axvb78slki1a"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-go-uber-org-goleak-1.1.12
  (package
    (name "go-go-uber-org-goleak")
    (version "1.1.12")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/uber-go/goleak")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1wda3bd5xqbnvskgpr2lg6ccnrm3v9wl0i5c5b6xrrzf01b81vzg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "go.uber.org/goleak"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-1.0.0-20180628173108-788fd7840127"
         ,go-gopkg-in-check-v1-1.0.0-20180628173108-788fd7840127)
        ("go-golang-org-x-tools-0.1.5" ,go-golang-org-x-tools-0.1.5)
        ("go-golang-org-x-lint-0.0.0-20190930215403-16217165b5de"
         ,go-golang-org-x-lint-0.0.0-20190930215403-16217165b5de)
        ("go-github-com-stretchr-testify-1.7.0"
         ,go-github-com-stretchr-testify-1.7.0)
        ("go-github-com-kr-pretty-0.1.0" ,go-github-com-kr-pretty-0.1.0)))
    (home-page "https://go.uber.org/goleak")
    (synopsis "goleak")
    (description "Package goleak is a Goroutine leak detector.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20210510120138-977fb7262007
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20210510120138-977fb7262007")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0d2vnblgzxgvis2kly99gv10kadyl3v0cpv1lskjqg2v5d11r6hd"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-containerd-cgroups-1.0.3
  (package
    (name "go-github-com-containerd-cgroups")
    (version "1.0.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/containerd/cgroups")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0mqsi2jm1f7xvs35kx6ijvadr6zycshc1xivq6xdiwrw24wb0m3r"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/containerd/cgroups"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20210510120138-977fb7262007"
         ,go-golang-org-x-sys-0.0.0-20210510120138-977fb7262007)
        ("go-go-uber-org-goleak-1.1.12" ,go-go-uber-org-goleak-1.1.12)
        ("go-github-com-urfave-cli-1.22.2" ,go-github-com-urfave-cli-1.22.2)
        ("go-github-com-stretchr-testify-1.7.0"
         ,go-github-com-stretchr-testify-1.7.0)
        ("go-github-com-sirupsen-logrus-1.8.1"
         ,go-github-com-sirupsen-logrus-1.8.1)
        ("go-github-com-opencontainers-runtime-spec-1.0.2"
         ,go-github-com-opencontainers-runtime-spec-1.0.2)
        ("go-github-com-gogo-protobuf-1.3.2"
         ,go-github-com-gogo-protobuf-1.3.2)
        ("go-github-com-godbus-dbus-v5-5.0.4"
         ,go-github-com-godbus-dbus-v5-5.0.4)
        ("go-github-com-docker-go-units-0.4.0"
         ,go-github-com-docker-go-units-0.4.0)
        ("go-github-com-cpuguy83-go-md2man-v2-2.0.0"
         ,go-github-com-cpuguy83-go-md2man-v2-2.0.0)
        ("go-github-com-coreos-go-systemd-v22-22.3.2"
         ,go-github-com-coreos-go-systemd-v22-22.3.2)
        ("go-github-com-cilium-ebpf-0.4.0" ,go-github-com-cilium-ebpf-0.4.0)))
    (home-page "https://github.com/containerd/cgroups")
    (synopsis "cgroups")
    (description
      "Go package for creating, managing, inspecting, and destroying cgroups.  The
resources format for settings on the cgroup uses the OCI runtime-spec found
@url{https://github.com/opencontainers/runtime-spec,here}.")
    (license license:asl2.0)))

(define-public go-golang-org-x-sys-0.0.0-20191005200804-aed5e4c7ecf9
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20191005200804-aed5e4c7ecf9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0wsdsbl9n61l99z0cvib2xzg56fsfgky4yc5xapdw9ywx9h0zm3a"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-fsnotify-fsnotify-1.4.9
  (package
    (name "go-github-com-fsnotify-fsnotify")
    (version "1.4.9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/fsnotify/fsnotify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1i1r72knpbfwwql9frn9bqc3nhfc2ai5m6qllcyr6wban62lr40x"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/fsnotify/fsnotify"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20191005200804-aed5e4c7ecf9"
         ,go-golang-org-x-sys-0.0.0-20191005200804-aed5e4c7ecf9)))
    (home-page "https://github.com/fsnotify/fsnotify")
    (synopsis "File system notifications for Go")
    (description
      "Package fsnotify provides a platform-independent interface for file system
notifications.")
    (license license:bsd-3)))

(define-public go-github-com-sclevine-agouti-3.0.0+incompatible
  (package
    (name "go-github-com-sclevine-agouti")
    (version "3.0.0+incompatible")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sclevine/agouti")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1fsj7x7hhmqq43a9qxdfap7ik6b35hqk58dwii0ir1zm1fnw105b"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sclevine/agouti"))
    (home-page "https://github.com/sclevine/agouti")
    (synopsis "Agouti")
    (description
      "Package agouti is a universal WebDriver client for Go.  It extends the
agouti/api package to provide a feature-rich interface for controlling a web
browser.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20200519105757-fe76b779f299
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200519105757-fe76b779f299")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0g6j3n9fdv1a2lp2i8wbaaya85yrbfx3ns6iq1s7l2ayhxxmgh6b"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20180917221912-90fa682c2a6e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03ic2xsy51jw9749wl7gszdbz99iijbd2bckgygl6cm9w5m364ak"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.2
  (package
    (name "go-golang-org-x-text")
    (version "0.3.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0flv9idw0jm5nm8lx25xqanbkqgfiym6619w575p7nrdh0riqwqh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e"
         ,go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e)))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-github-com-onsi-ginkgo-1.13.0
  (package
    (name "go-github-com-onsi-ginkgo")
    (version "1.13.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/onsi/ginkgo")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1p8p334z7xjfsn35hfkls8crirz8hgqqq0hj83gxizpzq8v24qpi"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/onsi/ginkgo"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.2" ,go-golang-org-x-text-0.3.2)
        ("go-golang-org-x-sys-0.0.0-20200519105757-fe76b779f299"
         ,go-golang-org-x-sys-0.0.0-20200519105757-fe76b779f299)
        ("go-github-com-sclevine-agouti-3.0.0+incompatible"
         ,go-github-com-sclevine-agouti-3.0.0+incompatible)
        ("go-github-com-onsi-gomega-1.10.1" ,go-github-com-onsi-gomega-1.10.1)
        ("go-github-com-nxadm-tail-1.4.4" ,go-github-com-nxadm-tail-1.4.4)
        ("go-github-com-fsnotify-fsnotify-1.4.9"
         ,go-github-com-fsnotify-fsnotify-1.4.9)))
    (home-page "https://github.com/onsi/ginkgo")
    (synopsis "Ginkgo 2.0 Release Candidate is available!")
    (description "Ginkgo is a BDD-style testing framework for Golang")
    (license license:expat)))

(define-public go-github-com-google-go-cmp-0.3.0
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1hyxx3434zshl2m9ja78gwlkg1rx9yl6diqa7dnjb31xz5x4gbjj"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-0.0.0-20200109180630-ec00e32a8dfd
  (package
    (name "go-google-golang-org-protobuf")
    (version "0.0.0-20200109180630-ec00e32a8dfd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0w6lp9w2avxcpxwzzhspr209ifhyjagvs23k0vykfdqahl1aplrh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.3.0"
         ,go-github-com-google-go-cmp-0.3.0)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0-rc.1
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0-rc.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "186rirvbfgv6hrxp27ipx2cdpv19qifdd20biqfdm01wiyclqimn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-0.0.0-20200109180630-ec00e32a8dfd"
         ,go-google-golang-org-protobuf-0.0.0-20200109180630-ec00e32a8dfd)
        ("go-github-com-google-go-cmp-0.3.1"
         ,go-github-com-google-go-cmp-0.3.1)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-github-com-google-go-cmp-0.3.1
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.3.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1caw49i0plkjxir7kdf5qhwls3krqwfmi7g4h392rdfwi3kfahx1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-0.0.0-20200221191635-4d8936d0db64
  (package
    (name "go-google-golang-org-protobuf")
    (version "0.0.0-20200221191635-4d8936d0db64")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0563bsvdjj6k0sgwqd5yzrgfiax7sp3lcwh608gync5sv9fx39cy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.3.1"
         ,go-github-com-google-go-cmp-0.3.1)
        ("go-github-com-golang-protobuf-1.4.0-rc.1"
         ,go-github-com-golang-protobuf-1.4.0-rc.1)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0-rc.1.0.20200221234624-67d41d38c208
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0-rc.1.0.20200221234624-67d41d38c208")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ykxhg3zixmw25pd435f8h16wnz1g00jpcmmg3xl030kksgqgpp6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-0.0.0-20200221191635-4d8936d0db64"
         ,go-google-golang-org-protobuf-0.0.0-20200221191635-4d8936d0db64)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-0.0.0-20200228230310-ab0ca4ff8a60
  (package
    (name "go-google-golang-org-protobuf")
    (version "0.0.0-20200228230310-ab0ca4ff8a60")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1rinspcznfp85yz4vrlf4h38hr576virgv8lcs22bsylqga808sd"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0-rc.1.0.20200221234624-67d41d38c208"
         ,go-github-com-golang-protobuf-1.4.0-rc.1.0.20200221234624-67d41d38c208)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0-rc.2
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0-rc.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1hd43hjv5zl6bjbmhm5phx74bw4xajsi73m5zky2k56za4mpgzzc"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-0.0.0-20200228230310-ab0ca4ff8a60"
         ,go-google-golang-org-protobuf-0.0.0-20200228230310-ab0ca4ff8a60)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-1.20.1-0.20200309200217-e05f789c0967
  (package
    (name "go-google-golang-org-protobuf")
    (version "1.20.1-0.20200309200217-e05f789c0967")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "17wmy89hnmpkwc63rfcjp50q15s9f1rhmczg06c3z9yy41zk82w9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0-rc.2"
         ,go-github-com-golang-protobuf-1.4.0-rc.2)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0-rc.4.0.20200313231945-b860323f09d0
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0-rc.4.0.20200313231945-b860323f09d0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1zj6cwshx0l5n9cn2cpbikzzb79px5dmkpc4p19zy1iif5r5p0z0"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-1.20.1-0.20200309200217-e05f789c0967"
         ,go-google-golang-org-protobuf-1.20.1-0.20200309200217-e05f789c0967)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-1.21.0
  (package
    (name "go-google-golang-org-protobuf")
    (version "1.21.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "12bwln8z1lf9105gdp6ip0rx741i4yfz1520gxnp8861lh9wcl63"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0-rc.4.0.20200313231945-b860323f09d0"
         ,go-github-com-golang-protobuf-1.4.0-rc.4.0.20200313231945-b860323f09d0)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1fjvl5n77abxz5qsd4mgyvjq19x43c5bfvmq62mq3m5plx6zksc8"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-1.21.0"
         ,go-google-golang-org-protobuf-1.21.0)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-github-com-google-go-cmp-0.4.0
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1x5pvl3fb5sbyng7i34431xycnhmx8xx94gq2n19g6p0vz68z2v2"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543"
         ,go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543)))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-1.23.0
  (package
    (name "go-google-golang-org-protobuf")
    (version "1.23.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03yan0m1v0zmlr935p4n24fd376mznsg85zy8sywbgisls4s1bzy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0"
         ,go-github-com-golang-protobuf-1.4.0)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.2
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0m5z81im4nsyfgarjhppayk4hqnrwswr3nix9mj8pff8x9jvcjqw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-1.23.0"
         ,go-google-golang-org-protobuf-1.23.0)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190904154756-749cb33beabd
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190904154756-749cb33beabd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0dm3257q3rv2kyn5lmqqim2fqg634v6rhrqq4glvbk4wx4l3v337"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-nxadm-tail-1.4.4
  (package
    (name "go-github-com-nxadm-tail")
    (version "1.4.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/nxadm/tail")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1czmwqii0fc8v3ar5bwqpfanprkxg19waly405zlvcflzvj53wwc"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/nxadm/tail"))
    (propagated-inputs
      `(("go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7"
         ,go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7)
        ("go-golang-org-x-sys-0.0.0-20190904154756-749cb33beabd"
         ,go-golang-org-x-sys-0.0.0-20190904154756-749cb33beabd)
        ("go-github-com-fsnotify-fsnotify-1.4.7"
         ,go-github-com-fsnotify-fsnotify-1.4.7)))
    (home-page "https://github.com/nxadm/tail")
    (synopsis "tail functionality in Go")
    (description
      "nxadm/tail provides a Go library that emulates the features of the BSD `tail`
program.  The library comes with full support for truncation/move detection as
it is designed to work with log rotation tools.  The library works on all
operating systems supported by Go, including POSIX systems like Linux and *BSD,
and MS Windows.  Go 1.9 is the oldest compiler release supported.")
    (license license:expat)))

(define-public go-github-com-fsnotify-fsnotify-1.4.7
  (package
    (name "go-github-com-fsnotify-fsnotify")
    (version "1.4.7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/fsnotify/fsnotify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/fsnotify/fsnotify"))
    (home-page "https://github.com/fsnotify/fsnotify")
    (synopsis "File system notifications for Go")
    (description
      "Package fsnotify provides a platform-independent interface for file system
notifications.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.2.0
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0kf4b59rcbb1cchfny2dm9jyznp8ri2hsb14n8iak1q8986xa0ab"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-github-com-hpcloud-tail-1.0.0
  (package
    (name "go-github-com-hpcloud-tail")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/hpcloud/tail")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1njpzc0pi1acg5zx9y6vj9xi6ksbsc5d387rd6904hy6rh2m6kn0"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/hpcloud/tail"))
    (home-page "https://github.com/hpcloud/tail")
    (synopsis "Go package for tail-ing files")
    (description
      "This package provides a Go package striving to emulate the features of the BSD
@code{tail} program.")
    (license license:expat)))

(define-public go-github-com-onsi-ginkgo-1.6.0
  (package
    (name "go-github-com-onsi-ginkgo")
    (version "1.6.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/onsi/ginkgo")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0x0gc89vgq38xhgmi2h22bhr73cf2gmk42g89nz89k8dgg9hhr25"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/onsi/ginkgo"))
    (home-page "https://github.com/onsi/ginkgo")
    (synopsis "Ginkgo 2.0 Release Candidate is available!")
    (description "Ginkgo is a BDD-style testing framework for Golang")
    (license license:expat)))

(define-public go-golang-org-x-net-0.0.0-20180906233101-161cd47e91fd
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20180906233101-161cd47e91fd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0254ld010iijygbzykib2vags1dc0wlmcmhgh4jl8iny159lhbcv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20180314180146-1d60e4601c6f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "046jlanz2lkxq1r57x9bl6s4cvfqaic6p2xybsj8mq1120jv4rs6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20180909124046-d0be0721c37e
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20180909124046-d0be0721c37e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "081wyvfnlf842dqg03raxfz6lldlxpmyh1prix9lmrrm65arxb12"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-gopkg-in-fsnotify-v1-1.4.7
  (package
    (name "go-gopkg-in-fsnotify-v1")
    (version "1.4.7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/fsnotify.v1")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path
        "gopkg.in/fsnotify.v1"
        #:unpack-path
        "gopkg.in/fsnotify.v1"))
    (home-page "https://gopkg.in/fsnotify.v1")
    (synopsis "File system notifications for Go")
    (description
      "Package fsnotify provides a platform-independent interface for file system
notifications.")
    (license license:bsd-3)))

(define-public go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7
  (package
    (name "go-gopkg-in-tomb-v1")
    (version "1.0.0-20141024135613-dd632973f1e7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/tomb.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1lqmq1ag7s4b3gc3ddvr792c5xb5k6sfn0cchr3i2s7f1c231zjv"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/tomb.v1" #:unpack-path "gopkg.in/tomb.v1"))
    (home-page "https://gopkg.in/tomb.v1")
    (synopsis "Installation and usage")
    (description
      "The tomb package offers a conventional API for clean goroutine termination.")
    (license license:bsd-3)))

(define-public go-gopkg-in-yaml-v2-2.2.4
  (package
    (name "go-gopkg-in-yaml-v2")
    (version "2.2.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "11bwj757wi8kdrcnlgfqb8vv2d2xdhlghmyagd19i62khrkchsg2"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v2" #:unpack-path "gopkg.in/yaml.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v2")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:asl2.0)))

(define-public go-github-com-onsi-gomega-1.7.1
  (package
    (name "go-github-com-onsi-gomega")
    (version "1.7.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/onsi/gomega")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "06p3x0910cdaa64l7d44s728d4j3yhps315dlcvrbjzhljjj7mam"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/onsi/gomega"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v2-2.2.4" ,go-gopkg-in-yaml-v2-2.2.4)
        ("go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7"
         ,go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7)
        ("go-gopkg-in-fsnotify-v1-1.4.7" ,go-gopkg-in-fsnotify-v1-1.4.7)
        ("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20180909124046-d0be0721c37e"
         ,go-golang-org-x-sys-0.0.0-20180909124046-d0be0721c37e)
        ("go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f"
         ,go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f)
        ("go-golang-org-x-net-0.0.0-20180906233101-161cd47e91fd"
         ,go-golang-org-x-net-0.0.0-20180906233101-161cd47e91fd)
        ("go-github-com-onsi-ginkgo-1.6.0" ,go-github-com-onsi-ginkgo-1.6.0)
        ("go-github-com-hpcloud-tail-1.0.0" ,go-github-com-hpcloud-tail-1.0.0)
        ("go-github-com-golang-protobuf-1.2.0"
         ,go-github-com-golang-protobuf-1.2.0)
        ("go-github-com-fsnotify-fsnotify-1.4.7"
         ,go-github-com-fsnotify-fsnotify-1.4.7)))
    (home-page "https://github.com/onsi/gomega")
    (synopsis ": a BDD Testing Framework for Golang")
    (description
      "Gomega is the Ginkgo BDD-style testing framework's preferred matcher library.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20191120155948-bd437916bb0e
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20191120155948-bd437916bb0e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1i8x26frmlin55k69k936zd1rp5sqnq14y5ms4rkxbfzhasdm2rx"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-onsi-ginkgo-1.12.1
  (package
    (name "go-github-com-onsi-ginkgo")
    (version "1.12.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/onsi/ginkgo")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0xs9724l2b0bwjwrvw5cs3akxaw0n1j5kyxrb1ggfsdjz0zmjcxh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/onsi/ginkgo"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20191120155948-bd437916bb0e"
         ,go-golang-org-x-sys-0.0.0-20191120155948-bd437916bb0e)
        ("go-github-com-onsi-gomega-1.7.1" ,go-github-com-onsi-gomega-1.7.1)
        ("go-github-com-nxadm-tail-1.4.4" ,go-github-com-nxadm-tail-1.4.4)))
    (home-page "https://github.com/onsi/ginkgo")
    (synopsis "Ginkgo 2.0 Release Candidate is available!")
    (description "Ginkgo is a BDD-style testing framework for Golang")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190215142949-d0b11bdaac8a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18yfsmw622l7gc5sqriv5qmck6903vvhivpzp8i3xfy3z33dybdl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20190308221718-c2843e01d9a2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "01xgxbj5r79nmisdvpq48zfy8pzaaj90bn6ngd4nf33j9ar1dp8r"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20200323222414-85ca7c5b95cd
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200323222414-85ca7c5b95cd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1504qkgbhhm4f0bhk77v2r1lj6x171ay5m79alkg78wjb5cign5l"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.0
  (package
    (name "go-golang-org-x-text")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r6x6zjzhr8ksqlpiwm5gdd7s209kwk5p4lw54xjvz10cs3qlq19"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20200520004742-59133d7f0dd7
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20200520004742-59133d7f0dd7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03js31gnf3hir5dh6q01bj7cs0y4wzyinqg1mvr0nlb83kak9ggq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20200323222414-85ca7c5b95cd"
         ,go-golang-org-x-sys-0.0.0-20200323222414-85ca7c5b95cd)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20191204190536-9bdfabe68543")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yjfi1bk9xb81lqn85nnm13zz725wazvrx3b50hx19qmwg7a4b0c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405
  (package
    (name "go-gopkg-in-check-v1")
    (version "0.0.0-20161208181325-20d25e280405")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k1m83ji9l1a7ng8a7v40psbymxasmssbrrhpdv2wl4rhs0nc3np"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-yaml-v2-2.3.0
  (package
    (name "go-gopkg-in-yaml-v2")
    (version "2.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1md0hlyd9s6myv3663i9l59y74n4xjazifmmyxn43g86fgkc5lzj"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v2" #:unpack-path "gopkg.in/yaml.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v2")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:asl2.0)))

(define-public go-github-com-onsi-gomega-1.10.1
  (package
    (name "go-github-com-onsi-gomega")
    (version "1.10.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/onsi/gomega")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "068mirdbwl9n9dqlvqr489h52wkd90cv1jvng4yp8kv83lhzk2dq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/onsi/gomega"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v2-2.3.0" ,go-gopkg-in-yaml-v2-2.3.0)
        ("go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543"
         ,go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543)
        ("go-golang-org-x-net-0.0.0-20200520004742-59133d7f0dd7"
         ,go-golang-org-x-net-0.0.0-20200520004742-59133d7f0dd7)
        ("go-github-com-onsi-ginkgo-1.12.1" ,go-github-com-onsi-ginkgo-1.12.1)
        ("go-github-com-golang-protobuf-1.4.2"
         ,go-github-com-golang-protobuf-1.4.2)))
    (home-page "https://github.com/onsi/gomega")
    (synopsis ": a BDD Testing Framework for Golang")
    (description
      "Gomega is the Ginkgo BDD-style testing framework's preferred matcher library.")
    (license license:expat)))

(define-public go-github-com-containernetworking-cni-1.0.1
  (package
    (name "go-github-com-containernetworking-cni")
    (version "1.0.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/containernetworking/cni")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0jzijcb96z26lchh6j4js3rl7c148mwlaiz3s6ww47kljnxmv05f"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/containernetworking/cni"))
    (propagated-inputs
      `(("go-github-com-onsi-gomega-1.10.1" ,go-github-com-onsi-gomega-1.10.1)
        ("go-github-com-onsi-ginkgo-1.13.0"
         ,go-github-com-onsi-ginkgo-1.13.0)))
    (home-page "https://github.com/containernetworking/cni")
    (synopsis "CNI - the Container Network Interface")
    (description
      "CNI (), a @url{https://cncf.io,Cloud Native Computing Foundation} project,
consists of a specification and libraries for writing plugins to configure
network interfaces in Linux containers, along with a number of supported
plugins.  CNI concerns itself only with network connectivity of containers and
removing allocated resources when the container is deleted.  Because of this
focus, CNI has a wide range of support and the specification is simple to
implement.")
    (license license:asl2.0)))

(define-public go-github-com-creack-pty-1.1.17
  (package
    (name "go-github-com-creack-pty")
    (version "1.1.17")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/creack/pty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "09lcq5bw1dwppxjia05sj4fy7gbk62vishfz1bgrbd1r06i57mjf"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/creack/pty"))
    (home-page "https://github.com/creack/pty")
    (synopsis "pty")
    (description
      "Package pty provides functions for working with Unix terminals.")
    (license license:expat)))

(define-public go-github-com-cyphar-filepath-securejoin-0.2.3
  (package
    (name "go-github-com-cyphar-filepath-securejoin")
    (version "0.2.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/cyphar/filepath-securejoin")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0w03d8hslwfhcnfqck21agzs7y0sc6gpwfz53md8fv26ishwxppy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/cyphar/filepath-securejoin"))
    (home-page "https://github.com/cyphar/filepath-securejoin")
    (synopsis #f)
    (description
      "Package securejoin is an implementation of the hopefully-soon-to-be-included
SecureJoin helper that is meant to be part of the \"path/filepath\" package.  The
purpose of this project is to provide a PoC implementation to make the
SecureJoin proposal
(@url{https://github.com/golang/go/issues/20126,https://github.com/golang/go/issues/20126})
more tangible.")
    (license license:bsd-3)))

(define-public go-github-com-docker-docker-20.10.12+incompatible
  (package
    (name "go-github-com-docker-docker")
    (version "20.10.12+incompatible")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/moby/moby")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "17j820ij8p6w61jyg5g6y5dwv56dh1w178f6ia2i2dc9b8mz6b5a"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/docker/docker"))
    (home-page "https://github.com/docker/docker")
    (synopsis "The Moby Project")
    (description
      "Moby is an open-source project created by Docker to enable and accelerate
software containerization.")
    (license license:asl2.0)))

(define-public go-golang-org-x-sys-0.0.0-20200116001909-b77594299b42
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200116001909-b77594299b42")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0isfm6kmh4fjhh6m7mrb3zvdjka2y31c5habr5kydl7rg0lwkabv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-mattn-go-isatty-0.0.12
  (package
    (name "go-github-com-mattn-go-isatty")
    (version "0.0.12")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-isatty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1dfsh27d52wmz0nmmzm2382pfrs2fcijvh6cgir7jbb4pnigr5w4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-isatty"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20200116001909-b77594299b42"
         ,go-golang-org-x-sys-0.0.0-20200116001909-b77594299b42)))
    (home-page "https://github.com/mattn/go-isatty")
    (synopsis "go-isatty")
    (description "Package isatty implements interface to isatty")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20200223170610-d5e6a3e2c0ae
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200223170610-d5e6a3e2c0ae")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0lz7vm5dz2p14fzq2j4m1l9p392cl0fa73aaf45gln07ylfajk4n"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-mattn-go-colorable-0.1.9
  (package
    (name "go-github-com-mattn-go-colorable")
    (version "0.1.9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-colorable")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0f46aiyfca71y7g7ypkicqi0r4ys9jwdw2v6hwdc0x76d39hh0qk"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-colorable"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20200223170610-d5e6a3e2c0ae"
         ,go-golang-org-x-sys-0.0.0-20200223170610-d5e6a3e2c0ae)
        ("go-github-com-mattn-go-isatty-0.0.12"
         ,go-github-com-mattn-go-isatty-0.0.12)))
    (home-page "https://github.com/mattn/go-colorable")
    (synopsis "go-colorable")
    (description "Colorable writer for windows.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20210630005230-0f9fa26af87c
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20210630005230-0f9fa26af87c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "17g7kc6bf6zw4ib1xhmkbpfdn85jbmindqsz0l8ymmc6v279h13q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-mattn-go-isatty-0.0.14
  (package
    (name "go-github-com-mattn-go-isatty")
    (version "0.0.14")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-isatty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "015zc3j60vb85d7f2al15la24wn45piazxlagqhzrbgfdyqci60z"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-isatty"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20210630005230-0f9fa26af87c"
         ,go-golang-org-x-sys-0.0.0-20210630005230-0f9fa26af87c)))
    (home-page "https://github.com/mattn/go-isatty")
    (synopsis "go-isatty")
    (description "Package isatty implements interface to isatty")
    (license license:expat)))

(define-public go-github-com-fatih-color-1.13.0
  (package
    (name "go-github-com-fatih-color")
    (version "1.13.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/fatih/color")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "029qkxsdpblhrpgbv4fcmqwkqnjhx08hwiqp19pd7zz6l8a373ay"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/fatih/color"))
    (propagated-inputs
      `(("go-github-com-mattn-go-isatty-0.0.14"
         ,go-github-com-mattn-go-isatty-0.0.14)
        ("go-github-com-mattn-go-colorable-0.1.9"
         ,go-github-com-mattn-go-colorable-0.1.9)))
    (home-page "https://github.com/fatih/color")
    (synopsis "color")
    (description
      "Package color is an ANSI color package to output colorized or SGR defined output
to the standard output.  The API can be used in several way, pick one that suits
you.")
    (license license:expat)))

(define-public go-github-com-go-log-log-0.2.0
  (package
    (name "go-github-com-go-log-log")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/go-log/log")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1idnqv4yvkmdh3wcsgvhcpak9z6ix8dsifdjq5kfbbnskdq5rmvg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/go-log/log"))
    (home-page "https://github.com/go-log/log")
    (synopsis "Log")
    (description "Package log provides a log interface")
    (license license:expat)))

(define-public go-github-com-google-uuid-1.3.0
  (package
    (name "go-github-com-google-uuid")
    (version "1.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/uuid")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0imkw52m7fzrwsdj2rfrk3zbplqfbwncyv6hv89xw0vdw3jpk122"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/uuid"))
    (home-page "https://github.com/google/uuid")
    (synopsis "uuid")
    (description "Package uuid generates and inspects UUIDs.")
    (license license:bsd-3)))

(define-public go-github-com-opencontainers-go-digest-1.0.0
  (package
    (name "go-github-com-opencontainers-go-digest")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/go-digest")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0i5acjajvr6hi9zb7gxwifd8w28y884cv7cx36adj8lngj647xbi"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/go-digest"))
    (home-page "https://github.com/opencontainers/go-digest")
    (synopsis "go-digest")
    (description
      "Package digest provides a generalized type to opaquely represent message digests
and their operations within the registry.  The Digest type is designed to serve
as a flexible identifier in a content-addressable system.  More importantly, it
provides tools and wrappers to work with hash.Hash-based digests with little
effort.")
    (license (list license:asl2.0 license:cc-by-sa4.0))))

(define-public go-github-com-opencontainers-go-digest-1.0.0
  (package
    (name "go-github-com-opencontainers-go-digest")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/go-digest")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0i5acjajvr6hi9zb7gxwifd8w28y884cv7cx36adj8lngj647xbi"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/go-digest"))
    (home-page "https://github.com/opencontainers/go-digest")
    (synopsis "go-digest")
    (description
      "Package digest provides a generalized type to opaquely represent message digests
and their operations within the registry.  The Digest type is designed to serve
as a flexible identifier in a content-addressable system.  More importantly, it
provides tools and wrappers to work with hash.Hash-based digests with little
effort.")
    (license (list license:asl2.0 license:cc-by-sa4.0))))

(define-public go-github-com-pkg-errors-0.9.1
  (package
    (name "go-github-com-pkg-errors")
    (version "0.9.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pkg/errors")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1761pybhc2kqr6v5fm8faj08x9bql8427yqg6vnfv6nhrasx1mwq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pkg/errors"))
    (home-page "https://github.com/pkg/errors")
    (synopsis "errors")
    (description "Package errors provides simple error handling primitives.")
    (license license:bsd-2)))

(define-public go-github-com-russross-blackfriday-1.6.0
  (package
    (name "go-github-com-russross-blackfriday")
    (version "1.6.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/russross/blackfriday")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "036028ynpq52z9snmd2b1kjzyvv6n9sg71k651ndznggnw19aamp"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/russross/blackfriday"))
    (home-page "https://github.com/russross/blackfriday")
    (synopsis "Blackfriday")
    (description "Package blackfriday is a Markdown processor.")
    (license license:bsd-2)))

(define-public go-github-com-davecgh-go-spew-1.1.0
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0d4jfmak5p6lb7n2r6yvf5p1zcw0l8j74kn55ghvr7zr7b7axm6c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-pmezard-go-difflib-1.0.0
  (package
    (name "go-github-com-pmezard-go-difflib")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pmezard/go-difflib")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0c1cn55m4rypmscgf0rrb88pn58j3ysvc2d0432dp3c6fqg6cnzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pmezard/go-difflib"))
    (home-page "https://github.com/pmezard/go-difflib")
    (synopsis "go-difflib")
    (description
      "Go-difflib is a partial port of python 3 difflib package.  Its main goal was to
make unified and context diff available in pure Go, mostly for testing purposes.")
    (license license:bsd-3)))

(define-public go-github-com-stretchr-objx-0.1.0
  (package
    (name "go-github-com-stretchr-objx")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/objx")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19ynspzjdynbi85xw06mh8ad5j0qa1vryvxjgvbnyrr8rbm4vd8w"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/objx"))
    (home-page "https://github.com/stretchr/objx")
    (synopsis "Objx")
    (description
      "Objx - Go package for dealing with maps, slices, JSON and other data.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.3.0
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0wjchp2c8xbgcbbq32w3kvblk6q6yn533g78nxl6iskq6y95lxsy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-github-com-xeipuuv-gojsonpointer-0.0.0-20180127040702-4e3ac2762d5f
  (package
    (name "go-github-com-xeipuuv-gojsonpointer")
    (version "0.0.0-20180127040702-4e3ac2762d5f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/xeipuuv/gojsonpointer")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "13y6iq2nzf9z4ls66bfgnnamj2m3438absmbpqry64bpwjfbsi9q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/xeipuuv/gojsonpointer"))
    (home-page "https://github.com/xeipuuv/gojsonpointer")
    (synopsis "gojsonpointer")
    (description "An implementation of JSON Pointer - Go language")
    (license license:asl2.0)))

(define-public go-github-com-xeipuuv-gojsonreference-0.0.0-20180127040603-bd5ef7bd5415
  (package
    (name "go-github-com-xeipuuv-gojsonreference")
    (version "0.0.0-20180127040603-bd5ef7bd5415")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/xeipuuv/gojsonreference")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1xby79padc7bmyb8rfbad8wfnfdzpnh51b1n8c0kibch0kwc1db5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/xeipuuv/gojsonreference"))
    (home-page "https://github.com/xeipuuv/gojsonreference")
    (synopsis "gojsonreference")
    (description "An implementation of JSON Reference - Go language")
    (license license:asl2.0)))

(define-public go-github-com-xeipuuv-gojsonschema-1.2.0
  (package
    (name "go-github-com-xeipuuv-gojsonschema")
    (version "1.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/xeipuuv/gojsonschema")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1mqiq0r8qw4qlfp3ls8073r6514rmzwrmdn4j33rppk3zh942i6l"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/xeipuuv/gojsonschema"))
    (propagated-inputs
      `(("go-github-com-xeipuuv-gojsonreference-0.0.0-20180127040603-bd5ef7bd5415"
         ,go-github-com-xeipuuv-gojsonreference-0.0.0-20180127040603-bd5ef7bd5415)
        ("go-github-com-xeipuuv-gojsonpointer-0.0.0-20180127040702-4e3ac2762d5f"
         ,go-github-com-xeipuuv-gojsonpointer-0.0.0-20180127040702-4e3ac2762d5f)
        ("go-github-com-stretchr-testify-1.3.0"
         ,go-github-com-stretchr-testify-1.3.0)))
    (home-page "https://github.com/xeipuuv/gojsonschema")
    (synopsis "gojsonschema")
    (description
      "An implementation of JSON Schema for the Go  programming language.  Supports
draft-04, draft-06 and draft-07.")
    (license license:asl2.0)))

(define-public go-github-com-opencontainers-image-spec-1.0.3-0.20211202193544-a5463b7f9c84
  (package
    (name "go-github-com-opencontainers-image-spec")
    (version "1.0.3-0.20211202193544-a5463b7f9c84")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/image-spec")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "11js6467d7fhcvad4aw26d4p0r5b33vf41qhcf1bdwx0y7smd7s4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/image-spec"))
    (propagated-inputs
      `(("go-github-com-xeipuuv-gojsonschema-1.2.0"
         ,go-github-com-xeipuuv-gojsonschema-1.2.0)
        ("go-github-com-xeipuuv-gojsonreference-0.0.0-20180127040603-bd5ef7bd5415"
         ,go-github-com-xeipuuv-gojsonreference-0.0.0-20180127040603-bd5ef7bd5415)
        ("go-github-com-russross-blackfriday-1.6.0"
         ,go-github-com-russross-blackfriday-1.6.0)
        ("go-github-com-pkg-errors-0.9.1" ,go-github-com-pkg-errors-0.9.1)
        ("go-github-com-opencontainers-go-digest-1.0.0"
         ,go-github-com-opencontainers-go-digest-1.0.0)))
    (home-page "https://github.com/opencontainers/image-spec")
    (synopsis "OCI Image Format Specification")
    (description
      "The OCI Image Format project creates and maintains the software shipping
container image format spec (OCI Image Format).")
    (license license:asl2.0)))

(define-public go-github-com-opencontainers-runtime-spec-1.0.3-0.20210326190908-1c3f411f0417
  (package
    (name "go-github-com-opencontainers-runtime-spec")
    (version "1.0.3-0.20210326190908-1c3f411f0417")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/runtime-spec")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1azk8z41ga8af35c966f06vrq9y9hwz6mkm59r3py5qaamzim3qq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/runtime-spec"))
    (home-page "https://github.com/opencontainers/runtime-spec")
    (synopsis "Open Container Initiative Runtime Specification")
    (description
      "The @url{https://www.opencontainers.org,Open Container Initiative} develops
specifications for standards on Operating System process and application
containers.")
    (license license:asl2.0)))

(define-public go-github-com-opencontainers-runtime-tools-0.9.1-0.20210326182921-59cdde06764b
  (package
    (name "go-github-com-opencontainers-runtime-tools")
    (version "0.9.1-0.20210326182921-59cdde06764b")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/runtime-tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0f4zy6x1rrrg10bphwijic30m3r4mq934zbavnci6jyi41l1w2r0"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/runtime-tools"))
    (home-page "https://github.com/opencontainers/runtime-tools")
    (synopsis "oci-runtime-tool")
    (description
      "oci-runtime-tool is a collection of tools for working with the
@url{https://github.com/opencontainers/runtime-spec,OCI runtime specification}.
To build from source code, runtime-tools requires Go 1.10.x or above.")
    (license license:asl2.0)))

(define-public go-golang-org-x-sys-0.0.0-20191115151921-52ab43148777
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20191115151921-52ab43148777")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1kakxbqrb1w2vwg7r1896z68qcx2lfvimsl8cs2niiipbgpi6imx"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-opencontainers-selinux-1.10.0
  (package
    (name "go-github-com-opencontainers-selinux")
    (version "1.10.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/selinux")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "118q1d9py9zhym4jmyiivasmllkdnkp1zyx4brc6n2cfmxfph6gc"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/selinux"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20191115151921-52ab43148777"
         ,go-golang-org-x-sys-0.0.0-20191115151921-52ab43148777)))
    (home-page "https://github.com/opencontainers/selinux")
    (synopsis "selinux")
    (description "Common SELinux package used across the container ecosystem.")
    (license license:asl2.0)))

(define-public go-github-com-adamkorcz-go-fuzz-headers-0.0.0-20210312213058-32f4d319f0d2
  (package
    (name "go-github-com-adamkorcz-go-fuzz-headers")
    (version "0.0.0-20210312213058-32f4d319f0d2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/AdamKorcz/go-fuzz-headers")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r14xxw8c7pkmln0n5vlrahf1785mr7mlyklmfpa11p9kk9pmq5j"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/AdamKorcz/go-fuzz-headers"))
    (home-page "https://github.com/AdamKorcz/go-fuzz-headers")
    (synopsis #f)
    (description #f)
    (license #f)))

(define-public go-github-com-stretchr-testify-1.3.0
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0wjchp2c8xbgcbbq32w3kvblk6q6yn533g78nxl6iskq6y95lxsy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-github-com-apex-logs-0.0.7
  (package
    (name "go-github-com-apex-logs")
    (version "0.0.7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/apex/logs")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1h12q9sb7f4yjizajfxvjllzqab1s8scgqj22prwyfbbqg1ilchv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/apex/logs"))
    (propagated-inputs
      `(("go-github-com-tj-assert-0.0.0-20171129193455-018094318fb0"
         ,go-github-com-tj-assert-0.0.0-20171129193455-018094318fb0)
        ("go-github-com-stretchr-testify-1.3.0"
         ,go-github-com-stretchr-testify-1.3.0)))
    (home-page "https://github.com/apex/logs")
    (synopsis "Example")
    (description "Go client for @url{https://apex.sh/logs/,Apex Logs}.")
    (license license:expat)))

(define-public go-github-com-aphistic-golf-0.0.0-20180712155816-02c07f170c5a
  (package
    (name "go-github-com-aphistic-golf")
    (version "0.0.0-20180712155816-02c07f170c5a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/aphistic/golf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1qixab9bb29wqbr4nc5j3g25hq1j7am93f181rkj7a4qacncx763"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/aphistic/golf"))
    (home-page "https://github.com/aphistic/golf")
    (synopsis "golf")
    (description
      "This package provides logging capabilities using the GELF
(@url{https://www.graylog.org/resources/gelf-2/,https://www.graylog.org/resources/gelf-2/})
log format")
    (license license:expat)))

(define-public go-github-com-mattn-go-isatty-0.0.5
  (package
    (name "go-github-com-mattn-go-isatty")
    (version "0.0.5")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-isatty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "114d5xm8rfxplzd7nxz97gfngb4bhqy102szl084d1afcxsvm4aa"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-isatty"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223"
         ,go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223)))
    (home-page "https://github.com/mattn/go-isatty")
    (synopsis "go-isatty")
    (description "Package isatty implements interface to isatty")
    (license license:expat)))

(define-public go-github-com-mattn-go-colorable-0.1.1
  (package
    (name "go-github-com-mattn-go-colorable")
    (version "0.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-colorable")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0l640974j804c1yyjfgyxqlsivz0yrzmbql4mhcw2azryigkp08p"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-colorable"))
    (propagated-inputs
      `(("go-github-com-mattn-go-isatty-0.0.5"
         ,go-github-com-mattn-go-isatty-0.0.5)))
    (home-page "https://github.com/mattn/go-colorable")
    (synopsis "go-colorable")
    (description "Colorable writer for windows.")
    (license license:expat)))

(define-public go-github-com-mgutz-ansi-0.0.0-20170206155736-9520e82c474b
  (package
    (name "go-github-com-mgutz-ansi")
    (version "0.0.0-20170206155736-9520e82c474b")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mgutz/ansi")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "00bz22314j26736w1f0q4jy9d9dfaml17vn890n5zqy3cmvmww1j"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mgutz/ansi"))
    (home-page "https://github.com/mgutz/ansi")
    (synopsis "ansi")
    (description
      "Package ansi is a small, fast library to create ANSI colored strings and codes.")
    (license license:expat)))

(define-public go-github-com-fsnotify-fsnotify-1.4.7
  (package
    (name "go-github-com-fsnotify-fsnotify")
    (version "1.4.7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/fsnotify/fsnotify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/fsnotify/fsnotify"))
    (home-page "https://github.com/fsnotify/fsnotify")
    (synopsis "File system notifications for Go")
    (description
      "Package fsnotify provides a platform-independent interface for file system
notifications.")
    (license license:bsd-3)))

(define-public go-github-com-hpcloud-tail-1.0.0
  (package
    (name "go-github-com-hpcloud-tail")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/hpcloud/tail")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1njpzc0pi1acg5zx9y6vj9xi6ksbsc5d387rd6904hy6rh2m6kn0"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/hpcloud/tail"))
    (home-page "https://github.com/hpcloud/tail")
    (synopsis "Go package for tail-ing files")
    (description
      "This package provides a Go package striving to emulate the features of the BSD
@code{tail} program.")
    (license license:expat)))

(define-public go-github-com-onsi-ginkgo-1.6.0
  (package
    (name "go-github-com-onsi-ginkgo")
    (version "1.6.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/onsi/ginkgo")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0x0gc89vgq38xhgmi2h22bhr73cf2gmk42g89nz89k8dgg9hhr25"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/onsi/ginkgo"))
    (home-page "https://github.com/onsi/ginkgo")
    (synopsis "Ginkgo 2.0 Release Candidate is available!")
    (description "Ginkgo is a BDD-style testing framework for Golang")
    (license license:expat)))

(define-public go-golang-org-x-net-0.0.0-20180906233101-161cd47e91fd
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20180906233101-161cd47e91fd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0254ld010iijygbzykib2vags1dc0wlmcmhgh4jl8iny159lhbcv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20180909124046-d0be0721c37e
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20180909124046-d0be0721c37e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "081wyvfnlf842dqg03raxfz6lldlxpmyh1prix9lmrrm65arxb12"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-gopkg-in-fsnotify-v1-1.4.7
  (package
    (name "go-gopkg-in-fsnotify-v1")
    (version "1.4.7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/fsnotify.v1")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path
        "gopkg.in/fsnotify.v1"
        #:unpack-path
        "gopkg.in/fsnotify.v1"))
    (home-page "https://gopkg.in/fsnotify.v1")
    (synopsis "File system notifications for Go")
    (description
      "Package fsnotify provides a platform-independent interface for file system
notifications.")
    (license license:bsd-3)))

(define-public go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7
  (package
    (name "go-gopkg-in-tomb-v1")
    (version "1.0.0-20141024135613-dd632973f1e7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/tomb.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1lqmq1ag7s4b3gc3ddvr792c5xb5k6sfn0cchr3i2s7f1c231zjv"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/tomb.v1" #:unpack-path "gopkg.in/tomb.v1"))
    (home-page "https://gopkg.in/tomb.v1")
    (synopsis "Installation and usage")
    (description
      "The tomb package offers a conventional API for clean goroutine termination.")
    (license license:bsd-3)))

(define-public go-gopkg-in-yaml-v2-2.2.1
  (package
    (name "go-gopkg-in-yaml-v2")
    (version "2.2.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0dwjrs2lp2gdlscs7bsrmyc5yf6mm4fvgw71bzr9mv2qrd2q73s1"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v2" #:unpack-path "gopkg.in/yaml.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v2")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:asl2.0)))

(define-public go-github-com-onsi-gomega-1.5.0
  (package
    (name "go-github-com-onsi-gomega")
    (version "1.5.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/onsi/gomega")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1n7i4hksdgv410m43v2sw14bl5vy59dkp6nlw5l76nibbh37syr9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/onsi/gomega"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v2-2.2.1" ,go-gopkg-in-yaml-v2-2.2.1)
        ("go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7"
         ,go-gopkg-in-tomb-v1-1.0.0-20141024135613-dd632973f1e7)
        ("go-gopkg-in-fsnotify-v1-1.4.7" ,go-gopkg-in-fsnotify-v1-1.4.7)
        ("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20180909124046-d0be0721c37e"
         ,go-golang-org-x-sys-0.0.0-20180909124046-d0be0721c37e)
        ("go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f"
         ,go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f)
        ("go-golang-org-x-net-0.0.0-20180906233101-161cd47e91fd"
         ,go-golang-org-x-net-0.0.0-20180906233101-161cd47e91fd)
        ("go-github-com-onsi-ginkgo-1.6.0" ,go-github-com-onsi-ginkgo-1.6.0)
        ("go-github-com-hpcloud-tail-1.0.0" ,go-github-com-hpcloud-tail-1.0.0)
        ("go-github-com-golang-protobuf-1.2.0"
         ,go-github-com-golang-protobuf-1.2.0)
        ("go-github-com-fsnotify-fsnotify-1.4.7"
         ,go-github-com-fsnotify-fsnotify-1.4.7)))
    (home-page "https://github.com/onsi/gomega")
    (synopsis ": a BDD Testing Framework for Golang")
    (description
      "Gomega is the Ginkgo BDD-style testing framework's preferred matcher library.")
    (license license:expat)))

(define-public go-github-com-sergi-go-diff-1.0.0
  (package
    (name "go-github-com-sergi-go-diff")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sergi/go-diff")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0swiazj8wphs2zmk1qgq75xza6m19snif94h2m6fi8dqkwqdl7c7"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sergi/go-diff"))
    (home-page "https://github.com/sergi/go-diff")
    (synopsis "go-diff")
    (description
      "go-diff offers algorithms to perform operations required for synchronizing plain
text:")
    (license license:expat)))

(define-public go-golang-org-x-crypto-0.0.0-20190426145343-a29dc8fdc734
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20190426145343-a29dc8fdc734")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "07f0jj4haqs0ywc1akk1qjwn5msl2j0pry1rxjkkbfcq4r6ihc1p"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190412213103-97732733099d"
         ,go-golang-org-x-sys-0.0.0-20190412213103-97732733099d)
        ("go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3"
         ,go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-github-com-aphistic-sweet-0.2.0
  (package
    (name "go-github-com-aphistic-sweet")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/aphistic/sweet")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1bb4qagfxf6byqn2yx0vq24xfvisz3ah4w6bvqclc8cklvfngw43"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/aphistic/sweet"))
    (propagated-inputs
      `(("go-golang-org-x-crypto-0.0.0-20190426145343-a29dc8fdc734"
         ,go-golang-org-x-crypto-0.0.0-20190426145343-a29dc8fdc734)
        ("go-github-com-sergi-go-diff-1.0.0"
         ,go-github-com-sergi-go-diff-1.0.0)
        ("go-github-com-onsi-gomega-1.5.0" ,go-github-com-onsi-gomega-1.5.0)
        ("go-github-com-mgutz-ansi-0.0.0-20170206155736-9520e82c474b"
         ,go-github-com-mgutz-ansi-0.0.0-20170206155736-9520e82c474b)
        ("go-github-com-mattn-go-colorable-0.1.1"
         ,go-github-com-mattn-go-colorable-0.1.1)))
    (home-page "https://github.com/aphistic/sweet")
    (synopsis "sweet")
    (description
      "Sweet is a pluggable test runner capable of hooking into standard Go tests.  It
attempts to provide access to the standard Go test tool as close as possible
while adding support for test suites and plugins that can hook into test results
to add additional functionality.")
    (license license:expat)))

(define-public go-github-com-jmespath-go-jmespath-0.0.0-20180206201540-c2b33e8439af
  (package
    (name "go-github-com-jmespath-go-jmespath")
    (version "0.0.0-20180206201540-c2b33e8439af")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/jmespath/go-jmespath")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1r6w7ydx8ydryxk3sfhzsk8m6f1nsik9jg3i1zhi69v4kfl4d5cz"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/jmespath/go-jmespath"))
    (home-page "https://github.com/jmespath/go-jmespath")
    (synopsis "go-jmespath - A JMESPath implementation in Go")
    (description
      "go-jmespath is a GO implementation of JMESPath, which is a query language for
JSON.  It will take a JSON document and transform it into another JSON document
through a JMESPath expression.")
    (license license:asl2.0)))

(define-public go-github-com-aws-aws-sdk-go-1.20.6
  (package
    (name "go-github-com-aws-aws-sdk-go")
    (version "1.20.6")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/aws/aws-sdk-go")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "016vy5s9finyfgh08j7rvn2pnwymdgj2ydr59w57pysnri87mdwx"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/aws/aws-sdk-go"))
    (propagated-inputs
      `(("go-github-com-jmespath-go-jmespath-0.0.0-20180206201540-c2b33e8439af"
         ,go-github-com-jmespath-go-jmespath-0.0.0-20180206201540-c2b33e8439af)))
    (home-page "https://github.com/aws/aws-sdk-go")
    (synopsis "AWS SDK for Go")
    (description
      "Package sdk is the official AWS SDK for the Go programming language.")
    (license license:asl2.0)))

(define-public go-github-com-aybabtme-rgbterm-0.0.0-20170906152045-cc83f3b3ce59
  (package
    (name "go-github-com-aybabtme-rgbterm")
    (version "0.0.0-20170906152045-cc83f3b3ce59")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/aybabtme/rgbterm")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0wvmxvjn64968ikvnxrflb1x8rlcwzpfl53fzbxff2axbx9lq50q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/aybabtme/rgbterm"))
    (home-page "https://github.com/aybabtme/rgbterm")
    (synopsis "RGB terminal")
    (description
      "Package rgbterm colorizes bytes and strings using RGB colors, for a full range
of pretty terminal strings.")
    (license license:expat)))

(define-public go-github-com-fatih-color-1.7.0
  (package
    (name "go-github-com-fatih-color")
    (version "1.7.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/fatih/color")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0v8msvg38r8d1iiq2i5r4xyfx0invhc941kjrsg5gzwvagv55inv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/fatih/color"))
    (home-page "https://github.com/fatih/color")
    (synopsis "color")
    (description
      "Package color is an ANSI color package to output colorized or SGR defined output
to the standard output.  The API can be used in several way, pick one that suits
you.")
    (license license:expat)))

(define-public go-github-com-kr-logfmt-0.0.0-20140226030751-b84e30acd515
  (package
    (name "go-github-com-kr-logfmt")
    (version "0.0.0-20140226030751-b84e30acd515")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/logfmt")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "02ldzxgznrfdzvghfraslhgp19la1fczcbzh7wm2zdc6lmpd1qq9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/logfmt"))
    (home-page "https://github.com/kr/logfmt")
    (synopsis #f)
    (description "Package implements the decoding of logfmt key-value pairs.")
    (license license:expat)))

(define-public go-github-com-go-logfmt-logfmt-0.4.0
  (package
    (name "go-github-com-go-logfmt-logfmt")
    (version "0.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/go-logfmt/logfmt")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "06smxc112xmixz78nyvk3b2hmc7wasf2sl5vxj1xz62kqcq9lzm9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/go-logfmt/logfmt"))
    (propagated-inputs
      `(("go-github-com-kr-logfmt-0.0.0-20140226030751-b84e30acd515"
         ,go-github-com-kr-logfmt-0.0.0-20140226030751-b84e30acd515)))
    (home-page "https://github.com/go-logfmt/logfmt")
    (synopsis "logfmt")
    (description
      "Package logfmt implements utilities to marshal and unmarshal data in the logfmt
format.  The logfmt format records key/value pairs in a way that balances
readability for humans and simplicity of computer parsing.  It is most commonly
used as a more human friendly alternative to JSON for structured logging.")
    (license license:expat)))

(define-public go-github-com-golang-protobuf-1.3.1
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.3.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "15am4s4646qy6iv0g3kkqq52rzykqjhm4bf08dk0fy2r58knpsyl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-github-com-google-uuid-1.1.1
  (package
    (name "go-github-com-google-uuid")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/uuid")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hfxcf9frkb57k6q0rdkrmnfs78ms21r1qfk9fhlqga2yh5xg8zb"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/uuid"))
    (home-page "https://github.com/google/uuid")
    (synopsis "uuid")
    (description "Package uuid generates and inspects UUIDs.")
    (license license:bsd-3)))

(define-public go-github-com-jpillora-backoff-0.0.0-20180909062703-3050d21c67d7
  (package
    (name "go-github-com-jpillora-backoff")
    (version "0.0.0-20180909062703-3050d21c67d7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/jpillora/backoff")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1nxapdx9xg5gwiscfhq7m0w14hj4gaxb4avmgf1mx9zd3jnw9jxv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/jpillora/backoff"))
    (home-page "https://github.com/jpillora/backoff")
    (synopsis "Backoff")
    (description
      "Package backoff provides an exponential-backoff implementation.")
    (license license:expat)))

(define-public go-github-com-kr-pretty-0.2.0
  (package
    (name "go-github-com-kr-pretty")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pretty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ywbfzz1h3a3qd8rpkiqwi1dm4w8ls9ijb4x1b7567grns9f0vnp"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pretty"))
    (propagated-inputs
      `(("go-github-com-kr-text-0.1.0" ,go-github-com-kr-text-0.1.0)))
    (home-page "https://github.com/kr/pretty")
    (synopsis #f)
    (description
      "Package pretty provides pretty-printing for Go values.  This is useful during
debugging, to avoid wrapping long output lines in the terminal.")
    (license license:expat)))

(define-public go-github-com-mattn-go-colorable-0.1.2
  (package
    (name "go-github-com-mattn-go-colorable")
    (version "0.1.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-colorable")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0512jm3wmzkkn7d99x9wflyqf48n5ri3npy1fqkq6l6adc5mni3n"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-colorable"))
    (propagated-inputs
      `(("go-github-com-mattn-go-isatty-0.0.8"
         ,go-github-com-mattn-go-isatty-0.0.8)))
    (home-page "https://github.com/mattn/go-colorable")
    (synopsis "go-colorable")
    (description "Colorable writer for windows.")
    (license license:expat)))

(define-public go-github-com-pkg-errors-0.8.1
  (package
    (name "go-github-com-pkg-errors")
    (version "0.8.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pkg/errors")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0g5qcb4d4fd96midz0zdk8b9kz8xkzwfa8kr1cliqbg8sxsy5vd1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pkg/errors"))
    (home-page "https://github.com/pkg/errors")
    (synopsis "errors")
    (description "Package errors provides simple error handling primitives.")
    (license license:bsd-2)))

(define-public go-github-com-rogpeppe-fastuuid-1.1.0
  (package
    (name "go-github-com-rogpeppe-fastuuid")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/rogpeppe/fastuuid")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1jlif5pxyz3md02ij93kd2y2j1zz0ajc9k8azvn83vv6l3r5c1zg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/rogpeppe/fastuuid"))
    (home-page "https://github.com/rogpeppe/fastuuid")
    (synopsis "fastuuid")
    (description
      "Package fastuuid provides fast UUID generation of 192 bit universally unique
identifiers.")
    (license license:bsd-3)))

(define-public go-github-com-smartystreets-go-aws-auth-0.0.0-20180515143844-0c1422d1fdb9
  (package
    (name "go-github-com-smartystreets-go-aws-auth")
    (version "0.0.0-20180515143844-0c1422d1fdb9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/smarty-archives/go-aws-auth")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0krfdpgn3gfii1z9fi8ydfw0wwfqyvp6w3rji7w92m528zkjl93d"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/smartystreets/go-aws-auth"))
    (home-page "https://github.com/smartystreets/go-aws-auth")
    (synopsis "go-aws-auth")
    (description
      "Package awsauth implements AWS request signing using Signed Signature Version 2,
Signed Signature Version 3, and Signed Signature Version 4.  Supports S3 and
STS.")
    (license license:expat)))

(define-public go-github-com-smartystreets-assertions-1.0.0
  (package
    (name "go-github-com-smartystreets-assertions")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/smartystreets/assertions")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1188hs39zvil41sdnxs83h1hp319lfyc5n2rvd1xnhz1dh5qjjh4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/smartystreets/assertions"))
    (home-page "https://github.com/smartystreets/assertions")
    (synopsis #f)
    (description
      "Package assertions contains the implementations for all assertions which are
referenced in goconvey's `convey` package
(github.com/smartystreets/goconvey/convey) and gunit
(github.com/smartystreets/gunit) for use with the So(...) method.  They can also
be used in traditional Go test functions and even in applications.")
    (license license:expat)))

(define-public go-github-com-smartystreets-gunit-1.0.0
  (package
    (name "go-github-com-smartystreets-gunit")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/smartystreets/gunit")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "11d09rl5qqpj36a311pjj8w5jkj83d5b8gdcsx8f1zn4j924sm5d"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/smartystreets/gunit"))
    (propagated-inputs
      `(("go-github-com-smartystreets-assertions-1.0.0"
         ,go-github-com-smartystreets-assertions-1.0.0)))
    (home-page "https://github.com/smartystreets/gunit")
    (synopsis "gunit")
    (description
      "Package gunit provides \"testing\" package hooks and convenience functions for
writing tests in an xUnit style.  See the README file and the examples folder
for examples.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.4.0
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "187i5g88sxfy4vxpm7dw1gwv29pa2qaq475lxrdh5livh69wqfjb"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v2-2.2.2" ,go-gopkg-in-yaml-v2-2.2.2)
        ("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-github-com-tj-assert-0.0.0-20171129193455-018094318fb0
  (package
    (name "go-github-com-tj-assert")
    (version "0.0.0-20171129193455-018094318fb0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/assert")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "15ika7izp5hkd10dm30apwfvpm0d1yl2rnxs6896q0svz9zvi2z3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/assert"))
    (home-page "https://github.com/tj/assert")
    (synopsis "assert")
    (description
      "Package assert implements the same assertions as the `assert` package but stops
test execution when a test fails.")
    (license license:expat)))

(define-public go-github-com-tj-go-elastic-0.0.0-20171221160941-36157cbbebc2
  (package
    (name "go-github-com-tj-go-elastic")
    (version "0.0.0-20171221160941-36157cbbebc2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/go-elastic")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1r94vc4hbfvqvjz74n4mvsw4dy3vbyzlivb90kyn8vn76a4wqk69"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/go-elastic"))
    (home-page "https://github.com/tj/go-elastic")
    (synopsis "go-elastic")
    (description
      "Package elastic provides an Elasticsearch client with AWS sigv4 support.")
    (license license:expat)))

(define-public go-github-com-tj-go-kinesis-0.0.0-20171128231115-08b17f58cb1b
  (package
    (name "go-github-com-tj-go-kinesis")
    (version "0.0.0-20171128231115-08b17f58cb1b")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/go-kinesis")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "108c6p5j6rhhc2cnc2v5368yfsw73y6lzlvz02vpvvjph8rhmld4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/go-kinesis"))
    (home-page "https://github.com/tj/go-kinesis")
    (synopsis "go-kinesis")
    (description
      "Package kinesis implements a batch producer built on top of the official AWS
SDK.")
    (license license:expat)))

(define-public go-github-com-tj-go-spin-1.1.0
  (package
    (name "go-github-com-tj-go-spin")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/go-spin")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "11xr67991m5pwsy1dira3iwd0sr55vmn1cyjwmlqziw4bwpym64s"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/go-spin"))
    (home-page "https://github.com/tj/go-spin")
    (synopsis #f)
    (description #f)
    (license #f)))

(define-public go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190620200207-3b0461eec859")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0l00c8l0a8xnv6qdpwfzxxsr58jggacgzdrwiprrfx2xqm37b6d5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20180917221912-90fa682c2a6e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03ic2xsy51jw9749wl7gszdbz99iijbd2bckgygl6cm9w5m364ak"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.2
  (package
    (name "go-golang-org-x-text")
    (version "0.3.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0flv9idw0jm5nm8lx25xqanbkqgfiym6619w575p7nrdh0riqwqh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e"
         ,go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e)))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-gopkg-in-check-v1-1.0.0-20190902080502-41f04d3bba15
  (package
    (name "go-gopkg-in-check-v1")
    (version "1.0.0-20190902080502-41f04d3bba15")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0vfk9czmlxmp6wndq8k17rhnjxal764mxfhrccza7nwlia760pjy"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-github-com-apex-log-1.4.0
  (package
    (name "go-github-com-apex-log")
    (version "1.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/apex/log")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0711096f04dyjk2vgj5b50491fl36wciwbq80xwvns5wwkqdg2z5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/apex/log"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-1.0.0-20190902080502-41f04d3bba15"
         ,go-gopkg-in-check-v1-1.0.0-20190902080502-41f04d3bba15)
        ("go-golang-org-x-text-0.3.2" ,go-golang-org-x-text-0.3.2)
        ("go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859"
         ,go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859)
        ("go-github-com-tj-go-spin-1.1.0" ,go-github-com-tj-go-spin-1.1.0)
        ("go-github-com-tj-go-kinesis-0.0.0-20171128231115-08b17f58cb1b"
         ,go-github-com-tj-go-kinesis-0.0.0-20171128231115-08b17f58cb1b)
        ("go-github-com-tj-go-elastic-0.0.0-20171221160941-36157cbbebc2"
         ,go-github-com-tj-go-elastic-0.0.0-20171221160941-36157cbbebc2)
        ("go-github-com-tj-assert-0.0.0-20171129193455-018094318fb0"
         ,go-github-com-tj-assert-0.0.0-20171129193455-018094318fb0)
        ("go-github-com-stretchr-testify-1.4.0"
         ,go-github-com-stretchr-testify-1.4.0)
        ("go-github-com-smartystreets-gunit-1.0.0"
         ,go-github-com-smartystreets-gunit-1.0.0)
        ("go-github-com-smartystreets-go-aws-auth-0.0.0-20180515143844-0c1422d1fdb9"
         ,go-github-com-smartystreets-go-aws-auth-0.0.0-20180515143844-0c1422d1fdb9)
        ("go-github-com-rogpeppe-fastuuid-1.1.0"
         ,go-github-com-rogpeppe-fastuuid-1.1.0)
        ("go-github-com-pkg-errors-0.8.1" ,go-github-com-pkg-errors-0.8.1)
        ("go-github-com-mattn-go-colorable-0.1.2"
         ,go-github-com-mattn-go-colorable-0.1.2)
        ("go-github-com-kr-pretty-0.2.0" ,go-github-com-kr-pretty-0.2.0)
        ("go-github-com-jpillora-backoff-0.0.0-20180909062703-3050d21c67d7"
         ,go-github-com-jpillora-backoff-0.0.0-20180909062703-3050d21c67d7)
        ("go-github-com-google-uuid-1.1.1" ,go-github-com-google-uuid-1.1.1)
        ("go-github-com-golang-protobuf-1.3.1"
         ,go-github-com-golang-protobuf-1.3.1)
        ("go-github-com-go-logfmt-logfmt-0.4.0"
         ,go-github-com-go-logfmt-logfmt-0.4.0)
        ("go-github-com-fatih-color-1.7.0" ,go-github-com-fatih-color-1.7.0)
        ("go-github-com-davecgh-go-spew-1.1.1"
         ,go-github-com-davecgh-go-spew-1.1.1)
        ("go-github-com-aybabtme-rgbterm-0.0.0-20170906152045-cc83f3b3ce59"
         ,go-github-com-aybabtme-rgbterm-0.0.0-20170906152045-cc83f3b3ce59)
        ("go-github-com-aws-aws-sdk-go-1.20.6"
         ,go-github-com-aws-aws-sdk-go-1.20.6)
        ("go-github-com-aphistic-sweet-0.2.0"
         ,go-github-com-aphistic-sweet-0.2.0)
        ("go-github-com-aphistic-golf-0.0.0-20180712155816-02c07f170c5a"
         ,go-github-com-aphistic-golf-0.0.0-20180712155816-02c07f170c5a)
        ("go-github-com-apex-logs-0.0.7" ,go-github-com-apex-logs-0.0.7)))
    (home-page "https://github.com/apex/log")
    (synopsis "Handlers")
    (description
      "Package log implements a simple structured logging API designed with few
assumptions.  Designed for centralized logging solutions such as Kinesis which
require encoding and decoding before fanning-out to handlers.")
    (license license:expat)))

(define-public go-github-com-cpuguy83-go-md2man-v2-2.0.0
  (package
    (name "go-github-com-cpuguy83-go-md2man-v2")
    (version "2.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/cpuguy83/go-md2man")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r1f7v475dxxgzqci1mxfliwadcrk86ippflx9n411325l4g3ghv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/cpuguy83/go-md2man/v2"))
    (propagated-inputs
      `(("go-github-com-shurcool-sanitized-anchor-name-1.0.0"
         ,go-github-com-shurcool-sanitized-anchor-name-1.0.0)
        ("go-github-com-russross-blackfriday-v2-2.0.1"
         ,go-github-com-russross-blackfriday-v2-2.0.1)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)))
    (home-page "https://github.com/cpuguy83/go-md2man")
    (synopsis "go-md2man")
    (description "Converts markdown into roff (man pages).")
    (license license:expat)))

(define-public go-github-com-cyphar-filepath-securejoin-0.2.2
  (package
    (name "go-github-com-cyphar-filepath-securejoin")
    (version "0.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/cyphar/filepath-securejoin")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0id32zjb92wm569m29nfrzz5mw9z1glr3klayr6j134pp4h1sgq4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/cyphar/filepath-securejoin"))
    (home-page "https://github.com/cyphar/filepath-securejoin")
    (synopsis #f)
    (description
      "Package securejoin is an implementation of the hopefully-soon-to-be-included
SecureJoin helper that is meant to be part of the \"path/filepath\" package.  The
purpose of this project is to provide a PoC implementation to make the
SecureJoin proposal
(@url{https://github.com/golang/go/issues/20126,https://github.com/golang/go/issues/20126})
more tangible.")
    (license license:bsd-3)))

(define-public go-github-com-docker-go-units-0.4.0
  (package
    (name "go-github-com-docker-go-units")
    (version "0.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/docker/go-units")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k8gja8ql4pqg5rzmqvka42vjfs6rzablak87whcnqba6qxpimvz"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/docker/go-units"))
    (home-page "https://github.com/docker/go-units")
    (synopsis "Introduction")
    (description
      "Package units provides helper function to parse and print size and time units in
human-readable format.")
    (license license:asl2.0)))

(define-public go-google-golang-org-protobuf-1.23.0
  (package
    (name "go-google-golang-org-protobuf")
    (version "1.23.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03yan0m1v0zmlr935p4n24fd376mznsg85zy8sywbgisls4s1bzy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0"
         ,go-github-com-golang-protobuf-1.4.0)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.2
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0m5z81im4nsyfgarjhppayk4hqnrwswr3nix9mj8pff8x9jvcjqw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-1.23.0"
         ,go-google-golang-org-protobuf-1.23.0)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-github-com-google-go-cmp-0.5.0
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.5.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "04pzp583p6b32y34c6jygfxarff9qjs39rarvfh6467z24sdd9k4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543"
         ,go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543)))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-github-com-klauspost-compress-1.11.3
  (package
    (name "go-github-com-klauspost-compress")
    (version "1.11.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/klauspost/compress")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "04wpilw6072fh2wd492ma1nw4br7bvz466mj0vi2m1g4w6d0z88z"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/klauspost/compress"))
    (home-page "https://github.com/klauspost/compress")
    (synopsis "compress")
    (description "This package provides various compression algorithms.")
    (license license:expat)))

(define-public go-github-com-klauspost-pgzip-1.2.4
  (package
    (name "go-github-com-klauspost-pgzip")
    (version "1.2.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/klauspost/pgzip")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0mnhfdn0isbkra455jynqjbmrwymx09shlbzbyvgfycih3nbrif0"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/klauspost/pgzip"))
    (home-page "https://github.com/klauspost/pgzip")
    (synopsis "pgzip")
    (description
      "Package pgzip implements reading and writing of gzip format compressed files, as
specified in @url{https://rfc-editor.org/rfc/rfc1952.html,RFC 1952}.")
    (license license:expat)))

(define-public go-github-com-creack-pty-1.1.9
  (package
    (name "go-github-com-creack-pty")
    (version "1.1.9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/creack/pty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1v52599qq76dwq742mffakzj6mxqqccv2szn3hjicjld56nmd2d3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/creack/pty"))
    (home-page "https://github.com/creack/pty")
    (synopsis "pty")
    (description
      "Package pty provides functions for working with Unix terminals.")
    (license license:expat)))

(define-public go-github-com-kr-text-0.2.0
  (package
    (name "go-github-com-kr-text")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hf58ypz6rxsw6nx3i856whir9lvy4sdx946wbw1nfaf2rdmr9vx"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/text"))
    (propagated-inputs
      `(("go-github-com-creack-pty-1.1.9" ,go-github-com-creack-pty-1.1.9)))
    (home-page "https://github.com/kr/text")
    (synopsis #f)
    (description
      "Package text provides rudimentary functions for manipulating text in paragraphs.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20200116001909-b77594299b42
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200116001909-b77594299b42")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0isfm6kmh4fjhh6m7mrb3zvdjka2y31c5habr5kydl7rg0lwkabv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-mattn-go-isatty-0.0.12
  (package
    (name "go-github-com-mattn-go-isatty")
    (version "0.0.12")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-isatty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1dfsh27d52wmz0nmmzm2382pfrs2fcijvh6cgir7jbb4pnigr5w4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-isatty"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20200116001909-b77594299b42"
         ,go-golang-org-x-sys-0.0.0-20200116001909-b77594299b42)))
    (home-page "https://github.com/mattn/go-isatty")
    (synopsis "go-isatty")
    (description "Package isatty implements interface to isatty")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20200223170610-d5e6a3e2c0ae
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200223170610-d5e6a3e2c0ae")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0lz7vm5dz2p14fzq2j4m1l9p392cl0fa73aaf45gln07ylfajk4n"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-mattn-go-colorable-0.1.6
  (package
    (name "go-github-com-mattn-go-colorable")
    (version "0.1.6")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-colorable")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0zv9ix7g0qf71jdhv7gbab9hjfkgbxl22kwhpz9ck1y6m4g1zxaw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-colorable"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20200223170610-d5e6a3e2c0ae"
         ,go-golang-org-x-sys-0.0.0-20200223170610-d5e6a3e2c0ae)
        ("go-github-com-mattn-go-isatty-0.0.12"
         ,go-github-com-mattn-go-isatty-0.0.12)))
    (home-page "https://github.com/mattn/go-colorable")
    (synopsis "go-colorable")
    (description "Colorable writer for windows.")
    (license license:expat)))

(define-public go-github-com-mohae-deepcopy-0.0.0-20170929034955-c48cc78d4826
  (package
    (name "go-github-com-mohae-deepcopy")
    (version "0.0.0-20170929034955-c48cc78d4826")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mohae/deepcopy")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0jdhsz0hsbn0k45rmvm39knbvs024j24ay2q65k5ih8ql8m2c0sd"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mohae/deepcopy"))
    (home-page "https://github.com/mohae/deepcopy")
    (synopsis "deepCopy")
    (description
      "deepcopy makes deep copies of things.  A standard copy will copy the pointers:
deep copy copies the values pointed to.  Unexported field values are not copied.")
    (license license:expat)))

(define-public go-github-com-kr-pty-1.1.1
  (package
    (name "go-github-com-kr-pty")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0383f0mb9kqjvncqrfpidsf8y6ns5zlrc91c6a74xpyxjwvzl2y6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pty"))
    (home-page "https://github.com/kr/pty")
    (synopsis "pty")
    (description
      "Package pty is a wrapper for github.com/creack/pty, which provides functions for
working with Unix terminals.")
    (license license:expat)))

(define-public go-github-com-kr-text-0.1.0
  (package
    (name "go-github-com-kr-text")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1gm5bsl01apvc84bw06hasawyqm4q84vx1pm32wr9jnd7a8vjgj1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/text"))
    (propagated-inputs
      `(("go-github-com-kr-pty-1.1.1" ,go-github-com-kr-pty-1.1.1)))
    (home-page "https://github.com/kr/text")
    (synopsis #f)
    (description
      "Package text provides rudimentary functions for manipulating text in paragraphs.")
    (license license:expat)))

(define-public go-github-com-niemeyer-pretty-0.0.0-20200227124842-a10e7caefd8e
  (package
    (name "go-github-com-niemeyer-pretty")
    (version "0.0.0-20200227124842-a10e7caefd8e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/niemeyer/pretty")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1jmazh4xzaa3v6g46hz60q2z7nmqs9l9cxdzmmscn3kbcs2znq4v"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/niemeyer/pretty"))
    (propagated-inputs
      `(("go-github-com-kr-text-0.1.0" ,go-github-com-kr-text-0.1.0)))
    (home-page "https://github.com/niemeyer/pretty")
    (synopsis #f)
    (description
      "Package pretty provides pretty-printing for Go values.  This is useful during
debugging, to avoid wrapping long output lines in the terminal.")
    (license license:expat)))

(define-public go-github-com-opencontainers-go-digest-1.0.0
  (package
    (name "go-github-com-opencontainers-go-digest")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/go-digest")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0i5acjajvr6hi9zb7gxwifd8w28y884cv7cx36adj8lngj647xbi"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/go-digest"))
    (home-page "https://github.com/opencontainers/go-digest")
    (synopsis "go-digest")
    (description
      "Package digest provides a generalized type to opaquely represent message digests
and their operations within the registry.  The Digest type is designed to serve
as a flexible identifier in a content-addressable system.  More importantly, it
provides tools and wrappers to work with hash.Hash-based digests with little
effort.")
    (license (list license:asl2.0 license:cc-by-sa4.0))))

(define-public go-github-com-opencontainers-image-spec-1.0.1
  (package
    (name "go-github-com-opencontainers-image-spec")
    (version "1.0.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/image-spec")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03dvbj3dln8c55v9gp79mgmz2yi2ws3r08iyz2fk41y3i22iaw1q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/image-spec"))
    (home-page "https://github.com/opencontainers/image-spec")
    (synopsis "OCI Image Format Specification")
    (description
      "The OCI Image Format project creates and maintains the software shipping
container image format spec (OCI Image Format).")
    (license license:asl2.0)))

(define-public go-github-com-opencontainers-runc-1.0.0-rc90
  (package
    (name "go-github-com-opencontainers-runc")
    (version "1.0.0-rc90")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/runc")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0pi3rvj585997m4z9ljkxz2z9yxf9p2jr0pmqbqrc7bc95f5hagk"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/runc"))
    (home-page "https://github.com/opencontainers/runc")
    (synopsis "runc")
    (description
      "@code{runc} is a CLI tool for spawning and running containers on Linux according
to the OCI specification.")
    (license license:asl2.0)))

(define-public go-github-com-opencontainers-runtime-spec-1.0.2
  (package
    (name "go-github-com-opencontainers-runtime-spec")
    (version "1.0.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/runtime-spec")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19w981vcmd5lp2hy0630x6ayb8zz17n2vxqm2py5mg945xflcizg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/runtime-spec"))
    (home-page "https://github.com/opencontainers/runtime-spec")
    (synopsis "Open Container Initiative Runtime Specification")
    (description
      "The @url{https://www.opencontainers.org,Open Container Initiative} develops
specifications for standards on Operating System process and application
containers.")
    (license license:asl2.0)))

(define-public go-github-com-pkg-errors-0.9.1
  (package
    (name "go-github-com-pkg-errors")
    (version "0.9.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pkg/errors")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1761pybhc2kqr6v5fm8faj08x9bql8427yqg6vnfv6nhrasx1mwq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pkg/errors"))
    (home-page "https://github.com/pkg/errors")
    (synopsis "errors")
    (description "Package errors provides simple error handling primitives.")
    (license license:bsd-2)))

(define-public go-github-com-rootless-containers-proto-0.1.0
  (package
    (name "go-github-com-rootless-containers-proto")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/rootless-containers/proto")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yik3b2fxpdkhplni8saabpvf43wnnz4wh6fapak29mkj3lx3mfh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/rootless-containers/proto"))
    (home-page "https://github.com/rootless-containers/proto")
    (synopsis #f)
    (description
      "This project contains the
@url{https://developers.google.com/protocol-buffers/,protobuf} definition of the
@code{user.rootlesscontainers} extended attribute.  The main purpose of this
attribute is to allow for a interoperable and standardised way of emulating
persistent syscalls in a @url{https://rootlesscontaine.rs/,rootless container}
(syscalls such as @code{chown(2)} which would ordinarily fail).")
    (license license:asl2.0)))

(define-public go-github-com-konsorten-go-windows-terminal-sequences-1.0.3
  (package
    (name "go-github-com-konsorten-go-windows-terminal-sequences")
    (version "1.0.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/konsorten/go-windows-terminal-sequences")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yrsd4s8vhjnxhwbigirymz89dn6qfjnhn28i33vvvdgf96j6ypl"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "github.com/konsorten/go-windows-terminal-sequences"))
    (home-page "https://github.com/konsorten/go-windows-terminal-sequences")
    (synopsis "Windows Terminal Sequences")
    (description
      "This library allow for enabling Windows terminal color support for Go.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20190422165155-953cdadca894
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190422165155-953cdadca894")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0gkha4whk8xkcv3isigbs250akag99isxnd3v9xmy0kl3g88hxy1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-sirupsen-logrus-1.6.0
  (package
    (name "go-github-com-sirupsen-logrus")
    (version "1.6.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sirupsen/logrus")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1zf9is1yxxnna0d1pyag2m9ziy3l27zb2j92p9msm1gx5jjrvzzj"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sirupsen/logrus"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190422165155-953cdadca894"
         ,go-golang-org-x-sys-0.0.0-20190422165155-953cdadca894)
        ("go-github-com-stretchr-testify-1.2.2"
         ,go-github-com-stretchr-testify-1.2.2)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-konsorten-go-windows-terminal-sequences-1.0.3"
         ,go-github-com-konsorten-go-windows-terminal-sequences-1.0.3)
        ("go-github-com-davecgh-go-spew-1.1.1"
         ,go-github-com-davecgh-go-spew-1.1.1)))
    (home-page "https://github.com/sirupsen/logrus")
    (synopsis "Logrus")
    (description
      "Package logrus is a structured logger for Go, completely API compatible with the
standard library logger.")
    (license license:expat)))

(define-public go-github-com-davecgh-go-spew-1.1.0
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0d4jfmak5p6lb7n2r6yvf5p1zcw0l8j74kn55ghvr7zr7b7axm6c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-stretchr-objx-0.1.0
  (package
    (name "go-github-com-stretchr-objx")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/objx")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19ynspzjdynbi85xw06mh8ad5j0qa1vryvxjgvbnyrr8rbm4vd8w"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/objx"))
    (home-page "https://github.com/stretchr/objx")
    (synopsis "Objx")
    (description
      "Objx - Go package for dealing with maps, slices, JSON and other data.")
    (license license:expat)))

(define-public go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c
  (package
    (name "go-gopkg-in-yaml-v3")
    (version "3.0.0-20200313102051-9f266ea9e77c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v3")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1bbai3lzb50m0x2vwsdbagrbhvfylj9k1m32hgbqwldqx4p9ay35"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v3" #:unpack-path "gopkg.in/yaml.v3"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v3")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.6.1
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.6.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yhiqqzjvi63pf01rgzx68gqkkvjx03fvl5wk30br5l6s81s090l"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c"
         ,go-gopkg-in-yaml-v3-3.0.0-20200313102051-9f266ea9e77c)
        ("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-gopkg-in-yaml-v3-3.0.0-20200605160147-a5ece683394c
  (package
    (name "go-gopkg-in-yaml-v3")
    (version "3.0.0-20200605160147-a5ece683394c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v3")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03cm7c3p5fh0aa8vnxv5010dgqqr268ivb480ix1salxx3396w68"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v3" #:unpack-path "gopkg.in/yaml.v3"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v3")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:expat)))

(define-public go-github-com-tj-assert-0.0.3
  (package
    (name "go-github-com-tj-assert")
    (version "0.0.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/tj/assert")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1j5swk3fjq1h5fpqkipddz2ccnbidr7qrpm5dpdaflg9q5jnc673"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/tj/assert"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v3-3.0.0-20200605160147-a5ece683394c"
         ,go-gopkg-in-yaml-v3-3.0.0-20200605160147-a5ece683394c)
        ("go-github-com-stretchr-testify-1.6.1"
         ,go-github-com-stretchr-testify-1.6.1)
        ("go-github-com-davecgh-go-spew-1.1.1"
         ,go-github-com-davecgh-go-spew-1.1.1)))
    (home-page "https://github.com/tj/assert")
    (synopsis "assert")
    (description
      "Package assert implements the same assertions as the `assert` package but stops
test execution when a test fails.")
    (license license:expat)))

(define-public go-github-com-russross-blackfriday-v2-2.0.1
  (package
    (name "go-github-com-russross-blackfriday-v2")
    (version "2.0.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/russross/blackfriday")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0nlz7isdd4rgnwzs68499hlwicxz34j2k2a0b8jy0y7ycd2bcr5j"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/russross/blackfriday/v2"))
    (home-page "https://github.com/russross/blackfriday")
    (synopsis "Blackfriday")
    (description "Package blackfriday is a markdown processor.")
    (license license:bsd-2)))

(define-public go-github-com-shurcool-sanitized-anchor-name-1.0.0
  (package
    (name "go-github-com-shurcool-sanitized-anchor-name")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/shurcooL/sanitized_anchor_name")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1gv9p2nr46z80dnfjsklc6zxbgk96349sdsxjz05f3z6wb6m5l8f"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/shurcooL/sanitized_anchor_name"))
    (home-page "https://github.com/shurcooL/sanitized_anchor_name")
    (synopsis "sanitized_anchor_name")
    (description
      "Package sanitized_anchor_name provides a func to create sanitized anchor names.")
    (license license:expat)))

(define-public go-github-com-cpuguy83-go-md2man-v2-2.0.0-20190314233015-f79a8a8ca69d
  (package
    (name "go-github-com-cpuguy83-go-md2man-v2")
    (version "2.0.0-20190314233015-f79a8a8ca69d")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/cpuguy83/go-md2man")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r1f7v475dxxgzqci1mxfliwadcrk86ippflx9n411325l4g3ghv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/cpuguy83/go-md2man/v2"))
    (propagated-inputs
      `(("go-github-com-shurcool-sanitized-anchor-name-1.0.0"
         ,go-github-com-shurcool-sanitized-anchor-name-1.0.0)
        ("go-github-com-russross-blackfriday-v2-2.0.1"
         ,go-github-com-russross-blackfriday-v2-2.0.1)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)))
    (home-page "https://github.com/cpuguy83/go-md2man")
    (synopsis "go-md2man")
    (description "Converts markdown into roff (man pages).")
    (license license:expat)))

(define-public go-gopkg-in-yaml-v2-2.2.2
  (package
    (name "go-gopkg-in-yaml-v2")
    (version "2.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "01wj12jzsdqlnidpyjssmj0r4yavlqy7dwrg7adqd8dicjc4ncsa"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v2" #:unpack-path "gopkg.in/yaml.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v2")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:asl2.0)))

(define-public go-github-com-urfave-cli-1.22.4
  (package
    (name "go-github-com-urfave-cli")
    (version "1.22.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/urfave/cli")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1s7frsmiih4wh8vpx9z3ck4667c6vpjrmba7b9ymnv1p9khyg8wc"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/urfave/cli"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v2-2.2.2" ,go-gopkg-in-yaml-v2-2.2.2)
        ("go-github-com-cpuguy83-go-md2man-v2-2.0.0-20190314233015-f79a8a8ca69d"
         ,go-github-com-cpuguy83-go-md2man-v2-2.0.0-20190314233015-f79a8a8ca69d)
        ("go-github-com-burntsushi-toml-0.3.1"
         ,go-github-com-burntsushi-toml-0.3.1)))
    (home-page "https://github.com/urfave/cli")
    (synopsis "cli")
    (description
      "Package cli provides a minimal framework for creating and organizing command
line Go applications.  cli is designed to be easy to understand and write, the
most simple cli application can be written as follows:")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190222072716-a9d3bda3a223")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1w45zc13xrjzl19s1sx74r5mg3lf2z2nm13wygcdq5r5pyjlhdz9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-mattn-go-isatty-0.0.8
  (package
    (name "go-github-com-mattn-go-isatty")
    (version "0.0.8")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-isatty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0rqfh1rj6f5wm8p2ky7inm8g10152p7w6n2cli17kf9gad797i8h"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-isatty"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223"
         ,go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223)))
    (home-page "https://github.com/mattn/go-isatty")
    (synopsis "go-isatty")
    (description "Package isatty implements interface to isatty")
    (license license:expat)))

(define-public go-github-com-mattn-go-colorable-0.1.4
  (package
    (name "go-github-com-mattn-go-colorable")
    (version "0.1.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-colorable")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yxcz08kminqr1221zxpibnbzfcgs3fafin0z9zqb3gqvf74jywz"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-colorable"))
    (propagated-inputs
      `(("go-github-com-mattn-go-isatty-0.0.8"
         ,go-github-com-mattn-go-isatty-0.0.8)))
    (home-page "https://github.com/mattn/go-colorable")
    (synopsis "go-colorable")
    (description "Colorable writer for windows.")
    (license license:expat)))

(define-public go-github-com-mattn-go-isatty-0.0.11
  (package
    (name "go-github-com-mattn-go-isatty")
    (version "0.0.11")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-isatty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0h671sv7hfprja495kavazkalkx7xzaqksjh13brcnwq67ijrali"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-isatty"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037"
         ,go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037)))
    (home-page "https://github.com/mattn/go-isatty")
    (synopsis "go-isatty")
    (description "Package isatty implements interface to isatty")
    (license license:expat)))

(define-public go-github-com-fatih-color-1.9.0
  (package
    (name "go-github-com-fatih-color")
    (version "1.9.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/fatih/color")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "086z8ssmr1fn9ba4mqnw7pnccfpys6l5yfhvycv1gdrsk7n27mvs"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/fatih/color"))
    (propagated-inputs
      `(("go-github-com-mattn-go-isatty-0.0.11"
         ,go-github-com-mattn-go-isatty-0.0.11)
        ("go-github-com-mattn-go-colorable-0.1.4"
         ,go-github-com-mattn-go-colorable-0.1.4)))
    (home-page "https://github.com/fatih/color")
    (synopsis "color")
    (description
      "Package color is an ANSI color package to output colorized or SGR defined output
to the standard output.  The API can be used in several way, pick one that suits
you.")
    (license license:expat)))

(define-public go-github-com-davecgh-go-spew-1.1.1
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hka6hmyvp701adzag2g26cxdj47g21x6jz4sc6jjz1mn59d474y"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-konsorten-go-windows-terminal-sequences-1.0.1
  (package
    (name "go-github-com-konsorten-go-windows-terminal-sequences")
    (version "1.0.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/konsorten/go-windows-terminal-sequences")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1lchgf27n276vma6iyxa0v1xds68n2g8lih5lavqnx5x6q5pw2ip"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "github.com/konsorten/go-windows-terminal-sequences"))
    (home-page "https://github.com/konsorten/go-windows-terminal-sequences")
    (synopsis "Windows Terminal Sequences")
    (description
      "This library allow for enabling Windows terminal color support for Go.")
    (license license:expat)))

(define-public go-github-com-pmezard-go-difflib-1.0.0
  (package
    (name "go-github-com-pmezard-go-difflib")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pmezard/go-difflib")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0c1cn55m4rypmscgf0rrb88pn58j3ysvc2d0432dp3c6fqg6cnzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pmezard/go-difflib"))
    (home-page "https://github.com/pmezard/go-difflib")
    (synopsis "go-difflib")
    (description
      "Go-difflib is a partial port of python 3 difflib package.  Its main goal was to
make unified and context diff available in pure Go, mostly for testing purposes.")
    (license license:bsd-3)))

(define-public go-github-com-stretchr-objx-0.1.1
  (package
    (name "go-github-com-stretchr-objx")
    (version "0.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/objx")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0iph0qmpyqg4kwv8jsx6a56a7hhqq8swrazv40ycxk9rzr0s8yls"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/objx"))
    (home-page "https://github.com/stretchr/objx")
    (synopsis "Objx")
    (description
      "Objx - Go package for dealing with maps, slices, JSON and other data.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.2.2
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0dlszlshlxbmmfxj5hlwgv3r22x0y1af45gn1vd198nvvs3pnvfs"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-golang-org-x-crypto-0.0.0-20180904163835-0709b304e793
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20180904163835-0709b304e793")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0i05s09y5pavmfh71fgih7syxg58x7a4krgd8am6d3mnahnmab5c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20180905080454-ebe1bf3edb33
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20180905080454-ebe1bf3edb33")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0rkspxyjxdmc9f4n09hgkwj8jjd8z5p8mc9z8vwqwqcwrqv4sg7c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-sirupsen-logrus-1.3.0
  (package
    (name "go-github-com-sirupsen-logrus")
    (version "1.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sirupsen/logrus")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ib7k8cwxn53dyxd3af1g81z018n77n6q64pm4miznirf7c2c9gk"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sirupsen/logrus"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20180905080454-ebe1bf3edb33"
         ,go-golang-org-x-sys-0.0.0-20180905080454-ebe1bf3edb33)
        ("go-golang-org-x-crypto-0.0.0-20180904163835-0709b304e793"
         ,go-golang-org-x-crypto-0.0.0-20180904163835-0709b304e793)
        ("go-github-com-stretchr-testify-1.2.2"
         ,go-github-com-stretchr-testify-1.2.2)
        ("go-github-com-stretchr-objx-0.1.1"
         ,go-github-com-stretchr-objx-0.1.1)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-konsorten-go-windows-terminal-sequences-1.0.1"
         ,go-github-com-konsorten-go-windows-terminal-sequences-1.0.1)
        ("go-github-com-davecgh-go-spew-1.1.1"
         ,go-github-com-davecgh-go-spew-1.1.1)))
    (home-page "https://github.com/sirupsen/logrus")
    (synopsis "Logrus")
    (description
      "Package logrus is a structured logger for Go, completely API compatible with the
standard library logger.")
    (license license:expat)))

(define-public go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20191011191535-87dc89f01550")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0z4i1m2yn3f31ci7wvcm2rxkx2yiv7a78mfzklncmsz2k97rlh2g"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190412213103-97732733099d"
         ,go-golang-org-x-sys-0.0.0-20190412213103-97732733099d)
        ("go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3"
         ,go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20191026070338-33540a1f6037")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0fjcv0vzvi6za0b4xmnk3932pr9f9gczzf03y0kgq3ry9rqg169y"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-vbatts-go-mtree-0.5.0
  (package
    (name "go-github-com-vbatts-go-mtree")
    (version "0.5.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/vbatts/go-mtree")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0p42aliw6ngp7zgg5y9mi18z1ka9n0vblbrp5flp93i7qfmc5y0k"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/vbatts/go-mtree"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037"
         ,go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037)
        ("go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550"
         ,go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550)
        ("go-github-com-sirupsen-logrus-1.3.0"
         ,go-github-com-sirupsen-logrus-1.3.0)
        ("go-github-com-fatih-color-1.9.0" ,go-github-com-fatih-color-1.9.0)
        ("go-github-com-davecgh-go-spew-1.1.1"
         ,go-github-com-davecgh-go-spew-1.1.1)))
    (home-page "https://github.com/vbatts/go-mtree")
    (synopsis "go-mtree")
    (description
      "@code{mtree} is a filesystem hierarchy validation tooling and format.  This is a
library and simple cli tool for
@url{https://www.freebsd.org/cgi/man.cgi?mtree%288%29=,mtree(8)} support.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190404232315-eb5bcb51f2a3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "17k4g8krxbl84gzcs275b7gsh66dzm15fdxivjnx9xz8q84l4kby"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190412213103-97732733099d
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190412213103-97732733099d")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "118hkp01i4z1f5h6hcjm0ff2ngqhrzj1f7731n0kw8dr6hvbx0sw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20200604202706-70a84ac30bf9
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20200604202706-70a84ac30bf9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0zr8np92g3qx7cdgaz4b2z5wnlym9lqyhrvs3xvv1fbsapd2z6i3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190412213103-97732733099d"
         ,go-golang-org-x-sys-0.0.0-20190412213103-97732733099d)
        ("go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3"
         ,go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20200622214017-ed371f2e16b4
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200622214017-ed371f2e16b4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "107wfy2fj6z5zps1v72j8drfrfvss1158drb0yqhz5awlbvgrpj7"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-1.22.0
  (package
    (name "go-google-golang-org-protobuf")
    (version "1.22.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0n7lc4m7kfvj01glc0gnjy0zsnsic7cxnbvlajy0h14cxbab87pj"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0"
         ,go-github-com-golang-protobuf-1.4.0)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.1
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0w7ks4vffnnkp0miwgc3chrsnmya45lzvpahb2wmw0jwhdp5kdx7"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-1.22.0"
         ,go-google-golang-org-protobuf-1.22.0)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-github-com-census-instrumentation-opencensus-proto-0.2.1
  (package
    (name "go-github-com-census-instrumentation-opencensus-proto")
    (version "0.2.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/census-instrumentation/opencensus-proto")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19fcx3sc99i5dsklny6r073z5j20vlwn2xqm6di1q3b1xwchzqfj"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "github.com/census-instrumentation/opencensus-proto"))
    (home-page "https://github.com/census-instrumentation/opencensus-proto")
    (synopsis
      "OpenCensus Proto - Language Independent Interface Types For OpenCensus")
    (description
      "Census provides a framework to define and collect stats against metrics and to
break those stats down across user-defined dimensions.")
    (license license:asl2.0)))

(define-public go-github-com-prometheus-client-model-0.0.0-20190812154241-14fe0d1b01d4
  (package
    (name "go-github-com-prometheus-client-model")
    (version "0.0.0-20190812154241-14fe0d1b01d4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/prometheus/client_model")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0zdmk6rbbx39cvfz0r59v2jg5sg9yd02b4pds5n5llgvivi99550"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/prometheus/client_model"))
    (propagated-inputs
      `(("go-golang-org-x-sync-0.0.0-20181108010431-42b317875d0f"
         ,go-golang-org-x-sync-0.0.0-20181108010431-42b317875d0f)
        ("go-github-com-golang-protobuf-1.2.0"
         ,go-github-com-golang-protobuf-1.2.0)))
    (home-page "https://github.com/prometheus/client_model")
    (synopsis "Deprecation note")
    (description
      "This repository used to contain the  code that defined both the data model and
the exposition format of Prometheus metrics.")
    (license license:asl2.0)))

(define-public go-golang-org-x-tools-0.0.0-20190311212946-11955173bddd
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20190311212946-11955173bddd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hlkai67w167wiyivkzd1fgqrnyxkb94l2c6kr51jwcscizfyfn3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-golang-org-x-net-0.0.0-20190311183353-d8887717615a"
         ,go-golang-org-x-net-0.0.0-20190311183353-d8887717615a)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-lint-0.0.0-20190313153728-d0100b6bd8b3
  (package
    (name "go-golang-org-x-lint")
    (version "0.0.0-20190313153728-d0100b6bd8b3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/lint")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0b0amr9x4ji66iv9ayfx7zrfx52k1m5g66qfcxkgj80qrb1y2yn7"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/lint"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20190311212946-11955173bddd"
         ,go-golang-org-x-tools-0.0.0-20190311212946-11955173bddd)))
    (home-page "https://golang.org/x/lint")
    (synopsis "Installation")
    (description "Package lint contains a linter for Go source code.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20190423024810-112230192c58
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20190423024810-112230192c58")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "05i2k43j2d0llq768hg5pf3hb2yhfzp9la1w5wp0rsnnzblr0lfn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20190524140312-2c0ae7006135
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20190524140312-2c0ae7006135")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1lsi2ssxajclj3bciz2a41v1vjv768ja3v6wnbyhxy8xphwkp4fk"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-golang-org-x-sync-0.0.0-20190423024810-112230192c58"
         ,go-golang-org-x-sync-0.0.0-20190423024810-112230192c58)
        ("go-golang-org-x-net-0.0.0-20190311183353-d8887717615a"
         ,go-golang-org-x-net-0.0.0-20190311183353-d8887717615a)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-google-golang-org-grpc-1.23.0
  (package
    (name "go-google-golang-org-grpc")
    (version "1.23.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/grpc/grpc-go")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1cn33r2gclmq2v1ndpf1n5bmhf2qs8mms7ii5cnl6f9ch4r2c4k3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/grpc"))
    (propagated-inputs
      `(("go-honnef-co-go-tools-0.0.0-20190523083050-ea95bdfd59fc"
         ,go-honnef-co-go-tools-0.0.0-20190523083050-ea95bdfd59fc)
        ("go-google-golang-org-genproto-0.0.0-20180817151627-c66870c02cf8"
         ,go-google-golang-org-genproto-0.0.0-20180817151627-c66870c02cf8)
        ("go-google-golang-org-appengine-1.1.0"
         ,go-google-golang-org-appengine-1.1.0)
        ("go-golang-org-x-tools-0.0.0-20190524140312-2c0ae7006135"
         ,go-golang-org-x-tools-0.0.0-20190524140312-2c0ae7006135)
        ("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)
        ("go-golang-org-x-oauth2-0.0.0-20180821212333-d2e6202438be"
         ,go-golang-org-x-oauth2-0.0.0-20180821212333-d2e6202438be)
        ("go-golang-org-x-net-0.0.0-20190311183353-d8887717615a"
         ,go-golang-org-x-net-0.0.0-20190311183353-d8887717615a)
        ("go-golang-org-x-lint-0.0.0-20190313153728-d0100b6bd8b3"
         ,go-golang-org-x-lint-0.0.0-20190313153728-d0100b6bd8b3)
        ("go-github-com-google-go-cmp-0.2.0"
         ,go-github-com-google-go-cmp-0.2.0)
        ("go-github-com-golang-protobuf-1.2.0"
         ,go-github-com-golang-protobuf-1.2.0)
        ("go-github-com-golang-mock-1.1.1" ,go-github-com-golang-mock-1.1.1)
        ("go-github-com-golang-glog-0.0.0-20160126235308-23def4e6c14b"
         ,go-github-com-golang-glog-0.0.0-20160126235308-23def4e6c14b)
        ("go-github-com-client9-misspell-0.3.4"
         ,go-github-com-client9-misspell-0.3.4)
        ("go-github-com-burntsushi-toml-0.3.1"
         ,go-github-com-burntsushi-toml-0.3.1)
        ("go-cloud-google-com-go-0.26.0" ,go-cloud-google-com-go-0.26.0)))
    (home-page "https://google.golang.org/grpc")
    (synopsis "gRPC-Go")
    (description "Package grpc implements an RPC system called gRPC.")
    (license license:asl2.0)))

(define-public go-github-com-envoyproxy-go-control-plane-0.9.1-0.20191026205805-5f8ba28d4473
  (package
    (name "go-github-com-envoyproxy-go-control-plane")
    (version "0.9.1-0.20191026205805-5f8ba28d4473")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/envoyproxy/go-control-plane")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1f1s764rd41vd9vgk3r14h1m6fz6pdvxj6fd83q58gxifbc4q5w4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/envoyproxy/go-control-plane"))
    (propagated-inputs
      `(("go-google-golang-org-grpc-1.23.0" ,go-google-golang-org-grpc-1.23.0)
        ("go-google-golang-org-genproto-0.0.0-20190819201941-24fa4b261c55"
         ,go-google-golang-org-genproto-0.0.0-20190819201941-24fa4b261c55)
        ("go-github-com-prometheus-client-model-0.0.0-20190812154241-14fe0d1b01d4"
         ,go-github-com-prometheus-client-model-0.0.0-20190812154241-14fe0d1b01d4)
        ("go-github-com-golang-protobuf-1.3.2"
         ,go-github-com-golang-protobuf-1.3.2)
        ("go-github-com-envoyproxy-protoc-gen-validate-0.1.0"
         ,go-github-com-envoyproxy-protoc-gen-validate-0.1.0)
        ("go-github-com-census-instrumentation-opencensus-proto-0.2.1"
         ,go-github-com-census-instrumentation-opencensus-proto-0.2.1)))
    (home-page "https://github.com/envoyproxy/go-control-plane")
    (synopsis "control-plane")
    (description
      "This repository contains a Go-based implementation of an API server that
implements the discovery service APIs defined in
@url{https://github.com/envoyproxy/data-plane-api,data-plane-api}.")
    (license license:asl2.0)))

(define-public go-github-com-envoyproxy-protoc-gen-validate-0.1.0
  (package
    (name "go-github-com-envoyproxy-protoc-gen-validate")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/envoyproxy/protoc-gen-validate")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0kxd3wwh3xwqk0r684hsy281xq4y71cd11d4q2hspcjbnlbwh7cy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/envoyproxy/protoc-gen-validate"))
    (home-page "https://github.com/envoyproxy/protoc-gen-validate")
    (synopsis "protoc-gen-validate (PGV)")
    (description
      "PGV is a protoc plugin to generate polyglot message validators.  While protocol
buffers effectively guarantee the types of structured data, they cannot enforce
semantic rules for values.  This plugin adds support to protoc-generated code to
validate such constraints.")
    (license license:asl2.0)))

(define-public go-github-com-google-go-cmp-0.2.0
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1fbv0x27k9sn8svafc0hjwsnckk864lv4yi7bvzrxvmd3d5hskds"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20190308221718-c2843e01d9a2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "01xgxbj5r79nmisdvpq48zfy8pzaaj90bn6ngd4nf33j9ar1dp8r"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20190311183353-d8887717615a
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190311183353-d8887717615a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1wfm6ngxjyj7v5a2dqib6lw8bb2rdnf1kl48diykxjrsddn0s163"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190215142949-d0b11bdaac8a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18yfsmw622l7gc5sqriv5qmck6903vvhivpzp8i3xfy3z33dybdl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.3.2
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.3.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1k1wb4zr0qbwgpvz9q5ws9zhlal8hq7dmq62pwxxriksayl6hzym"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-golang-org-x-exp-0.0.0-20190121172915-509febef88a4
  (package
    (name "go-golang-org-x-exp")
    (version "0.0.0-20190121172915-509febef88a4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/exp")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "02isrh39z8znrp5znplzy0dip2gnrl3jm1355raliyvhnhg04j6q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/exp"))
    (home-page "https://golang.org/x/exp")
    (synopsis "exp")
    (description
      "This subrepository holds experimental and deprecated (in the @code{old}
directory) packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-lint-0.0.0-20190227174305-5b3e6a55c961
  (package
    (name "go-golang-org-x-lint")
    (version "0.0.0-20190227174305-5b3e6a55c961")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/lint")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "04zp5vbds9nffmjg36wjpi5vg9zmf890yf78xxasai3ni637ivfw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/lint"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20190226205152-f727befe758c"
         ,go-golang-org-x-tools-0.0.0-20190226205152-f727befe758c)))
    (home-page "https://golang.org/x/lint")
    (synopsis "Installation")
    (description "Package lint contains a linter for Go source code.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20190213061140-3a22650c66bd
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190213061140-3a22650c66bd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "12q6fgdkc0742vcms67nzadgdwvi3rnb1gx3vwkljhrvlnwvz7wc"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20181108010431-42b317875d0f
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20181108010431-42b317875d0f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0mrjhk7al7yyh76x9flvxy4jm5jyqh2fxbxagpaazxn1xdgkaif3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20180724234803-3673e40ba225
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20180724234803-3673e40ba225")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0vx7mz18p480p7fh0w5jv6mfdbsswrlac1sz4i705q7q7ygz59lm"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-google-golang-org-appengine-1.4.0
  (package
    (name "go-google-golang-org-appengine")
    (version "1.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/appengine")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "06zl7w4sxgdq2pl94wy9ncii6h0z3szl4xpqds0sv3b3wbdlhbnn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/appengine"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-net-0.0.0-20180724234803-3673e40ba225"
         ,go-golang-org-x-net-0.0.0-20180724234803-3673e40ba225)
        ("go-github-com-golang-protobuf-1.2.0"
         ,go-github-com-golang-protobuf-1.2.0)))
    (home-page "https://google.golang.org/appengine")
    (synopsis "Go App Engine packages")
    (description
      "Package appengine provides basic functionality for Google App Engine.")
    (license license:asl2.0)))

(define-public go-golang-org-x-tools-0.0.0-20190226205152-f727befe758c
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20190226205152-f727befe758c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0rpcqw6z13qd33rbasg32zb0gdhgh5lzjla63r6g651zf6hpsak0"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-google-golang-org-appengine-1.4.0"
         ,go-google-golang-org-appengine-1.4.0)
        ("go-golang-org-x-sync-0.0.0-20181108010431-42b317875d0f"
         ,go-golang-org-x-sync-0.0.0-20181108010431-42b317875d0f)
        ("go-golang-org-x-net-0.0.0-20190213061140-3a22650c66bd"
         ,go-golang-org-x-net-0.0.0-20190213061140-3a22650c66bd)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-cloud-google-com-go-0.26.0
  (package
    (name "go-cloud-google-com-go")
    (version "0.26.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/googleapis/google-cloud-go")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "149v3ci17g6wd2pm18mzcncq5qpl9hwdjnz3rlbn5rfidyn46la1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "cloud.google.com/go"))
    (home-page "https://cloud.google.com/go")
    (synopsis "Google Cloud Client Libraries for Go")
    (description
      "Package cloud is the root of the packages used to access Google Cloud Services.
See
@url{https://godoc.org/cloud.google.com/go,https://godoc.org/cloud.google.com/go}
for a full list of sub-packages.")
    (license license:asl2.0)))

(define-public go-github-com-burntsushi-toml-0.3.1
  (package
    (name "go-github-com-burntsushi-toml")
    (version "0.3.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/BurntSushi/toml")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1fjdwwfzyzllgiwydknf1pwjvy49qxfsczqx5gz3y0izs7as99j6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/BurntSushi/toml"))
    (home-page "https://github.com/BurntSushi/toml")
    (synopsis "Testing")
    (description
      "Package toml implements decoding and encoding of TOML files.")
    (license license:expat)))

(define-public go-github-com-client9-misspell-0.3.4
  (package
    (name "go-github-com-client9-misspell")
    (version "0.3.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/client9/misspell")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1vwf33wsc4la25zk9nylpbp9px3svlmldkm0bha4hp56jws4q9cs"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/client9/misspell"))
    (home-page "https://github.com/client9/misspell")
    (synopsis "Install")
    (description
      "Package misspell corrects commonly misspelled English words in source files.")
    (license license:expat)))

(define-public go-github-com-golang-glog-0.0.0-20160126235308-23def4e6c14b
  (package
    (name "go-github-com-golang-glog")
    (version "0.0.0-20160126235308-23def4e6c14b")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/glog")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0jb2834rw5sykfr937fxi8hxi2zy80sj2bdn9b3jb4b26ksqng30"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/glog"))
    (home-page "https://github.com/golang/glog")
    (synopsis "glog")
    (description
      "Package glog implements logging analogous to the Google-internal C++
INFO/ERROR/V setup.  It provides functions Info, Warning, Error, Fatal, plus
formatting variants such as Infof.  It also provides V-style logging controlled
by the -v and -vmodule=file=2 flags.")
    (license license:asl2.0)))

(define-public go-github-com-golang-mock-1.1.1
  (package
    (name "go-github-com-golang-mock")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/mock")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ap8wb6pdl6ccmdb43advjll2ly4sz26wsc3axw0hbrjrybybzgy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/mock"))
    (home-page "https://github.com/golang/mock")
    (synopsis "gomock")
    (description
      "gomock is a mocking framework for the @url{http://golang.org/,Go programming
language}.  It integrates well with Go's built-in @code{testing} package, but
can be used in other contexts too.")
    (license license:asl2.0)))

(define-public go-github-com-golang-protobuf-1.2.0
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0kf4b59rcbb1cchfny2dm9jyznp8ri2hsb14n8iak1q8986xa0ab"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-golang-org-x-lint-0.0.0-20181026193005-c67002cb31c3
  (package
    (name "go-golang-org-x-lint")
    (version "0.0.0-20181026193005-c67002cb31c3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/lint")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0gymbggskjmphqxqcx4s0vnlcz7mygbix0vhwcwv5r67c0bf6765"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/lint"))
    (home-page "https://golang.org/x/lint")
    (synopsis "Installation")
    (description "Package lint contains a linter for Go source code.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20180826012351-8a410e7b638d
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20180826012351-8a410e7b638d")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hp0l8f6fir5gmgrjq0mhh5ikc0rlrm72774228800kfwqjrxxny"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-oauth2-0.0.0-20180821212333-d2e6202438be
  (package
    (name "go-golang-org-x-oauth2")
    (version "0.0.0-20180821212333-d2e6202438be")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/oauth2")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0wbn75fd10485nb93bm4kqldqifdim5xqy4v7r5sdvimvf3fyhn7"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/oauth2"))
    (home-page "https://golang.org/x/oauth2")
    (synopsis "OAuth2 for Go")
    (description
      "Package oauth2 provides support for making OAuth2 authorized and authenticated
HTTP requests, as specified in @url{https://rfc-editor.org/rfc/rfc6749.html,RFC
6749}.  It can additionally grant authorization with Bearer JWT.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20180314180146-1d60e4601c6f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "046jlanz2lkxq1r57x9bl6s4cvfqaic6p2xybsj8mq1120jv4rs6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20180830151530-49385e6e1522
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20180830151530-49385e6e1522")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0spbldahns09fdxkxflb1x24f8k2awdlnr6k5i7ci4fqd19r1dv4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.0
  (package
    (name "go-golang-org-x-text")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r6x6zjzhr8ksqlpiwm5gdd7s209kwk5p4lw54xjvz10cs3qlq19"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20190114222345-bf090417da8b
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20190114222345-bf090417da8b")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1n3xp56k4k3lj06rx7587wr5gnwg0148nvwx6ch0g7ar02hh94hw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-google-golang-org-appengine-1.1.0
  (package
    (name "go-google-golang-org-appengine")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/appengine")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1pz202zszg8f35dk5pfhwgcdi3r6dx1l4yk6x6ly7nb4j45zi96x"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/appengine"))
    (home-page "https://google.golang.org/appengine")
    (synopsis "Go App Engine packages")
    (description
      "Package appengine provides basic functionality for Google App Engine.")
    (license license:asl2.0)))

(define-public go-google-golang-org-genproto-0.0.0-20180817151627-c66870c02cf8
  (package
    (name "go-google-golang-org-genproto")
    (version "0.0.0-20180817151627-c66870c02cf8")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/googleapis/go-genproto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0siq7sv68556ygqi2d2zmvx8l1xjqdc0fylqzci5h1mq2i14bayn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/genproto"))
    (home-page "https://google.golang.org/genproto")
    (synopsis "Go generated proto packages")
    (description
      "This repository contains the generated Go packages for common protocol buffer
types, and the generated @url{http://grpc.io,gRPC} code necessary for
interacting with Google's gRPC APIs.")
    (license license:asl2.0)))

(define-public go-google-golang-org-grpc-1.19.0
  (package
    (name "go-google-golang-org-grpc")
    (version "1.19.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/grpc/grpc-go")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1znqwpj7ix3dpzx4zch0q70sdl3z5lvbb7v3q4i8sf8kas3yv71v"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/grpc"))
    (propagated-inputs
      `(("go-honnef-co-go-tools-0.0.0-20190102054323-c2f93a96b099"
         ,go-honnef-co-go-tools-0.0.0-20190102054323-c2f93a96b099)
        ("go-google-golang-org-genproto-0.0.0-20180817151627-c66870c02cf8"
         ,go-google-golang-org-genproto-0.0.0-20180817151627-c66870c02cf8)
        ("go-google-golang-org-appengine-1.1.0"
         ,go-google-golang-org-appengine-1.1.0)
        ("go-golang-org-x-tools-0.0.0-20190114222345-bf090417da8b"
         ,go-golang-org-x-tools-0.0.0-20190114222345-bf090417da8b)
        ("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20180830151530-49385e6e1522"
         ,go-golang-org-x-sys-0.0.0-20180830151530-49385e6e1522)
        ("go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f"
         ,go-golang-org-x-sync-0.0.0-20180314180146-1d60e4601c6f)
        ("go-golang-org-x-oauth2-0.0.0-20180821212333-d2e6202438be"
         ,go-golang-org-x-oauth2-0.0.0-20180821212333-d2e6202438be)
        ("go-golang-org-x-net-0.0.0-20180826012351-8a410e7b638d"
         ,go-golang-org-x-net-0.0.0-20180826012351-8a410e7b638d)
        ("go-golang-org-x-lint-0.0.0-20181026193005-c67002cb31c3"
         ,go-golang-org-x-lint-0.0.0-20181026193005-c67002cb31c3)
        ("go-github-com-golang-protobuf-1.2.0"
         ,go-github-com-golang-protobuf-1.2.0)
        ("go-github-com-golang-mock-1.1.1" ,go-github-com-golang-mock-1.1.1)
        ("go-github-com-golang-glog-0.0.0-20160126235308-23def4e6c14b"
         ,go-github-com-golang-glog-0.0.0-20160126235308-23def4e6c14b)
        ("go-github-com-client9-misspell-0.3.4"
         ,go-github-com-client9-misspell-0.3.4)
        ("go-github-com-burntsushi-toml-0.3.1"
         ,go-github-com-burntsushi-toml-0.3.1)
        ("go-cloud-google-com-go-0.26.0" ,go-cloud-google-com-go-0.26.0)))
    (home-page "https://google.golang.org/grpc")
    (synopsis "gRPC-Go")
    (description "Package grpc implements an RPC system called gRPC.")
    (license license:asl2.0)))

(define-public go-honnef-co-go-tools-0.0.0-20190102054323-c2f93a96b099
  (package
    (name "go-honnef-co-go-tools")
    (version "0.0.0-20190102054323-c2f93a96b099")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/dominikh/go-tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "07lg29aiap80ca9f201jzng9vjr168cv3qmvjmbd7v5pmww9kmr8"))))
    (build-system go-build-system)
    (arguments '(#:import-path "honnef.co/go/tools"))
    (home-page "https://honnef.co/go/tools")
    (synopsis "Documentation")
    (description
      "Staticcheck is a state of the art linter for the .  Using static analysis, it
finds bugs and performance issues, offers simplifications, and enforces style
rules.")
    (license license:expat)))

(define-public go-google-golang-org-genproto-0.0.0-20190819201941-24fa4b261c55
  (package
    (name "go-google-golang-org-genproto")
    (version "0.0.0-20190819201941-24fa4b261c55")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/googleapis/go-genproto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "109zhaqlfd8zkbr1hk6zqbs6vcxfrk64scjwh2nswph05gr0m84d"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/genproto"))
    (propagated-inputs
      `(("go-honnef-co-go-tools-0.0.0-20190102054323-c2f93a96b099"
         ,go-honnef-co-go-tools-0.0.0-20190102054323-c2f93a96b099)
        ("go-google-golang-org-grpc-1.19.0" ,go-google-golang-org-grpc-1.19.0)
        ("go-golang-org-x-tools-0.0.0-20190226205152-f727befe758c"
         ,go-golang-org-x-tools-0.0.0-20190226205152-f727befe758c)
        ("go-golang-org-x-lint-0.0.0-20190227174305-5b3e6a55c961"
         ,go-golang-org-x-lint-0.0.0-20190227174305-5b3e6a55c961)
        ("go-golang-org-x-exp-0.0.0-20190121172915-509febef88a4"
         ,go-golang-org-x-exp-0.0.0-20190121172915-509febef88a4)
        ("go-github-com-golang-protobuf-1.3.2"
         ,go-github-com-golang-protobuf-1.3.2)))
    (home-page "https://google.golang.org/genproto")
    (synopsis "Go generated proto packages")
    (description
      "This repository contains the generated Go packages for common protocol buffer
types, and the generated @url{http://grpc.io,gRPC} code necessary for
interacting with Google's gRPC APIs.")
    (license license:asl2.0)))

(define-public go-google-golang-org-grpc-1.27.0
  (package
    (name "go-google-golang-org-grpc")
    (version "1.27.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/grpc/grpc-go")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ijrmgrxyabfn51nm3p9l81iaasq5fg237wnr6mdc4dzsfcg8kd7"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/grpc"))
    (propagated-inputs
      `(("go-google-golang-org-genproto-0.0.0-20190819201941-24fa4b261c55"
         ,go-google-golang-org-genproto-0.0.0-20190819201941-24fa4b261c55)
        ("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)
        ("go-golang-org-x-oauth2-0.0.0-20180821212333-d2e6202438be"
         ,go-golang-org-x-oauth2-0.0.0-20180821212333-d2e6202438be)
        ("go-golang-org-x-net-0.0.0-20190311183353-d8887717615a"
         ,go-golang-org-x-net-0.0.0-20190311183353-d8887717615a)
        ("go-github-com-google-go-cmp-0.2.0"
         ,go-github-com-google-go-cmp-0.2.0)
        ("go-github-com-golang-protobuf-1.3.2"
         ,go-github-com-golang-protobuf-1.3.2)
        ("go-github-com-golang-mock-1.1.1" ,go-github-com-golang-mock-1.1.1)
        ("go-github-com-golang-glog-0.0.0-20160126235308-23def4e6c14b"
         ,go-github-com-golang-glog-0.0.0-20160126235308-23def4e6c14b)
        ("go-github-com-envoyproxy-protoc-gen-validate-0.1.0"
         ,go-github-com-envoyproxy-protoc-gen-validate-0.1.0)
        ("go-github-com-envoyproxy-go-control-plane-0.9.1-0.20191026205805-5f8ba28d4473"
         ,go-github-com-envoyproxy-go-control-plane-0.9.1-0.20191026205805-5f8ba28d4473)))
    (home-page "https://google.golang.org/grpc")
    (synopsis "gRPC-Go")
    (description "Package grpc implements an RPC system called gRPC.")
    (license license:asl2.0)))

(define-public go-github-com-google-go-cmp-0.3.0
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1hyxx3434zshl2m9ja78gwlkg1rx9yl6diqa7dnjb31xz5x4gbjj"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-0.0.0-20200109180630-ec00e32a8dfd
  (package
    (name "go-google-golang-org-protobuf")
    (version "0.0.0-20200109180630-ec00e32a8dfd")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0w6lp9w2avxcpxwzzhspr209ifhyjagvs23k0vykfdqahl1aplrh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.3.0"
         ,go-github-com-google-go-cmp-0.3.0)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0-rc.1
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0-rc.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "186rirvbfgv6hrxp27ipx2cdpv19qifdd20biqfdm01wiyclqimn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-0.0.0-20200109180630-ec00e32a8dfd"
         ,go-google-golang-org-protobuf-0.0.0-20200109180630-ec00e32a8dfd)
        ("go-github-com-google-go-cmp-0.3.1"
         ,go-github-com-google-go-cmp-0.3.1)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-github-com-google-go-cmp-0.3.1
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.3.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1caw49i0plkjxir7kdf5qhwls3krqwfmi7g4h392rdfwi3kfahx1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-0.0.0-20200221191635-4d8936d0db64
  (package
    (name "go-google-golang-org-protobuf")
    (version "0.0.0-20200221191635-4d8936d0db64")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0563bsvdjj6k0sgwqd5yzrgfiax7sp3lcwh608gync5sv9fx39cy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.3.1"
         ,go-github-com-google-go-cmp-0.3.1)
        ("go-github-com-golang-protobuf-1.4.0-rc.1"
         ,go-github-com-golang-protobuf-1.4.0-rc.1)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0-rc.1.0.20200221234624-67d41d38c208
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0-rc.1.0.20200221234624-67d41d38c208")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ykxhg3zixmw25pd435f8h16wnz1g00jpcmmg3xl030kksgqgpp6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-0.0.0-20200221191635-4d8936d0db64"
         ,go-google-golang-org-protobuf-0.0.0-20200221191635-4d8936d0db64)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-0.0.0-20200228230310-ab0ca4ff8a60
  (package
    (name "go-google-golang-org-protobuf")
    (version "0.0.0-20200228230310-ab0ca4ff8a60")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1rinspcznfp85yz4vrlf4h38hr576virgv8lcs22bsylqga808sd"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0-rc.1.0.20200221234624-67d41d38c208"
         ,go-github-com-golang-protobuf-1.4.0-rc.1.0.20200221234624-67d41d38c208)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0-rc.2
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0-rc.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1hd43hjv5zl6bjbmhm5phx74bw4xajsi73m5zky2k56za4mpgzzc"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-0.0.0-20200228230310-ab0ca4ff8a60"
         ,go-google-golang-org-protobuf-0.0.0-20200228230310-ab0ca4ff8a60)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-1.20.1-0.20200309200217-e05f789c0967
  (package
    (name "go-google-golang-org-protobuf")
    (version "1.20.1-0.20200309200217-e05f789c0967")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "17wmy89hnmpkwc63rfcjp50q15s9f1rhmczg06c3z9yy41zk82w9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0-rc.2"
         ,go-github-com-golang-protobuf-1.4.0-rc.2)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0-rc.4.0.20200313231945-b860323f09d0
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0-rc.4.0.20200313231945-b860323f09d0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1zj6cwshx0l5n9cn2cpbikzzb79px5dmkpc4p19zy1iif5r5p0z0"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-1.20.1-0.20200309200217-e05f789c0967"
         ,go-google-golang-org-protobuf-1.20.1-0.20200309200217-e05f789c0967)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-1.21.0
  (package
    (name "go-google-golang-org-protobuf")
    (version "1.21.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "12bwln8z1lf9105gdp6ip0rx741i4yfz1520gxnp8861lh9wcl63"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0-rc.4.0.20200313231945-b860323f09d0"
         ,go-github-com-golang-protobuf-1.4.0-rc.4.0.20200313231945-b860323f09d0)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-github-com-golang-protobuf-1.4.0
  (package
    (name "go-github-com-golang-protobuf")
    (version "1.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/golang/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1fjvl5n77abxz5qsd4mgyvjq19x43c5bfvmq62mq3m5plx6zksc8"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/golang/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-protobuf-1.21.0"
         ,go-google-golang-org-protobuf-1.21.0)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)))
    (home-page "https://github.com/golang/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This module (@url{https://pkg.go.dev/mod/github.com/golang/protobuf,(code
github.com/golang/protobuf)}) contains Go bindings for protocol buffers.")
    (license license:bsd-3)))

(define-public go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20191204190536-9bdfabe68543")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yjfi1bk9xb81lqn85nnm13zz725wazvrx3b50hx19qmwg7a4b0c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-github-com-google-go-cmp-0.4.0
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1x5pvl3fb5sbyng7i34431xycnhmx8xx94gq2n19g6p0vz68z2v2"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543"
         ,go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543)))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-google-golang-org-protobuf-1.23.1-0.20200526195155-81db48ad09cc
  (package
    (name "go-google-golang-org-protobuf")
    (version "1.23.1-0.20200526195155-81db48ad09cc")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "02cpr8rqr5wmpj2fqb32mzilsdnxkh52g1jz95a3ck3gzffc7hh1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.0"
         ,go-github-com-golang-protobuf-1.4.0)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-honnef-co-go-tools-0.0.0-20190523083050-ea95bdfd59fc
  (package
    (name "go-honnef-co-go-tools")
    (version "0.0.0-20190523083050-ea95bdfd59fc")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/dominikh/go-tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1763nw7pwpzkvzfnm63dgzcgbq9hwmq5l1nffchnhh77vgkaq4ic"))))
    (build-system go-build-system)
    (arguments '(#:import-path "honnef.co/go/tools"))
    (home-page "https://honnef.co/go/tools")
    (synopsis "Documentation")
    (description
      "Staticcheck is a state of the art linter for the .  Using static analysis, it
finds bugs and performance issues, offers simplifications, and enforces style
rules.")
    (license license:expat)))

(define-public go-google-golang-org-genproto-0.0.0-20200526211855-cb27e3aa2013
  (package
    (name "go-google-golang-org-genproto")
    (version "0.0.0-20200526211855-cb27e3aa2013")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/googleapis/go-genproto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ml73ghqcwbz7ipfk8fnxb5indcml49b5p7vp1fsyny0abyyrmxf"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/genproto"))
    (propagated-inputs
      `(("go-honnef-co-go-tools-0.0.0-20190523083050-ea95bdfd59fc"
         ,go-honnef-co-go-tools-0.0.0-20190523083050-ea95bdfd59fc)
        ("go-google-golang-org-protobuf-1.23.1-0.20200526195155-81db48ad09cc"
         ,go-google-golang-org-protobuf-1.23.1-0.20200526195155-81db48ad09cc)
        ("go-google-golang-org-grpc-1.27.0" ,go-google-golang-org-grpc-1.27.0)
        ("go-golang-org-x-tools-0.0.0-20190524140312-2c0ae7006135"
         ,go-golang-org-x-tools-0.0.0-20190524140312-2c0ae7006135)
        ("go-golang-org-x-lint-0.0.0-20190313153728-d0100b6bd8b3"
         ,go-golang-org-x-lint-0.0.0-20190313153728-d0100b6bd8b3)
        ("go-github-com-golang-protobuf-1.4.1"
         ,go-github-com-golang-protobuf-1.4.1)))
    (home-page "https://google.golang.org/genproto")
    (synopsis "Go generated proto packages")
    (description
      "This repository contains the generated Go packages for common protocol buffer
types, and the generated @url{http://grpc.io,gRPC} code necessary for
interacting with Google's gRPC APIs.")
    (license license:asl2.0)))

(define-public go-google-golang-org-protobuf-1.24.0
  (package
    (name "go-google-golang-org-protobuf")
    (version "1.24.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/protobuf")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0x3qyn3rizbs671gs7f8v50rmiwf9h7kbaradpivw9718mhbg1gn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "google.golang.org/protobuf"))
    (propagated-inputs
      `(("go-google-golang-org-genproto-0.0.0-20200526211855-cb27e3aa2013"
         ,go-google-golang-org-genproto-0.0.0-20200526211855-cb27e3aa2013)
        ("go-github-com-google-go-cmp-0.4.0"
         ,go-github-com-google-go-cmp-0.4.0)
        ("go-github-com-golang-protobuf-1.4.1"
         ,go-github-com-golang-protobuf-1.4.1)))
    (home-page "https://google.golang.org/protobuf")
    (synopsis "Go support for Protocol Buffers")
    (description
      "This project hosts the Go implementation for
@url{https://developers.google.com/protocol-buffers,protocol buffers}, which is
a language-neutral, platform-neutral, extensible mechanism for serializing
structured data.  The protocol buffer language is a language for specifying the
schema for structured data.  This schema is compiled into language specific
bindings.  This project provides both a tool to generate Go code for the
protocol buffer language, and also the runtime implementation to handle
serialization of messages in Go.  See the
@url{https://developers.google.com/protocol-buffers/docs/overview,protocol
buffer developer guide} for more information about protocol buffers themselves.")
    (license license:bsd-3)))

(define-public go-gopkg-in-check-v1-1.0.0-20200227125254-8fa46927fb4f
  (package
    (name "go-gopkg-in-check-v1")
    (version "1.0.0-20200227125254-8fa46927fb4f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0fx03x0nx9mjwnqphnx852q9p76qg7cazrachvgr1bj357lplrcw"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405
  (package
    (name "go-gopkg-in-check-v1")
    (version "0.0.0-20161208181325-20d25e280405")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k1m83ji9l1a7ng8a7v40psbymxasmssbrrhpdv2wl4rhs0nc3np"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-yaml-v3-3.0.0-20200615113413-eeeca48fe776
  (package
    (name "go-gopkg-in-yaml-v3")
    (version "3.0.0-20200615113413-eeeca48fe776")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v3")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "06m3kx5mp6vwfcpjl04c39r1dpbakg2la9ql1jw3zvpi6jk7iwbk"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v3" #:unpack-path "gopkg.in/yaml.v3"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v3")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:expat)))

(define-public go-github-com-opencontainers-umoci-0.4.7
  (package
    (name "go-github-com-opencontainers-umoci")
    (version "0.4.7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/umoci")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0in8kyi4jprvbm3zsl3risbjj8b0ma62yl3rq8rcvcgypx0mn7d4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/umoci"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v3-3.0.0-20200615113413-eeeca48fe776"
         ,go-gopkg-in-yaml-v3-3.0.0-20200615113413-eeeca48fe776)
        ("go-gopkg-in-check-v1-1.0.0-20200227125254-8fa46927fb4f"
         ,go-gopkg-in-check-v1-1.0.0-20200227125254-8fa46927fb4f)
        ("go-google-golang-org-protobuf-1.24.0"
         ,go-google-golang-org-protobuf-1.24.0)
        ("go-golang-org-x-sys-0.0.0-20200622214017-ed371f2e16b4"
         ,go-golang-org-x-sys-0.0.0-20200622214017-ed371f2e16b4)
        ("go-golang-org-x-crypto-0.0.0-20200604202706-70a84ac30bf9"
         ,go-golang-org-x-crypto-0.0.0-20200604202706-70a84ac30bf9)
        ("go-github-com-vbatts-go-mtree-0.5.0"
         ,go-github-com-vbatts-go-mtree-0.5.0)
        ("go-github-com-urfave-cli-1.22.4" ,go-github-com-urfave-cli-1.22.4)
        ("go-github-com-tj-assert-0.0.3" ,go-github-com-tj-assert-0.0.3)
        ("go-github-com-stretchr-testify-1.6.1"
         ,go-github-com-stretchr-testify-1.6.1)
        ("go-github-com-sirupsen-logrus-1.6.0"
         ,go-github-com-sirupsen-logrus-1.6.0)
        ("go-github-com-rootless-containers-proto-0.1.0"
         ,go-github-com-rootless-containers-proto-0.1.0)
        ("go-github-com-pkg-errors-0.9.1" ,go-github-com-pkg-errors-0.9.1)
        ("go-github-com-opencontainers-runtime-spec-1.0.2"
         ,go-github-com-opencontainers-runtime-spec-1.0.2)
        ("go-github-com-opencontainers-runc-1.0.0-rc90"
         ,go-github-com-opencontainers-runc-1.0.0-rc90)
        ("go-github-com-opencontainers-image-spec-1.0.1"
         ,go-github-com-opencontainers-image-spec-1.0.1)
        ("go-github-com-opencontainers-go-digest-1.0.0"
         ,go-github-com-opencontainers-go-digest-1.0.0)
        ("go-github-com-niemeyer-pretty-0.0.0-20200227124842-a10e7caefd8e"
         ,go-github-com-niemeyer-pretty-0.0.0-20200227124842-a10e7caefd8e)
        ("go-github-com-mohae-deepcopy-0.0.0-20170929034955-c48cc78d4826"
         ,go-github-com-mohae-deepcopy-0.0.0-20170929034955-c48cc78d4826)
        ("go-github-com-mattn-go-colorable-0.1.6"
         ,go-github-com-mattn-go-colorable-0.1.6)
        ("go-github-com-kr-text-0.2.0" ,go-github-com-kr-text-0.2.0)
        ("go-github-com-klauspost-pgzip-1.2.4"
         ,go-github-com-klauspost-pgzip-1.2.4)
        ("go-github-com-klauspost-compress-1.11.3"
         ,go-github-com-klauspost-compress-1.11.3)
        ("go-github-com-google-go-cmp-0.5.0"
         ,go-github-com-google-go-cmp-0.5.0)
        ("go-github-com-golang-protobuf-1.4.2"
         ,go-github-com-golang-protobuf-1.4.2)
        ("go-github-com-docker-go-units-0.4.0"
         ,go-github-com-docker-go-units-0.4.0)
        ("go-github-com-cyphar-filepath-securejoin-0.2.2"
         ,go-github-com-cyphar-filepath-securejoin-0.2.2)
        ("go-github-com-cpuguy83-go-md2man-v2-2.0.0"
         ,go-github-com-cpuguy83-go-md2man-v2-2.0.0)
        ("go-github-com-apex-log-1.4.0" ,go-github-com-apex-log-1.4.0)
        ("go-github-com-adamkorcz-go-fuzz-headers-0.0.0-20210312213058-32f4d319f0d2"
         ,go-github-com-adamkorcz-go-fuzz-headers-0.0.0-20210312213058-32f4d319f0d2)))
    (home-page "https://github.com/opencontainers/umoci")
    (synopsis "Install")
    (description
      "@strong{u}moci @strong{m}odifies @strong{O}pen @strong{C}ontainer
@strong{i}mages.")
    (license license:asl2.0)))

(define-public go-github-com-pelletier-go-toml-1.9.4
  (package
    (name "go-github-com-pelletier-go-toml")
    (version "1.9.4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pelletier/go-toml")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0f2d9m19dadl18i2baf57xygvn9vprm6wb8chvpx8kipx94nchyl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pelletier/go-toml"))
    (home-page "https://github.com/pelletier/go-toml")
    (synopsis "go-toml")
    (description "Package toml is a TOML parser and manipulation library.")
    (license license:expat)))

(define-public go-github-com-pkg-errors-0.9.1
  (package
    (name "go-github-com-pkg-errors")
    (version "0.9.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pkg/errors")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1761pybhc2kqr6v5fm8faj08x9bql8427yqg6vnfv6nhrasx1mwq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pkg/errors"))
    (home-page "https://github.com/pkg/errors")
    (synopsis "errors")
    (description "Package errors provides simple error handling primitives.")
    (license license:bsd-2)))

(define-public go-github-com-blang-semver-3.5.1+incompatible
  (package
    (name "go-github-com-blang-semver")
    (version "3.5.1+incompatible")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/blang/semver")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "13ws259bwcibkclbr82ilhk6zadm63kxklxhk12wayklj8ghhsmy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/blang/semver"))
    (home-page "https://github.com/blang/semver")
    (synopsis "semver for golang")
    (description
      "semver is a @url{http://semver.org/,Semantic Versioning} library written in
golang.  It fully covers spec version @code{2.0.0}.")
    (license license:expat)))

(define-public go-github-com-hashicorp-errwrap-1.0.0
  (package
    (name "go-github-com-hashicorp-errwrap")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/hashicorp/errwrap")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0slfb6w3b61xz04r32bi0a1bygc82rjzhqkxj2si2074wynqnr1c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/hashicorp/errwrap"))
    (home-page "https://github.com/hashicorp/errwrap")
    (synopsis "errwrap")
    (description
      "Package errwrap implements methods to formalize error wrapping in Go.")
    (license license:mpl2.0)))

(define-public go-github-com-hashicorp-go-multierror-1.1.0
  (package
    (name "go-github-com-hashicorp-go-multierror")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/hashicorp/go-multierror")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0pmjpzpra7lqgikxzwlcp5mh01b46j2vhyxkixz0v86fr9kf0k3k"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/hashicorp/go-multierror"))
    (propagated-inputs
      `(("go-github-com-hashicorp-errwrap-1.0.0"
         ,go-github-com-hashicorp-errwrap-1.0.0)))
    (home-page "https://github.com/hashicorp/go-multierror")
    (synopsis "go-multierror")
    (description
      "@code{go-multierror} is a package for Go that provides a mechanism for
representing a list of @code{error} values as a single @code{error}.")
    (license license:mpl2.0)))

(define-public go-github-com-opencontainers-runtime-spec-1.0.3-0.20200710190001-3e4195d92445
  (package
    (name "go-github-com-opencontainers-runtime-spec")
    (version "1.0.3-0.20200710190001-3e4195d92445")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/runtime-spec")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "04kfdbap80r89rn7f7xcmkyy0qbpd18dgk65bzapy0x0calpgrlk"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/runtime-spec"))
    (home-page "https://github.com/opencontainers/runtime-spec")
    (synopsis "Open Container Initiative Runtime Specification")
    (description
      "The @url{https://www.opencontainers.org,Open Container Initiative} develops
specifications for standards on Operating System process and application
containers.")
    (license license:asl2.0)))

(define-public go-github-com-opencontainers-runtime-tools-0.9.0
  (package
    (name "go-github-com-opencontainers-runtime-tools")
    (version "0.9.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/runtime-tools")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1pli3jb1rq9lkzzz83f7jw788vijg7x6ly3vgasdlwri7kiph1sa"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/runtime-tools"))
    (home-page "https://github.com/opencontainers/runtime-tools")
    (synopsis "oci-runtime-tool")
    (description
      "oci-runtime-tool is a collection of tools for working with the
@url{https://github.com/opencontainers/runtime-spec,OCI runtime specification}.
To build from source code, runtime-tools requires Go 1.10.x or above.")
    (license license:asl2.0)))

(define-public go-github-com-pkg-errors-0.9.1
  (package
    (name "go-github-com-pkg-errors")
    (version "0.9.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pkg/errors")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1761pybhc2kqr6v5fm8faj08x9bql8427yqg6vnfv6nhrasx1mwq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pkg/errors"))
    (home-page "https://github.com/pkg/errors")
    (synopsis "errors")
    (description "Package errors provides simple error handling primitives.")
    (license license:bsd-2)))

(define-public go-github-com-willf-bitset-1.1.11-0.20200630133818-d5bec3311243
  (package
    (name "go-github-com-willf-bitset")
    (version "1.1.11-0.20200630133818-d5bec3311243")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/bits-and-blooms/bitset")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "05nyd0vhp2h9hbqlv2s9l2py6mr8hpz2zyfj09an1q7wd8vph4ja"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/willf/bitset"))
    (home-page "https://github.com/willf/bitset")
    (synopsis "bitset")
    (description
      "Package bitset implements bitsets, a mapping between non-negative integers and
boolean values.  It should be more efficient than map[uint] bool.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20191115151921-52ab43148777
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20191115151921-52ab43148777")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1kakxbqrb1w2vwg7r1896z68qcx2lfvimsl8cs2niiipbgpi6imx"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-opencontainers-selinux-1.6.0
  (package
    (name "go-github-com-opencontainers-selinux")
    (version "1.6.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/selinux")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ja41zfgrkhk5khixjnxpi1b85xfcxlkhq2q9b7ma6xjfdhg8bq2"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/selinux"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20191115151921-52ab43148777"
         ,go-golang-org-x-sys-0.0.0-20191115151921-52ab43148777)
        ("go-github-com-willf-bitset-1.1.11-0.20200630133818-d5bec3311243"
         ,go-github-com-willf-bitset-1.1.11-0.20200630133818-d5bec3311243)
        ("go-github-com-pkg-errors-0.9.1" ,go-github-com-pkg-errors-0.9.1)))
    (home-page "https://github.com/opencontainers/selinux")
    (synopsis "selinux")
    (description "Common SELinux package used across the container ecosystem.")
    (license license:asl2.0)))

(define-public go-github-com-seccomp-libseccomp-golang-0.9.1
  (package
    (name "go-github-com-seccomp-libseccomp-golang")
    (version "0.9.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/seccomp/libseccomp-golang")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "022c8prvxz0shrifams7lq4xidvkcqg9xi87wjjcpmbikqi72cna"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/seccomp/libseccomp-golang"))
    (home-page "https://github.com/seccomp/libseccomp-golang")
    (synopsis #f)
    (description
      "Package seccomp provides bindings for libseccomp, a library wrapping the Linux
seccomp syscall.  Seccomp enables an application to restrict system call use for
itself and its children.")
    (license license:bsd-2)))

(define-public go-github-com-davecgh-go-spew-1.1.1
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hka6hmyvp701adzag2g26cxdj47g21x6jz4sc6jjz1mn59d474y"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-konsorten-go-windows-terminal-sequences-1.0.3
  (package
    (name "go-github-com-konsorten-go-windows-terminal-sequences")
    (version "1.0.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/konsorten/go-windows-terminal-sequences")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yrsd4s8vhjnxhwbigirymz89dn6qfjnhn28i33vvvdgf96j6ypl"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "github.com/konsorten/go-windows-terminal-sequences"))
    (home-page "https://github.com/konsorten/go-windows-terminal-sequences")
    (synopsis "Windows Terminal Sequences")
    (description
      "This library allow for enabling Windows terminal color support for Go.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.2.2
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0dlszlshlxbmmfxj5hlwgv3r22x0y1af45gn1vd198nvvs3pnvfs"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20190422165155-953cdadca894
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190422165155-953cdadca894")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0gkha4whk8xkcv3isigbs250akag99isxnd3v9xmy0kl3g88hxy1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-sirupsen-logrus-1.6.0
  (package
    (name "go-github-com-sirupsen-logrus")
    (version "1.6.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sirupsen/logrus")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1zf9is1yxxnna0d1pyag2m9ziy3l27zb2j92p9msm1gx5jjrvzzj"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sirupsen/logrus"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190422165155-953cdadca894"
         ,go-golang-org-x-sys-0.0.0-20190422165155-953cdadca894)
        ("go-github-com-stretchr-testify-1.2.2"
         ,go-github-com-stretchr-testify-1.2.2)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-konsorten-go-windows-terminal-sequences-1.0.3"
         ,go-github-com-konsorten-go-windows-terminal-sequences-1.0.3)
        ("go-github-com-davecgh-go-spew-1.1.1"
         ,go-github-com-davecgh-go-spew-1.1.1)))
    (home-page "https://github.com/sirupsen/logrus")
    (synopsis "Logrus")
    (description
      "Package logrus is a structured logger for Go, completely API compatible with the
standard library logger.")
    (license license:expat)))

(define-public go-github-com-syndtr-gocapability-0.0.0-20180916011248-d98352740cb2
  (package
    (name "go-github-com-syndtr-gocapability")
    (version "0.0.0-20180916011248-d98352740cb2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/syndtr/gocapability")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "065y16562ynixxzj7iys4f4spb7knilbj3h833qlhds381j8hn93"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/syndtr/gocapability"))
    (home-page "https://github.com/syndtr/gocapability")
    (synopsis #f)
    (description #f)
    (license license:bsd-2)))

(define-public go-github-com-davecgh-go-spew-1.1.0
  (package
    (name "go-github-com-davecgh-go-spew")
    (version "1.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/davecgh/go-spew")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0d4jfmak5p6lb7n2r6yvf5p1zcw0l8j74kn55ghvr7zr7b7axm6c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/davecgh/go-spew"))
    (home-page "https://github.com/davecgh/go-spew")
    (synopsis "go-spew")
    (description
      "Go-spew implements a deep pretty printer for Go data structures to aid in
debugging.  A comprehensive suite of tests with 100% test coverage is provided
to ensure proper functionality.  See @code{test_coverage.txt} for the gocov
coverage report.  Go-spew is licensed under the liberal ISC license, so it may
be used in open source or commercial projects.")
    (license license:isc)))

(define-public go-github-com-pmezard-go-difflib-1.0.0
  (package
    (name "go-github-com-pmezard-go-difflib")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pmezard/go-difflib")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0c1cn55m4rypmscgf0rrb88pn58j3ysvc2d0432dp3c6fqg6cnzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pmezard/go-difflib"))
    (home-page "https://github.com/pmezard/go-difflib")
    (synopsis "go-difflib")
    (description
      "Go-difflib is a partial port of python 3 difflib package.  Its main goal was to
make unified and context diff available in pure Go, mostly for testing purposes.")
    (license license:bsd-3)))

(define-public go-github-com-stretchr-objx-0.1.0
  (package
    (name "go-github-com-stretchr-objx")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/objx")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19ynspzjdynbi85xw06mh8ad5j0qa1vryvxjgvbnyrr8rbm4vd8w"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/objx"))
    (home-page "https://github.com/stretchr/objx")
    (synopsis "Objx")
    (description
      "Objx - Go package for dealing with maps, slices, JSON and other data.")
    (license license:expat)))

(define-public go-github-com-stretchr-testify-1.3.0
  (package
    (name "go-github-com-stretchr-testify")
    (version "1.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/stretchr/testify")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0wjchp2c8xbgcbbq32w3kvblk6q6yn533g78nxl6iskq6y95lxsy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/stretchr/testify"))
    (propagated-inputs
      `(("go-github-com-stretchr-objx-0.1.0"
         ,go-github-com-stretchr-objx-0.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-davecgh-go-spew-1.1.0"
         ,go-github-com-davecgh-go-spew-1.1.0)))
    (home-page "https://github.com/stretchr/testify")
    (synopsis "Testify - Thou Shalt Write Tests")
    (description
      "** We are working on testify v2 and would love to hear what you'd like to see in
it, have your say here: @url{https://cutt.ly/testify,https://cutt.ly/testify} **
Package testify is a set of packages that provide many tools for testifying that
your code will behave as you intend.")
    (license license:expat)))

(define-public go-github-com-xeipuuv-gojsonpointer-0.0.0-20180127040702-4e3ac2762d5f
  (package
    (name "go-github-com-xeipuuv-gojsonpointer")
    (version "0.0.0-20180127040702-4e3ac2762d5f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/xeipuuv/gojsonpointer")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "13y6iq2nzf9z4ls66bfgnnamj2m3438absmbpqry64bpwjfbsi9q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/xeipuuv/gojsonpointer"))
    (home-page "https://github.com/xeipuuv/gojsonpointer")
    (synopsis "gojsonpointer")
    (description "An implementation of JSON Pointer - Go language")
    (license license:asl2.0)))

(define-public go-github-com-xeipuuv-gojsonreference-0.0.0-20180127040603-bd5ef7bd5415
  (package
    (name "go-github-com-xeipuuv-gojsonreference")
    (version "0.0.0-20180127040603-bd5ef7bd5415")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/xeipuuv/gojsonreference")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1xby79padc7bmyb8rfbad8wfnfdzpnh51b1n8c0kibch0kwc1db5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/xeipuuv/gojsonreference"))
    (home-page "https://github.com/xeipuuv/gojsonreference")
    (synopsis "gojsonreference")
    (description "An implementation of JSON Reference - Go language")
    (license license:asl2.0)))

(define-public go-github-com-xeipuuv-gojsonschema-1.2.0
  (package
    (name "go-github-com-xeipuuv-gojsonschema")
    (version "1.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/xeipuuv/gojsonschema")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1mqiq0r8qw4qlfp3ls8073r6514rmzwrmdn4j33rppk3zh942i6l"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/xeipuuv/gojsonschema"))
    (propagated-inputs
      `(("go-github-com-xeipuuv-gojsonreference-0.0.0-20180127040603-bd5ef7bd5415"
         ,go-github-com-xeipuuv-gojsonreference-0.0.0-20180127040603-bd5ef7bd5415)
        ("go-github-com-xeipuuv-gojsonpointer-0.0.0-20180127040702-4e3ac2762d5f"
         ,go-github-com-xeipuuv-gojsonpointer-0.0.0-20180127040702-4e3ac2762d5f)
        ("go-github-com-stretchr-testify-1.3.0"
         ,go-github-com-stretchr-testify-1.3.0)))
    (home-page "https://github.com/xeipuuv/gojsonschema")
    (synopsis "gojsonschema")
    (description
      "An implementation of JSON Schema for the Go  programming language.  Supports
draft-04, draft-06 and draft-07.")
    (license license:asl2.0)))

(define-public go-golang-org-x-sys-0.0.0-20200720211630-cb9d2d5c5666
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200720211630-cb9d2d5c5666")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18b1179cvv3rfn3hhysiqwcn2c15a1kzff74q4494rz69k0j7w4q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-seccomp-containers-golang-0.6.0
  (package
    (name "go-github-com-seccomp-containers-golang")
    (version "0.6.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/seccomp/containers-golang")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0clrwdnmr131a65h66br57bsnr17i1s3kq9cc7ljrdaym57y6cfz"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/seccomp/containers-golang"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20200720211630-cb9d2d5c5666"
         ,go-golang-org-x-sys-0.0.0-20200720211630-cb9d2d5c5666)
        ("go-github-com-xeipuuv-gojsonschema-1.2.0"
         ,go-github-com-xeipuuv-gojsonschema-1.2.0)
        ("go-github-com-syndtr-gocapability-0.0.0-20180916011248-d98352740cb2"
         ,go-github-com-syndtr-gocapability-0.0.0-20180916011248-d98352740cb2)
        ("go-github-com-sirupsen-logrus-1.6.0"
         ,go-github-com-sirupsen-logrus-1.6.0)
        ("go-github-com-seccomp-libseccomp-golang-0.9.1"
         ,go-github-com-seccomp-libseccomp-golang-0.9.1)
        ("go-github-com-opencontainers-selinux-1.6.0"
         ,go-github-com-opencontainers-selinux-1.6.0)
        ("go-github-com-opencontainers-runtime-tools-0.9.0"
         ,go-github-com-opencontainers-runtime-tools-0.9.0)
        ("go-github-com-opencontainers-runtime-spec-1.0.3-0.20200710190001-3e4195d92445"
         ,go-github-com-opencontainers-runtime-spec-1.0.3-0.20200710190001-3e4195d92445)
        ("go-github-com-hashicorp-go-multierror-1.1.0"
         ,go-github-com-hashicorp-go-multierror-1.1.0)
        ("go-github-com-blang-semver-3.5.1+incompatible"
         ,go-github-com-blang-semver-3.5.1+incompatible)))
    (home-page "https://github.com/seccomp/containers-golang")
    (synopsis "containers-golang")
    (description
      "@code{containers-golang} is a set of Go libraries used by container runtimes to
generate and load seccomp mappings into the kernel.")
    (license license:asl2.0)))

(define-public go-github-com-seccomp-libseccomp-golang-0.9.2-0.20210429002308-3879420cc921
  (package
    (name "go-github-com-seccomp-libseccomp-golang")
    (version "0.9.2-0.20210429002308-3879420cc921")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/seccomp/libseccomp-golang")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ypr3j50cd9lnj9szfyh45kh0cf7swm7cv2svz1575mldd9m1xr9"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/seccomp/libseccomp-golang"))
    (home-page "https://github.com/seccomp/libseccomp-golang")
    (synopsis #f)
    (description
      "Package seccomp provides bindings for libseccomp, a library wrapping the Linux
seccomp syscall.  Seccomp enables an application to restrict system call use for
itself and its children.")
    (license license:bsd-2)))

(define-public go-github-com-spf13-pflag-1.0.5
  (package
    (name "go-github-com-spf13-pflag")
    (version "1.0.5")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/spf13/pflag")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0gpmacngd0gpslnbkzi263f5ishigzgh6pbdv9hp092rnjl4nd31"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/spf13/pflag"))
    (home-page "https://github.com/spf13/pflag")
    (synopsis "Description")
    (description
      "Package pflag is a drop-in replacement for Go's flag package, implementing
POSIX/GNU-style --flags.")
    (license license:bsd-3)))

(define-public go-github-com-sylabs-json-resp-0.8.0
  (package
    (name "go-github-com-sylabs-json-resp")
    (version "0.8.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/sylabs/json-resp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ygr4mavaj1pp78hkkphhn3ydd923n3klwnx8x7v4ajqzx4cx4id"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/sylabs/json-resp"))
    (home-page "https://github.com/sylabs/json-resp")
    (synopsis "JSON Response")
    (description
      "The @code{json-resp} package contains a small set of functions that are used to
marshall and unmarshall response data and errors in JSON format.")
    (license license:bsd-3)))

(define-public go-github-com-burntsushi-toml-0.3.1
  (package
    (name "go-github-com-burntsushi-toml")
    (version "0.3.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/BurntSushi/toml")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1fjdwwfzyzllgiwydknf1pwjvy49qxfsczqx5gz3y0izs7as99j6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/BurntSushi/toml"))
    (home-page "https://github.com/BurntSushi/toml")
    (synopsis "Testing")
    (description
      "Package toml implements decoding and encoding of TOML files.")
    (license license:expat)))

(define-public go-github-com-pmezard-go-difflib-1.0.0
  (package
    (name "go-github-com-pmezard-go-difflib")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pmezard/go-difflib")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0c1cn55m4rypmscgf0rrb88pn58j3ysvc2d0432dp3c6fqg6cnzw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pmezard/go-difflib"))
    (home-page "https://github.com/pmezard/go-difflib")
    (synopsis "go-difflib")
    (description
      "Go-difflib is a partial port of python 3 difflib package.  Its main goal was to
make unified and context diff available in pure Go, mostly for testing purposes.")
    (license license:bsd-3)))

(define-public go-github-com-russross-blackfriday-v2-2.0.1
  (package
    (name "go-github-com-russross-blackfriday-v2")
    (version "2.0.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/russross/blackfriday")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0nlz7isdd4rgnwzs68499hlwicxz34j2k2a0b8jy0y7ycd2bcr5j"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/russross/blackfriday/v2"))
    (home-page "https://github.com/russross/blackfriday")
    (synopsis "Blackfriday")
    (description "Package blackfriday is a markdown processor.")
    (license license:bsd-2)))

(define-public go-github-com-shurcool-sanitized-anchor-name-1.0.0
  (package
    (name "go-github-com-shurcool-sanitized-anchor-name")
    (version "1.0.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/shurcooL/sanitized_anchor_name")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1gv9p2nr46z80dnfjsklc6zxbgk96349sdsxjz05f3z6wb6m5l8f"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/shurcooL/sanitized_anchor_name"))
    (home-page "https://github.com/shurcooL/sanitized_anchor_name")
    (synopsis "sanitized_anchor_name")
    (description
      "Package sanitized_anchor_name provides a func to create sanitized anchor names.")
    (license license:expat)))

(define-public go-github-com-cpuguy83-go-md2man-v2-2.0.0-20190314233015-f79a8a8ca69d
  (package
    (name "go-github-com-cpuguy83-go-md2man-v2")
    (version "2.0.0-20190314233015-f79a8a8ca69d")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/cpuguy83/go-md2man")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r1f7v475dxxgzqci1mxfliwadcrk86ippflx9n411325l4g3ghv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/cpuguy83/go-md2man/v2"))
    (propagated-inputs
      `(("go-github-com-shurcool-sanitized-anchor-name-1.0.0"
         ,go-github-com-shurcool-sanitized-anchor-name-1.0.0)
        ("go-github-com-russross-blackfriday-v2-2.0.1"
         ,go-github-com-russross-blackfriday-v2-2.0.1)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)))
    (home-page "https://github.com/cpuguy83/go-md2man")
    (synopsis "go-md2man")
    (description "Converts markdown into roff (man pages).")
    (license license:expat)))

(define-public go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405
  (package
    (name "go-gopkg-in-check-v1")
    (version "0.0.0-20161208181325-20d25e280405")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k1m83ji9l1a7ng8a7v40psbymxasmssbrrhpdv2wl4rhs0nc3np"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-yaml-v2-2.2.2
  (package
    (name "go-gopkg-in-yaml-v2")
    (version "2.2.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "01wj12jzsdqlnidpyjssmj0r4yavlqy7dwrg7adqd8dicjc4ncsa"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v2" #:unpack-path "gopkg.in/yaml.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v2")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:asl2.0)))

(define-public go-github-com-urfave-cli-1.22.5
  (package
    (name "go-github-com-urfave-cli")
    (version "1.22.5")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/urfave/cli")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1n8lk58j7bdsp47yh5bcpsw38lhkbyzcy3203ffkawc2rvkf1pp7"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/urfave/cli"))
    (propagated-inputs
      `(("go-gopkg-in-yaml-v2-2.2.2" ,go-gopkg-in-yaml-v2-2.2.2)
        ("go-github-com-cpuguy83-go-md2man-v2-2.0.0-20190314233015-f79a8a8ca69d"
         ,go-github-com-cpuguy83-go-md2man-v2-2.0.0-20190314233015-f79a8a8ca69d)
        ("go-github-com-burntsushi-toml-0.3.1"
         ,go-github-com-burntsushi-toml-0.3.1)))
    (home-page "https://github.com/urfave/cli")
    (synopsis "cli")
    (description
      "Package cli provides a minimal framework for creating and organizing command
line Go applications.  cli is designed to be easy to understand and write, the
most simple cli application can be written as follows:")
    (license license:expat)))

(define-public go-github-com-vividcortex-ewma-1.2.0
  (package
    (name "go-github-com-vividcortex-ewma")
    (version "1.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/VividCortex/ewma")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0whx516l9nm4n41spagb605ry7kfnz1qha96mcshnfjlahhnnylq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/VividCortex/ewma"))
    (home-page "https://github.com/VividCortex/ewma")
    (synopsis "EWMA")
    (description
      "Package ewma implements exponentially weighted moving averages.")
    (license license:expat)))

(define-public go-github-com-acarl005-stripansi-0.0.0-20180116102854-5a71ef0e047d
  (package
    (name "go-github-com-acarl005-stripansi")
    (version "0.0.0-20180116102854-5a71ef0e047d")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/acarl005/stripansi")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "02sxiishdixm791jqbkmhdcvc712l0fb8rqmibxzgc61h0qs6rs3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/acarl005/stripansi"))
    (home-page "https://github.com/acarl005/stripansi")
    (synopsis "Strip ANSI")
    (description "This Go package removes ANSI escape codes from strings.")
    (license license:expat)))

(define-public go-github-com-rivo-uniseg-0.2.0
  (package
    (name "go-github-com-rivo-uniseg")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/rivo/uniseg")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0j7h22vfmjj562vr8gpsyrkrwp1pq9ayh5fylv24skxb467g9f0q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/rivo/uniseg"))
    (home-page "https://github.com/rivo/uniseg")
    (synopsis "Unicode Text Segmentation for Go")
    (description
      "Package uniseg implements Unicode Text Segmentation according to Unicode
Standard Annex #29
(@url{http://unicode.org/reports/tr29/,http://unicode.org/reports/tr29/}).")
    (license license:expat)))

(define-public go-github-com-mattn-go-runewidth-0.0.13
  (package
    (name "go-github-com-mattn-go-runewidth")
    (version "0.0.13")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mattn/go-runewidth")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yir0f3wc5z5hnkwhvx5qb6nmpfb05zp2gvfjvna63s8kmla1rrn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/mattn/go-runewidth"))
    (propagated-inputs
      `(("go-github-com-rivo-uniseg-0.2.0" ,go-github-com-rivo-uniseg-0.2.0)))
    (home-page "https://github.com/mattn/go-runewidth")
    (synopsis "go-runewidth")
    (description
      "This package provides functions to get fixed width of the character or string.")
    (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20220209214540-3681064d5158
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20220209214540-3681064d5158")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0cw9rzb4rxmr2si28pjqx3wv5r119c83kd08yy1h7nf725bzrs89"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-github-com-vbauerster-mpb-v7-7.4.1
  (package
    (name "go-github-com-vbauerster-mpb-v7")
    (version "7.4.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/vbauerster/mpb")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ii1r84qjfp2spvj6nb8xy5b3nsfw17jmwgp55zkaz9n9lfj75w2"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/vbauerster/mpb/v7"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20220209214540-3681064d5158"
         ,go-golang-org-x-sys-0.0.0-20220209214540-3681064d5158)
        ("go-github-com-mattn-go-runewidth-0.0.13"
         ,go-github-com-mattn-go-runewidth-0.0.13)
        ("go-github-com-acarl005-stripansi-0.0.0-20180116102854-5a71ef0e047d"
         ,go-github-com-acarl005-stripansi-0.0.0-20180116102854-5a71ef0e047d)
        ("go-github-com-vividcortex-ewma-1.2.0"
         ,go-github-com-vividcortex-ewma-1.2.0)))
    (home-page "https://github.com/vbauerster/mpb")
    (synopsis "Multi Progress Bar")
    (description
      "Package mpb is a library for rendering progress bars in terminal applications.")
    (license license:unlicense)))

(define-public go-github-com-xeipuuv-gojsonpointer-0.0.0-20190905194746-02993c407bfb
  (package
    (name "go-github-com-xeipuuv-gojsonpointer")
    (version "0.0.0-20190905194746-02993c407bfb")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/xeipuuv/gojsonpointer")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0y7gmpgsm8c12ax4a0ij9srmd9d424iq224n172ckwfqf37amvzy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/xeipuuv/gojsonpointer"))
    (home-page "https://github.com/xeipuuv/gojsonpointer")
    (synopsis "gojsonpointer")
    (description "An implementation of JSON Pointer - Go language")
    (license license:asl2.0)))

(define-public go-github-com-yvasiyarov-go-metrics-0.0.0-20150112132944-c25f46c4b940
  (package
    (name "go-github-com-yvasiyarov-go-metrics")
    (version "0.0.0-20150112132944-c25f46c4b940")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/yvasiyarov/go-metrics")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0p1hx4ml4gzgyj8n0fg5lv8bq092zwg00n59lq8v8sphjc1h8i8d"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/yvasiyarov/go-metrics"))
    (home-page "https://github.com/yvasiyarov/go-metrics")
    (synopsis "go-metrics")
    (description "Go port of Coda Hale's Metrics library")
    (license license:expat)))

(define-public go-github-com-yvasiyarov-newrelic-platform-go-0.0.0-20160601141957-9c099fbc30e9
  (package
    (name "go-github-com-yvasiyarov-newrelic-platform-go")
    (version "0.0.0-20160601141957-9c099fbc30e9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/yvasiyarov/newrelic_platform_go")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0n6jap27qc7b7c37ck1gv9biq5nfl7y06jk0cqgc517yfnb4f07x"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/yvasiyarov/newrelic_platform_go"))
    (home-page "https://github.com/yvasiyarov/newrelic_platform_go")
    (synopsis "New Relic Platform Agent SDK for Go(golang)")
    (description
      "Package newrelic_platform_go is New Relic Platform Agent SDK for Go language.")
    (license license:bsd-2)))

(define-public go-golang-org-x-sys-0.0.0-20220209214540-3681064d5158
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20220209214540-3681064d5158")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0cw9rzb4rxmr2si28pjqx3wv5r119c83kd08yy1h7nf725bzrs89"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20210615035016-665e8c7367d1
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20210615035016-665e8c7367d1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "11n848csibdbv7b46zjyf4l7sphg37n9sjzqfy1ds7p1jyakwmnv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-term-0.0.0-20210916214954-140adaaadfaf
  (package
    (name "go-golang-org-x-term")
    (version "0.0.0-20210916214954-140adaaadfaf")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/term")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1rcdx2q92pzpmdyzdlzpq9flc3ibfi3m1rni7w4qlmlq569s6wh3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/term"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20210615035016-665e8c7367d1"
         ,go-golang-org-x-sys-0.0.0-20210615035016-665e8c7367d1)))
    (home-page "https://golang.org/x/term")
    (synopsis "Go terminal/console support")
    (description
      "Package term provides support functions for dealing with terminals, as commonly
found on UNIX systems.")
    (license license:bsd-3)))

(define-public go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405
  (package
    (name "go-gopkg-in-check-v1")
    (version "0.0.0-20161208181325-20d25e280405")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0k1m83ji9l1a7ng8a7v40psbymxasmssbrrhpdv2wl4rhs0nc3np"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-yaml-v2-2.4.0
  (package
    (name "go-gopkg-in-yaml-v2")
    (version "2.4.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/yaml.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1pbmrpj7gcws34g8vwna4i2nhm9p6235piww36436xhyaa10cldr"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/yaml.v2" #:unpack-path "gopkg.in/yaml.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405"
         ,go-gopkg-in-check-v1-0.0.0-20161208181325-20d25e280405)))
    (home-page "https://gopkg.in/yaml.v2")
    (synopsis "YAML support for the Go language")
    (description "Package yaml implements YAML support for the Go language.")
    (license license:asl2.0)))

(define-public go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20191204190536-9bdfabe68543")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yjfi1bk9xb81lqn85nnm13zz725wazvrx3b50hx19qmwg7a4b0c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-github-com-google-go-cmp-0.5.5
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.5.5")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "12fmkdhyv5d4is8s57k78j097zb0phlgnrkqc03agiszxlid69x7"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543"
         ,go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543)))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-github-com-pkg-errors-0.9.1
  (package
    (name "go-github-com-pkg-errors")
    (version "0.9.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pkg/errors")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1761pybhc2kqr6v5fm8faj08x9bql8427yqg6vnfv6nhrasx1mwq"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pkg/errors"))
    (home-page "https://github.com/pkg/errors")
    (synopsis "errors")
    (description "Package errors provides simple error handling primitives.")
    (license license:bsd-2)))

(define-public go-github-com-spf13-pflag-1.0.3
  (package
    (name "go-github-com-spf13-pflag")
    (version "1.0.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/spf13/pflag")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1cj3cjm7d3zk0mf1xdybh0jywkbbw7a6yr3y22x9sis31scprswd"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/spf13/pflag"))
    (home-page "https://github.com/spf13/pflag")
    (synopsis "Description")
    (description
      "Package pflag is a drop-in replacement for Go's flag package, implementing
POSIX/GNU-style --flags.")
    (license license:bsd-3)))

(define-public go-github-com-yuin-goldmark-1.2.1
  (package
    (name "go-github-com-yuin-goldmark")
    (version "1.2.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/yuin/goldmark")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "12rsnsf65drcp0jfw2jl9w589vsn3pxdk1zh3v9q908iigngrcmy"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/yuin/goldmark"))
    (home-page "https://github.com/yuin/goldmark")
    (synopsis "goldmark")
    (description
      "Package goldmark implements functions to convert markdown text to a desired
format.")
    (license license:expat)))

(define-public go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20191011191535-87dc89f01550")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0z4i1m2yn3f31ci7wvcm2rxkx2yiv7a78mfzklncmsz2k97rlh2g"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190412213103-97732733099d"
         ,go-golang-org-x-sys-0.0.0-20190412213103-97732733099d)
        ("go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3"
         ,go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190620200207-3b0461eec859")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0l00c8l0a8xnv6qdpwfzxxsr58jggacgzdrwiprrfx2xqm37b6d5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20190423024810-112230192c58
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20190423024810-112230192c58")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "05i2k43j2d0llq768hg5pf3hb2yhfzp9la1w5wp0rsnnzblr0lfn"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-xerrors-0.0.0-20190717185122-a985d3407aa7
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20190717185122-a985d3407aa7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "00wzr5w8aadipgc3rkk8f11i41znskfj9ix5nhhaxyg7isrslgcj"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20191119224855-298f0cb1881e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0l4pqwib2wnfnix6nvxl0yrq87ipi7ff1rz6z5bxfzy9dki1nzmv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20190717185122-a985d3407aa7"
         ,go-golang-org-x-xerrors-0.0.0-20190717185122-a985d3407aa7)
        ("go-golang-org-x-sync-0.0.0-20190423024810-112230192c58"
         ,go-golang-org-x-sync-0.0.0-20190423024810-112230192c58)
        ("go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859"
         ,go-golang-org-x-net-0.0.0-20190620200207-3b0461eec859)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20191011141410-1b5146add898")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0w2akj91krxjag0xdhsg78470888nicc5ismc2ap9jqpss6v1zih"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-golang-org-x-mod-0.3.0
  (package
    (name "go-golang-org-x-mod")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/mod")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ldgbx2zpprbsfn6p8pfgs4nn87gwbfcv2z0fa7n8alwsq2yw78q"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/mod"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898"
         ,go-golang-org-x-xerrors-0.0.0-20191011141410-1b5146add898)
        ("go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e"
         ,go-golang-org-x-tools-0.0.0-20191119224855-298f0cb1881e)
        ("go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550"
         ,go-golang-org-x-crypto-0.0.0-20191011191535-87dc89f01550)))
    (home-page "https://golang.org/x/mod")
    (synopsis "mod")
    (description
      "This repository holds packages for writing tools that work directly with Go
module mechanics.  That is, it is for direct manipulation of Go modules
themselves.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190215142949-d0b11bdaac8a")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18yfsmw622l7gc5sqriv5qmck6903vvhivpzp8i3xfy3z33dybdl"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20190308221718-c2843e01d9a2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "01xgxbj5r79nmisdvpq48zfy8pzaaj90bn6ngd4nf33j9ar1dp8r"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a"
         ,go-golang-org-x-sys-0.0.0-20190215142949-d0b11bdaac8a)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.0
  (package
    (name "go-golang-org-x-text")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0r6x6zjzhr8ksqlpiwm5gdd7s209kwk5p4lw54xjvz10cs3qlq19"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20190404232315-eb5bcb51f2a3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "17k4g8krxbl84gzcs275b7gsh66dzm15fdxivjnx9xz8q84l4kby"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.0" ,go-golang-org-x-text-0.3.0)
        ("go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2"
         ,go-golang-org-x-crypto-0.0.0-20190308221718-c2843e01d9a2)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190412213103-97732733099d
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20190412213103-97732733099d")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "118hkp01i4z1f5h6hcjm0ff2ngqhrzj1f7731n0kw8dr6hvbx0sw"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-crypto-0.0.0-20200622213623-75b288015ac9
  (package
    (name "go-golang-org-x-crypto")
    (version "0.0.0-20200622213623-75b288015ac9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/crypto")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18vlncvvs11ds3zaaziqjlg5s2vcwi3496nn6qv7p0dp94j5pwa2"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/crypto"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20190412213103-97732733099d"
         ,go-golang-org-x-sys-0.0.0-20190412213103-97732733099d)
        ("go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3"
         ,go-golang-org-x-net-0.0.0-20190404232315-eb5bcb51f2a3)))
    (home-page "https://golang.org/x/crypto")
    (synopsis "Go Cryptography")
    (description
      "This repository holds supplementary Go cryptography libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20200930185726-fdedc70b468f
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20200930185726-fdedc70b468f")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1njlfhjbvi4lxvjbq8zswrb0y0q4jd2p6x51h1q6vmyzi9af6869"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e
  (package
    (name "go-golang-org-x-tools")
    (version "0.0.0-20180917221912-90fa682c2a6e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "03ic2xsy51jw9749wl7gszdbz99iijbd2bckgygl6cm9w5m364ak"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-golang-org-x-text-0.3.3
  (package
    (name "go-golang-org-x-text")
    (version "0.3.3")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "19pihqm3phyndmiw6i42pdv6z1rbvlqlsnhsyqf9gsnn0qnmqqlh"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/text"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e"
         ,go-golang-org-x-tools-0.0.0-20180917221912-90fa682c2a6e)))
    (home-page "https://golang.org/x/text")
    (synopsis "Go Text")
    (description
      "text is a repository of text-related packages related to internationalization
(i18n) and localization (l10n), such as character encodings, text
transformations, and locale-specific text handling.")
    (license license:bsd-3)))

(define-public go-golang-org-x-net-0.0.0-20201021035429-f5854403a974
  (package
    (name "go-golang-org-x-net")
    (version "0.0.0-20201021035429-f5854403a974")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/net")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1vw63zpmhi337f3gc432x3wkib4j2ia8dy7if31wxwb9dgqvy222"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/net"))
    (propagated-inputs
      `(("go-golang-org-x-text-0.3.3" ,go-golang-org-x-text-0.3.3)
        ("go-golang-org-x-sys-0.0.0-20200930185726-fdedc70b468f"
         ,go-golang-org-x-sys-0.0.0-20200930185726-fdedc70b468f)
        ("go-golang-org-x-crypto-0.0.0-20200622213623-75b288015ac9"
         ,go-golang-org-x-crypto-0.0.0-20200622213623-75b288015ac9)))
    (home-page "https://golang.org/x/net")
    (synopsis "Go Networking")
    (description
      "This repository holds supplementary Go networking libraries.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20201020160332-67f06af15bc9
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20201020160332-67f06af15bc9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "093p4panc808ak5bamzz7m9nb0xxib7778jpnr6f0xkz1n4fzyw5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20210119212857-b64e53b001e4
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20210119212857-b64e53b001e4")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "16in6bazi0frdkzhqxyvmw7qcvzjavq21dnz9bmrqq8d4dpd2j44"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-xerrors-0.0.0-20200804184101-5ec99f83aff1
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20200804184101-5ec99f83aff1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1dbzc3gmf2haazpv7cgmv97rq40g2xzwbglc17vas8dwhgwgwrzb"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-golang-org-x-tools-0.1.0
  (package
    (name "go-golang-org-x-tools")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/tools")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1asrm22kv5x891qkbpap8alg612k321jbs1akc0vwsan251gm507"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/tools"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20200804184101-5ec99f83aff1"
         ,go-golang-org-x-xerrors-0.0.0-20200804184101-5ec99f83aff1)
        ("go-golang-org-x-sys-0.0.0-20210119212857-b64e53b001e4"
         ,go-golang-org-x-sys-0.0.0-20210119212857-b64e53b001e4)
        ("go-golang-org-x-sync-0.0.0-20201020160332-67f06af15bc9"
         ,go-golang-org-x-sync-0.0.0-20201020160332-67f06af15bc9)
        ("go-golang-org-x-net-0.0.0-20201021035429-f5854403a974"
         ,go-golang-org-x-net-0.0.0-20201021035429-f5854403a974)
        ("go-golang-org-x-mod-0.3.0" ,go-golang-org-x-mod-0.3.0)
        ("go-github-com-yuin-goldmark-1.2.1"
         ,go-github-com-yuin-goldmark-1.2.1)))
    (home-page "https://golang.org/x/tools")
    (synopsis "Go Tools")
    (description
      "This subrepository holds the source for various packages and tools that support
the Go programming language.")
    (license license:bsd-3)))

(define-public go-gotest-tools-v3-3.1.0
  (package
    (name "go-gotest-tools-v3")
    (version "3.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/gotestyourself/gotest.tools")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0jk2grk2q19k453m76hn2bsq9i73yk63drlfjg1imvhmmcl88872"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gotest.tools/v3" #:unpack-path "gotest.tools/v3"))
    (propagated-inputs
      `(("go-golang-org-x-tools-0.1.0" ,go-golang-org-x-tools-0.1.0)
        ("go-golang-org-x-sys-0.0.0-20210119212857-b64e53b001e4"
         ,go-golang-org-x-sys-0.0.0-20210119212857-b64e53b001e4)
        ("go-github-com-spf13-pflag-1.0.3" ,go-github-com-spf13-pflag-1.0.3)
        ("go-github-com-pkg-errors-0.9.1" ,go-github-com-pkg-errors-0.9.1)
        ("go-github-com-google-go-cmp-0.5.5"
         ,go-github-com-google-go-cmp-0.5.5)))
    (home-page "https://gotest.tools/v3")
    (synopsis "gotest.tools")
    (description
      "Package gotesttools is a collection of packages to augment `testing` and support
common patterns.")
    (license license:asl2.0)))

(define-public go-github-com-creack-pty-1.1.15
  (package
    (name "go-github-com-creack-pty")
    (version "1.1.15")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/creack/pty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1j5w51ammp5rp90bhdwqi216dxmndpmf4gf3gim75qls52qj8j2r"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/creack/pty"))
    (home-page "https://github.com/creack/pty")
    (synopsis "pty")
    (description
      "Package pty provides functions for working with Unix terminals.")
    (license license:expat)))

(define-public go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543
  (package
    (name "go-golang-org-x-xerrors")
    (version "0.0.0-20191204190536-9bdfabe68543")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/xerrors")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1yjfi1bk9xb81lqn85nnm13zz725wazvrx3b50hx19qmwg7a4b0c"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/xerrors"))
    (home-page "https://golang.org/x/xerrors")
    (synopsis #f)
    (description "Package xerrors implements functions to manipulate errors.")
    (license license:bsd-3)))

(define-public go-github-com-google-go-cmp-0.5.6
  (package
    (name "go-github-com-google-go-cmp")
    (version "0.5.6")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/go-cmp")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0lrb0pacv5iy3m6fn1qb3nv7zwimfhpzqq8f6hwpwx88cx3g6p1s"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/go-cmp"))
    (propagated-inputs
      `(("go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543"
         ,go-golang-org-x-xerrors-0.0.0-20191204190536-9bdfabe68543)))
    (home-page "https://github.com/google/go-cmp")
    (synopsis "Package for equality of Go values")
    (description
      "This package is intended to be a more powerful and safer alternative to
@code{reflect.DeepEqual} for comparing whether two values are semantically
equal.")
    (license license:bsd-3)))

(define-public go-github-com-frankban-quicktest-1.13.1
  (package
    (name "go-github-com-frankban-quicktest")
    (version "1.13.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/frankban/quicktest")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1x0v98s4m0zy9m4h7x3kmx30vxk2ah496qb81mnmzv98h4cgdki0"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/frankban/quicktest"))
    (propagated-inputs
      `(("go-github-com-kr-pretty-0.3.0" ,go-github-com-kr-pretty-0.3.0)
        ("go-github-com-google-go-cmp-0.5.6"
         ,go-github-com-google-go-cmp-0.5.6)))
    (home-page "https://github.com/frankban/quicktest")
    (synopsis "quicktest")
    (description
      "Package quicktest provides a collection of Go helpers for writing tests.")
    (license license:expat)))

(define-public go-github-com-google-renameio-1.0.1
  (package
    (name "go-github-com-google-renameio")
    (version "1.0.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/google/renameio")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1qn84nra9nxqyqg4i496b6ijbhnxvx66hdndwl7qh7r6q8lz2ba5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/google/renameio"))
    (home-page "https://github.com/google/renameio")
    (synopsis "Atomicity vs durability")
    (description
      "Package renameio provides a way to atomically create or replace a file or
symbolic link.")
    (license license:asl2.0)))

(define-public go-github-com-creack-pty-1.1.9
  (package
    (name "go-github-com-creack-pty")
    (version "1.1.9")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/creack/pty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1v52599qq76dwq742mffakzj6mxqqccv2szn3hjicjld56nmd2d3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/creack/pty"))
    (home-page "https://github.com/creack/pty")
    (synopsis "pty")
    (description
      "Package pty provides functions for working with Unix terminals.")
    (license license:expat)))

(define-public go-github-com-kr-text-0.2.0
  (package
    (name "go-github-com-kr-text")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0hf58ypz6rxsw6nx3i856whir9lvy4sdx946wbw1nfaf2rdmr9vx"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/text"))
    (propagated-inputs
      `(("go-github-com-creack-pty-1.1.9" ,go-github-com-creack-pty-1.1.9)))
    (home-page "https://github.com/kr/text")
    (synopsis #f)
    (description
      "Package text provides rudimentary functions for manipulating text in paragraphs.")
    (license license:expat)))

(define-public go-github-com-rogpeppe-go-internal-1.6.1
  (package
    (name "go-github-com-rogpeppe-go-internal")
    (version "1.6.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/rogpeppe/go-internal")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "00j2vpp1bsggdvw1winkz23mg0q6drjiir5q0k49pmqx1sh7106l"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/rogpeppe/go-internal"))
    (propagated-inputs
      `(("go-gopkg-in-errgo-v2-2.1.0" ,go-gopkg-in-errgo-v2-2.1.0)))
    (home-page "https://github.com/rogpeppe/go-internal")
    (synopsis #f)
    (description
      "This repository factors out an opinionated selection of internal packages and
functionality from the Go standard library.  Currently this consists mostly of
packages and testing code from within the Go tool implementation.")
    (license license:bsd-3)))

(define-public go-github-com-kr-pretty-0.3.0
  (package
    (name "go-github-com-kr-pretty")
    (version "0.3.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pretty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0vp5ijbapw8j52c3l992m1wm8nhl23n68xk3lqxhad3srxmdb9z4"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pretty"))
    (propagated-inputs
      `(("go-github-com-rogpeppe-go-internal-1.6.1"
         ,go-github-com-rogpeppe-go-internal-1.6.1)
        ("go-github-com-kr-text-0.2.0" ,go-github-com-kr-text-0.2.0)))
    (home-page "https://github.com/kr/pretty")
    (synopsis #f)
    (description
      "Package pretty provides pretty-printing for Go values.  This is useful during
debugging, to avoid wrapping long output lines in the terminal.")
    (license license:expat)))

(define-public go-github-com-pkg-diff-0.0.0-20210226163009-20ebb0f2a09e
  (package
    (name "go-github-com-pkg-diff")
    (version "0.0.0-20210226163009-20ebb0f2a09e")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/pkg/diff")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1g3dzgwhz4fx3ddpsv7fsa4r1v5clsp2lbw2qrkdk9y1vc5gi8yi"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/pkg/diff"))
    (home-page "https://github.com/pkg/diff")
    (synopsis "diff")
    (description
      "Package diff contains high level routines that generate a textual diff.")
    (license license:bsd-3)))

(define-public go-github-com-kr-pty-1.1.1
  (package
    (name "go-github-com-kr-pty")
    (version "1.1.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0383f0mb9kqjvncqrfpidsf8y6ns5zlrc91c6a74xpyxjwvzl2y6"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pty"))
    (home-page "https://github.com/kr/pty")
    (synopsis "pty")
    (description
      "Package pty is a wrapper for github.com/creack/pty, which provides functions for
working with Unix terminals.")
    (license license:expat)))

(define-public go-github-com-kr-text-0.1.0
  (package
    (name "go-github-com-kr-text")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/text")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1gm5bsl01apvc84bw06hasawyqm4q84vx1pm32wr9jnd7a8vjgj1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/text"))
    (propagated-inputs
      `(("go-github-com-kr-pty-1.1.1" ,go-github-com-kr-pty-1.1.1)))
    (home-page "https://github.com/kr/text")
    (synopsis #f)
    (description
      "Package text provides rudimentary functions for manipulating text in paragraphs.")
    (license license:expat)))

(define-public go-github-com-kr-pretty-0.1.0
  (package
    (name "go-github-com-kr-pretty")
    (version "0.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/kr/pretty")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "18m4pwg2abd0j9cn5v3k2ksk9ig4vlwxmlw9rrglanziv9l967qp"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/kr/pretty"))
    (propagated-inputs
      `(("go-github-com-kr-text-0.1.0" ,go-github-com-kr-text-0.1.0)))
    (home-page "https://github.com/kr/pretty")
    (synopsis #f)
    (description
      "Package pretty provides pretty-printing for Go values.  This is useful during
debugging, to avoid wrapping long output lines in the terminal.")
    (license license:expat)))

(define-public go-gopkg-in-check-v1-1.0.0-20180628173108-788fd7840127
  (package
    (name "go-gopkg-in-check-v1")
    (version "1.0.0-20180628173108-788fd7840127")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/check.v1")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0v3bim0j375z81zrpr5qv42knqs0y2qv2vkjiqi5axvb78slki1a"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/check.v1" #:unpack-path "gopkg.in/check.v1"))
    (home-page "https://gopkg.in/check.v1")
    (synopsis "Instructions")
    (description
      "Package check is a rich testing extension for Go's testing package.")
    (license license:bsd-2)))

(define-public go-gopkg-in-errgo-v2-2.1.0
  (package
    (name "go-gopkg-in-errgo-v2")
    (version "2.1.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://gopkg.in/errgo.v2")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "065mbihiy7q67wnql0bzl9y1kkvck5ivra68254zbih52jxwrgr2"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "gopkg.in/errgo.v2" #:unpack-path "gopkg.in/errgo.v2"))
    (propagated-inputs
      `(("go-gopkg-in-check-v1-1.0.0-20180628173108-788fd7840127"
         ,go-gopkg-in-check-v1-1.0.0-20180628173108-788fd7840127)
        ("go-github-com-kr-pretty-0.1.0" ,go-github-com-kr-pretty-0.1.0)))
    (home-page "https://gopkg.in/errgo.v2")
    (synopsis #f)
    (description
      "Package errgo provides some primitives for error creation and handling.")
    (license license:bsd-3)))

(define-public go-github-com-rogpeppe-go-internal-1.8.1-0.20210923151022-86f73c517451
  (package
    (name "go-github-com-rogpeppe-go-internal")
    (version "1.8.1-0.20210923151022-86f73c517451")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/rogpeppe/go-internal")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1qswk3kaif0n8q125dvd8rfcyc3wqw71yi16fc26336kbwjzrc9p"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/rogpeppe/go-internal"))
    (propagated-inputs
      `(("go-gopkg-in-errgo-v2-2.1.0" ,go-gopkg-in-errgo-v2-2.1.0)
        ("go-github-com-pkg-diff-0.0.0-20210226163009-20ebb0f2a09e"
         ,go-github-com-pkg-diff-0.0.0-20210226163009-20ebb0f2a09e)))
    (home-page "https://github.com/rogpeppe/go-internal")
    (synopsis #f)
    (description
      "This repository factors out an opinionated selection of internal packages and
functionality from the Go standard library.  Currently this consists mostly of
packages and testing code from within the Go tool implementation.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sync-0.0.0-20210220032951-036812b2e83c
  (package
    (name "go-golang-org-x-sync")
    (version "0.0.0-20210220032951-036812b2e83c")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sync")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1gl202py3s4gl6arkaxlf8qa6f0jyyg2f95m6f89qnfmr416h85b"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sync"))
    (home-page "https://golang.org/x/sync")
    (synopsis "Go Sync")
    (description
      "This repository provides Go concurrency primitives in addition to the ones
provided by the language and \"sync\" and \"sync/atomic\" packages.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20210925032602-92d5a993a665
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20210925032602-92d5a993a665")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0ps9wq5vz0ilsjxd05glnkkmbfxzpsqvjp0mgm2y1hm6ql5qfpn5"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20210615035016-665e8c7367d1
  (package
    (name "go-golang-org-x-sys")
    (version "0.0.0-20210615035016-665e8c7367d1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "11n848csibdbv7b46zjyf4l7sphg37n9sjzqfy1ds7p1jyakwmnv"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/sys"))
    (home-page "https://golang.org/x/sys")
    (synopsis "sys")
    (description
      "This repository holds supplemental Go packages for low-level interactions with
the operating system.")
    (license license:bsd-3)))

(define-public go-golang-org-x-term-0.0.0-20210916214954-140adaaadfaf
  (package
    (name "go-golang-org-x-term")
    (version "0.0.0-20210916214954-140adaaadfaf")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://go.googlesource.com/term")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1rcdx2q92pzpmdyzdlzpq9flc3ibfi3m1rni7w4qlmlq569s6wh3"))))
    (build-system go-build-system)
    (arguments '(#:import-path "golang.org/x/term"))
    (propagated-inputs
      `(("go-golang-org-x-sys-0.0.0-20210615035016-665e8c7367d1"
         ,go-golang-org-x-sys-0.0.0-20210615035016-665e8c7367d1)))
    (home-page "https://golang.org/x/term")
    (synopsis "Go terminal/console support")
    (description
      "Package term provides support functions for dealing with terminals, as commonly
found on UNIX systems.")
    (license license:bsd-3)))

(define-public go-mvdan-cc-editorconfig-0.2.0
  (package
    (name "go-mvdan-cc-editorconfig")
    (version "0.2.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mvdan/editorconfig")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1rav1rp8pi921gsffqr2wjdhbr12w81g31yv6iw4yb1zyh726qqg"))))
    (build-system go-build-system)
    (arguments '(#:import-path "mvdan.cc/editorconfig"))
    (home-page "https://mvdan.cc/editorconfig")
    (synopsis "editorconfig")
    (description
      "Package editorconfig allows parsing and using EditorConfig files, as defined in
@url{https://editorconfig.org/,https://editorconfig.org/}.")
    (license license:bsd-3)))

(define-public go-mvdan-cc-sh-v3-3.4.3-0.20220202175809-113ed667a8a7
  (package
    (name "go-mvdan-cc-sh-v3")
    (version "3.4.3-0.20220202175809-113ed667a8a7")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/mvdan/sh")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1k5113qqm20x58838k8f0ry3v1hinahjf2yl8y4450922yy0mq2k"))))
    (build-system go-build-system)
    (arguments
      '(#:import-path "mvdan.cc/sh/v3" #:unpack-path "mvdan.cc/sh/v3"))
    (propagated-inputs
      `(("go-mvdan-cc-editorconfig-0.2.0" ,go-mvdan-cc-editorconfig-0.2.0)
        ("go-golang-org-x-term-0.0.0-20210916214954-140adaaadfaf"
         ,go-golang-org-x-term-0.0.0-20210916214954-140adaaadfaf)
        ("go-golang-org-x-sys-0.0.0-20210925032602-92d5a993a665"
         ,go-golang-org-x-sys-0.0.0-20210925032602-92d5a993a665)
        ("go-golang-org-x-sync-0.0.0-20210220032951-036812b2e83c"
         ,go-golang-org-x-sync-0.0.0-20210220032951-036812b2e83c)
        ("go-github-com-rogpeppe-go-internal-1.8.1-0.20210923151022-86f73c517451"
         ,go-github-com-rogpeppe-go-internal-1.8.1-0.20210923151022-86f73c517451)
        ("go-github-com-pkg-diff-0.0.0-20210226163009-20ebb0f2a09e"
         ,go-github-com-pkg-diff-0.0.0-20210226163009-20ebb0f2a09e)
        ("go-github-com-kr-pretty-0.3.0" ,go-github-com-kr-pretty-0.3.0)
        ("go-github-com-google-renameio-1.0.1"
         ,go-github-com-google-renameio-1.0.1)
        ("go-github-com-frankban-quicktest-1.13.1"
         ,go-github-com-frankban-quicktest-1.13.1)
        ("go-github-com-creack-pty-1.1.15" ,go-github-com-creack-pty-1.1.15)))
    (home-page "https://mvdan.cc/sh/v3")
    (synopsis "sh")
    (description
      "This package provides a shell parser, formatter, and interpreter.  Supports
@url{https://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html,POSIX
Shell}, @url{https://www.gnu.org/software/bash/,Bash}, and
@url{http://www.mirbsd.org/mksh.htm,mksh}.  Requires Go 1.16 or later.")
    (license license:bsd-3)))

(define-public go-github-com-opencontainers-image-spec-1.0.2-0.20211117181255-693428a734f5
  (package
    (name "go-github-com-opencontainers-image-spec")
    (version "1.0.2-0.20211117181255-693428a734f5")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/opencontainers/image-spec")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1w9fmamky30idjbqs78qhds6d5b9gdy6wzcxx6fhmpm2159dv62b"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/opencontainers/image-spec"))
    (home-page "https://github.com/opencontainers/image-spec")
    (synopsis "OCI Image Format Specification")
    (description
      "The OCI Image Format project creates and maintains the software shipping
container image format spec (OCI Image Format).")
    (license license:asl2.0)))

(define-public go-github-com-yvasiyarov-gorelic-0.0.6
  (package
    (name "go-github-com-yvasiyarov-gorelic")
    (version "0.0.6")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/yvasiyarov/gorelic")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "0210d8z7l945611b5ynzjhnypqfdyr490ndrap13s4k5z1jgqjnb"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/yvasiyarov/gorelic"))
    (home-page "https://github.com/yvasiyarov/gorelic")
    (synopsis "GoRelic is deprecated in favour of")
    (description
      "Package gorelic is an New Relic agent implementation for Go runtime.  It collect
a lot of metrics about Go scheduler, garbage collector and memory allocator and
send them to NewRelic.")
    (license license:bsd-2)))

(define-public go-github-com-moby-sys-0.0.0-20220308220145-03355939d693
  (package
    (name "go-github-com-moby-sys")
    (version "0.0.0-20220308220145-03355939d693")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/moby/sys")
               (commit (go-version->git-ref version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "1ns4bav4n0k93nwz898dmcrz9zm4fa08sxyzhi7wqj4f8mpz4fam"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/moby/sys"))
    (home-page "https://github.com/moby/sys")
    (synopsis #f)
    (description #f)
    (license license:asl2.0)))
(define-public go-github-com-apptainer-sif-v2-2.3.2
  (package
    (name "go-github-com-apptainer-sif-v2")
    (version "2.3.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/apptainer/sif")
               (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
          (base32 "10cmvgyjxnfgw5661n1zbdr8zs29rx9izsr1bbnnyjr9kdqdhfg1"))))
    (build-system go-build-system)
    (arguments '(#:import-path "github.com/apptainer/sif/v2"))
    (propagated-inputs
      `(("go-gopkg-in-warnings-v0-0.1.2" ,go-gopkg-in-warnings-v0-0.1.2)
        ("go-golang-org-x-sys-0.0.0-20211205182925-97ca703d548d"
         ,go-golang-org-x-sys-0.0.0-20211205182925-97ca703d548d)
        ("go-golang-org-x-net-0.0.0-20210813160813-60bc85c4be6d"
         ,go-golang-org-x-net-0.0.0-20210813160813-60bc85c4be6d)
        ("go-golang-org-x-crypto-0.0.0-20210817164053-32db794688a5"
         ,go-golang-org-x-crypto-0.0.0-20210817164053-32db794688a5)
        ("go-github-com-xanzy-ssh-agent-0.3.0"
         ,go-github-com-xanzy-ssh-agent-0.3.0)
        ("go-github-com-sergi-go-diff-1.1.0"
         ,go-github-com-sergi-go-diff-1.1.0)
        ("go-github-com-pmezard-go-difflib-1.0.0"
         ,go-github-com-pmezard-go-difflib-1.0.0)
        ("go-github-com-mitchellh-go-homedir-1.1.0"
         ,go-github-com-mitchellh-go-homedir-1.1.0)
        ("go-github-com-kevinburke-ssh-config-0.0.0-20201106050909-4977a11b4351"
         ,go-github-com-kevinburke-ssh-config-0.0.0-20201106050909-4977a11b4351)
        ("go-github-com-jbenet-go-context-0.0.0-20150711004518-d14ea06fba99"
         ,go-github-com-jbenet-go-context-0.0.0-20150711004518-d14ea06fba99)
        ("go-github-com-inconshreveable-mousetrap-1.0.0"
         ,go-github-com-inconshreveable-mousetrap-1.0.0)
        ("go-github-com-imdario-mergo-0.3.12"
         ,go-github-com-imdario-mergo-0.3.12)
        ("go-github-com-go-git-go-billy-v5-5.3.1"
         ,go-github-com-go-git-go-billy-v5-5.3.1)
        ("go-github-com-go-git-gcfg-1.5.0" ,go-github-com-go-git-gcfg-1.5.0)
        ("go-github-com-emirpasic-gods-1.12.0"
         ,go-github-com-emirpasic-gods-1.12.0)
        ("go-github-com-acomagu-bufpipe-1.0.3"
         ,go-github-com-acomagu-bufpipe-1.0.3)
        ("go-github-com-microsoft-go-winio-0.4.16"
         ,go-github-com-microsoft-go-winio-0.4.16)
        ("go-github-com-spf13-pflag-1.0.5" ,go-github-com-spf13-pflag-1.0.5)
        ("go-github-com-spf13-cobra-1.3.0" ,go-github-com-spf13-cobra-1.3.0)
        ("go-github-com-sebdah-goldie-v2-2.5.3"
         ,go-github-com-sebdah-goldie-v2-2.5.3)
        ("go-github-com-magefile-mage-1.12.1"
         ,go-github-com-magefile-mage-1.12.1)
        ("go-github-com-google-uuid-1.3.0" ,go-github-com-google-uuid-1.3.0)
        ("go-github-com-go-git-go-git-v5-5.4.2"
         ,go-github-com-go-git-go-git-v5-5.4.2)
        ("go-github-com-blang-semver-v4-4.0.0"
         ,go-github-com-blang-semver-v4-4.0.0)
        ("go-github-com-protonmail-go-crypto-0.0.0-20220113124808-70ae35bab23f"
         ,go-github-com-protonmail-go-crypto-0.0.0-20220113124808-70ae35bab23f)))
    (home-page "https://github.com/apptainer/sif")
    (synopsis "The Singularity Image Format (SIF)")
    (description
      "This module contains an open source implementation of the Singularity Image
Format (SIF) that makes it easy to create complete and encapsulated container
environments stored in a single file.")
    (license license:bsd-3)))
